javax.media.opengl

## Class DebugGLES1

- java.lang.Object
- - javax.media.opengl.DebugGLES1

- All Implemented Interfaces:
    GLLightingFunc, GLMatrixFunc, GLPointerFunc, GL, GL2ES1, GLBase, GLES1

      public class DebugGLES1
      extends Object
      implements GL2ES1, GLES1

  Composable pipeline which wraps an underlying `GL` implementation, providing error checking after each OpenGL method call. If an error occurs, causes a `GLException` to be thrown at exactly the point of failure.

  Sample code which installs this pipeline:

         gl = drawable.setGL(new DebugGL(drawable.getGL()));

  For automatic instantiation see `GLPipelineFactory.create(String, Class, GL, Object[])`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DEBUG`

    - ### Fields inherited from interface javax.media.opengl.GLES1

      `GL_3DC_X_AMD, GL_3DC_XY_AMD, GL_ADD_BLEND_IMG, GL_ALL_COMPLETED_NV, GL_ATC_RGB_AMD, GL_ATC_RGBA_EXPLICIT_ALPHA_AMD, GL_ATC_RGBA_INTERPOLATED_ALPHA_AMD, GL_BGRA_IMG, GL_CLIP_PLANE0_IMG, GL_CLIP_PLANE1_IMG, GL_CLIP_PLANE2_IMG, GL_CLIP_PLANE3_IMG, GL_CLIP_PLANE4_IMG, GL_CLIP_PLANE5_IMG, GL_COLOR_BUFFER_BIT0_QCOM, GL_COLOR_BUFFER_BIT1_QCOM, GL_COLOR_BUFFER_BIT2_QCOM, GL_COLOR_BUFFER_BIT3_QCOM, GL_COLOR_BUFFER_BIT4_QCOM, GL_COLOR_BUFFER_BIT5_QCOM, GL_COLOR_BUFFER_BIT6_QCOM, GL_COLOR_BUFFER_BIT7_QCOM, GL_COLOR_EXT, GL_COMPRESSED_RGB_PVRTC_2BPPV1_IMG, GL_COMPRESSED_RGB_PVRTC_4BPPV1_IMG, GL_COMPRESSED_RGBA_PVRTC_2BPPV1_IMG, GL_COMPRESSED_RGBA_PVRTC_4BPPV1_IMG, GL_DEPTH_BUFFER_BIT0_QCOM, GL_DEPTH_BUFFER_BIT1_QCOM, GL_DEPTH_BUFFER_BIT2_QCOM, GL_DEPTH_BUFFER_BIT3_QCOM, GL_DEPTH_BUFFER_BIT4_QCOM, GL_DEPTH_BUFFER_BIT5_QCOM, GL_DEPTH_BUFFER_BIT6_QCOM, GL_DEPTH_BUFFER_BIT7_QCOM, GL_DEPTH_EXT, GL_DOT3_RGBA_IMG, GL_DRAW_FRAMEBUFFER_APPLE, GL_DRAW_FRAMEBUFFER_BINDING_APPLE, GL_ETC1_RGB8_OES, GL_FACTOR_ALPHA_MODULATE_IMG, GL_FENCE_CONDITION_NV, GL_FENCE_STATUS_NV, GL_FRAGMENT_ALPHA_MODULATE_IMG, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_SAMPLES_EXT, GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_APPLE, GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_IMG, GL_LUMINANCE_ALPHA16F, GL_LUMINANCE_ALPHA32F, GL_LUMINANCE16F, GL_LUMINANCE32F, GL_LUMINANCE8, GL_LUMINANCE8_ALPHA8, GL_MATRIX_INDEX_ARRAY_BUFFER_BINDING_OES, GL_MAX_CLIP_PLANES_IMG, GL_MAX_SAMPLES_APPLE, GL_MAX_SAMPLES_IMG, GL_MODELVIEW_MATRIX_FLOAT_AS_INT_BITS_OES, GL_MODULATE_COLOR_IMG, GL_MULTISAMPLE_BUFFER_BIT0_QCOM, GL_MULTISAMPLE_BUFFER_BIT1_QCOM, GL_MULTISAMPLE_BUFFER_BIT2_QCOM, GL_MULTISAMPLE_BUFFER_BIT3_QCOM, GL_MULTISAMPLE_BUFFER_BIT4_QCOM, GL_MULTISAMPLE_BUFFER_BIT5_QCOM, GL_MULTISAMPLE_BUFFER_BIT6_QCOM, GL_MULTISAMPLE_BUFFER_BIT7_QCOM, GL_PALETTE4_R5_G6_B5_OES, GL_PALETTE4_RGB5_A1_OES, GL_PALETTE4_RGB8_OES, GL_PALETTE4_RGBA4_OES, GL_PALETTE4_RGBA8_OES, GL_PALETTE8_R5_G6_B5_OES, GL_PALETTE8_RGB5_A1_OES, GL_PALETTE8_RGB8_OES, GL_PALETTE8_RGBA4_OES, GL_PALETTE8_RGBA8_OES, GL_PERFMON_GLOBAL_MODE_QCOM, GL_POINT_SIZE_ARRAY_BUFFER_BINDING_OES, GL_POINT_SIZE_ARRAY_OES, GL_POINT_SIZE_ARRAY_POINTER_OES, GL_POINT_SIZE_ARRAY_STRIDE_OES, GL_POINT_SIZE_ARRAY_TYPE_OES, GL_PROJECTION_MATRIX_FLOAT_AS_INT_BITS_OES, GL_READ_FRAMEBUFFER_APPLE, GL_READ_FRAMEBUFFER_BINDING_APPLE, GL_RECIP_ADD_SIGNED_ALPHA_IMG, GL_RENDERBUFFER_SAMPLES_APPLE, GL_RENDERBUFFER_SAMPLES_IMG, GL_REQUIRED_TEXTURE_IMAGE_UNITS_OES, GL_STATE_RESTORE, GL_STENCIL_BUFFER_BIT0_QCOM, GL_STENCIL_BUFFER_BIT1_QCOM, GL_STENCIL_BUFFER_BIT2_QCOM, GL_STENCIL_BUFFER_BIT3_QCOM, GL_STENCIL_BUFFER_BIT4_QCOM, GL_STENCIL_BUFFER_BIT5_QCOM, GL_STENCIL_BUFFER_BIT6_QCOM, GL_STENCIL_BUFFER_BIT7_QCOM, GL_STENCIL_EXT, GL_TEXTURE_ALPHA_MODULATE_IMG, GL_TEXTURE_BINDING_EXTERNAL_OES, GL_TEXTURE_CROP_RECT_OES, GL_TEXTURE_DEPTH_QCOM, GL_TEXTURE_EXTERNAL_OES, GL_TEXTURE_FORMAT_QCOM, GL_TEXTURE_HEIGHT_QCOM, GL_TEXTURE_IMAGE_VALID_QCOM, GL_TEXTURE_INTERNAL_FORMAT_QCOM, GL_TEXTURE_MATRIX_FLOAT_AS_INT_BITS_OES, GL_TEXTURE_MAX_LEVEL_APPLE, GL_TEXTURE_NUM_LEVELS_QCOM, GL_TEXTURE_OBJECT_VALID_QCOM, GL_TEXTURE_SAMPLES_IMG, GL_TEXTURE_TARGET_QCOM, GL_TEXTURE_TYPE_QCOM, GL_TEXTURE_WIDTH_QCOM, GL_UNSIGNED_SHORT_4_4_4_4_REV_IMG, GL_VERTEX_ARRAY_BINDING_OES, GL_WRITEONLY_RENDERING_QCOM`

    - ### Fields inherited from interface javax.media.opengl.GL2ES1

      `GL_ADD, GL_ADD_SIGNED, GL_ALPHA_SCALE, GL_ALPHA_TEST, GL_ALPHA_TEST_FUNC, GL_ALPHA_TEST_REF, GL_CLIENT_ACTIVE_TEXTURE, GL_CLIP_PLANE0, GL_CLIP_PLANE1, GL_CLIP_PLANE2, GL_CLIP_PLANE3, GL_CLIP_PLANE4, GL_CLIP_PLANE5, GL_COLOR_ARRAY_BUFFER_BINDING, GL_COLOR_ARRAY_POINTER, GL_COLOR_ARRAY_SIZE, GL_COLOR_ARRAY_STRIDE, GL_COLOR_ARRAY_TYPE, GL_COMBINE, GL_COMBINE_ALPHA, GL_COMBINE_RGB, GL_CONSTANT, GL_CONTEXT_ROBUST_ACCESS, GL_COORD_REPLACE, GL_CURRENT_COLOR, GL_CURRENT_NORMAL, GL_CURRENT_PALETTE_MATRIX, GL_CURRENT_TEXTURE_COORDS, GL_DECAL, GL_DOT3_RGB, GL_DOT3_RGBA, GL_EXP, GL_EXP2, GL_FOG, GL_FOG_COLOR, GL_FOG_DENSITY, GL_FOG_END, GL_FOG_HINT, GL_FOG_MODE, GL_FOG_START, GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING, GL_GENERATE_MIPMAP, GL_INTERPOLATE, GL_LIGHT_MODEL_AMBIENT, GL_LIGHT_MODEL_TWO_SIDE, GL_MATRIX_INDEX_ARRAY, GL_MATRIX_INDEX_ARRAY_POINTER, GL_MATRIX_INDEX_ARRAY_SIZE, GL_MATRIX_INDEX_ARRAY_STRIDE, GL_MATRIX_INDEX_ARRAY_TYPE, GL_MATRIX_PALETTE, GL_MAX_CLIP_PLANES, GL_MAX_LIGHTS, GL_MAX_MODELVIEW_STACK_DEPTH, GL_MAX_PALETTE_MATRICES, GL_MAX_PROJECTION_STACK_DEPTH, GL_MAX_TEXTURE_STACK_DEPTH, GL_MAX_TEXTURE_UNITS, GL_MAX_VERTEX_UNITS, GL_MODELVIEW_STACK_DEPTH, GL_MODULATE, GL_NORMAL_ARRAY_BUFFER_BINDING, GL_NORMAL_ARRAY_POINTER, GL_NORMAL_ARRAY_STRIDE, GL_NORMAL_ARRAY_TYPE, GL_NORMAL_MAP, GL_OPERAND0_ALPHA, GL_OPERAND0_RGB, GL_OPERAND1_ALPHA, GL_OPERAND1_RGB, GL_OPERAND2_ALPHA, GL_OPERAND2_RGB, GL_PERSPECTIVE_CORRECTION_HINT, GL_POINT_DISTANCE_ATTENUATION, GL_POINT_SIZE_MAX, GL_POINT_SIZE_MIN, GL_POINT_SMOOTH, GL_POINT_SMOOTH_HINT, GL_POINT_SPRITE, GL_PREVIOUS, GL_PRIMARY_COLOR, GL_PROJECTION_STACK_DEPTH, GL_REFLECTION_MAP, GL_RESCALE_NORMAL, GL_RGB_SCALE, GL_SHADE_MODEL, GL_SRC0_ALPHA, GL_SRC0_RGB, GL_SRC1_ALPHA, GL_SRC1_RGB, GL_SRC2_ALPHA, GL_SRC2_RGB, GL_STACK_OVERFLOW, GL_STACK_UNDERFLOW, GL_SUBTRACT, GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING, GL_TEXTURE_COORD_ARRAY_POINTER, GL_TEXTURE_COORD_ARRAY_SIZE, GL_TEXTURE_COORD_ARRAY_STRIDE, GL_TEXTURE_COORD_ARRAY_TYPE, GL_TEXTURE_ENV, GL_TEXTURE_ENV_COLOR, GL_TEXTURE_ENV_MODE, GL_TEXTURE_GEN_MODE, GL_TEXTURE_GEN_STR, GL_TEXTURE_STACK_DEPTH, GL_VERTEX_ARRAY_BUFFER_BINDING, GL_VERTEX_ARRAY_POINTER, GL_VERTEX_ARRAY_SIZE, GL_VERTEX_ARRAY_STRIDE, GL_VERTEX_ARRAY_TYPE, GL_WEIGHT_ARRAY, GL_WEIGHT_ARRAY_BUFFER_BINDING, GL_WEIGHT_ARRAY_POINTER, GL_WEIGHT_ARRAY_SIZE, GL_WEIGHT_ARRAY_STRIDE, GL_WEIGHT_ARRAY_TYPE`

    - ### Fields inherited from interface javax.media.opengl.GL

      `GL_ACTIVE_TEXTURE, GL_ALIASED_LINE_WIDTH_RANGE, GL_ALIASED_POINT_SIZE_RANGE, GL_ALPHA, GL_ALPHA_BITS, GL_ALPHA16F, GL_ALPHA32F, GL_ALPHA8, GL_ALWAYS, GL_AND, GL_AND_INVERTED, GL_AND_REVERSE, GL_ARRAY_BUFFER, GL_ARRAY_BUFFER_BINDING, GL_BACK, GL_BGRA, GL_BGRA8, GL_BLEND, GL_BLEND_DST, GL_BLEND_DST_ALPHA, GL_BLEND_DST_RGB, GL_BLEND_EQUATION, GL_BLEND_EQUATION_ALPHA, GL_BLEND_EQUATION_RGB, GL_BLEND_SRC, GL_BLEND_SRC_ALPHA, GL_BLEND_SRC_RGB, GL_BLUE_BITS, GL_BUFFER_ACCESS, GL_BUFFER_MAP_POINTER, GL_BUFFER_MAPPED, GL_BUFFER_SIZE, GL_BUFFER_USAGE, GL_BYTE, GL_CCW, GL_CLAMP_TO_EDGE, GL_CLEAR, GL_COLOR_ATTACHMENT0, GL_COLOR_BUFFER_BIT, GL_COLOR_CLEAR_VALUE, GL_COLOR_LOGIC_OP, GL_COLOR_WRITEMASK, GL_COMPRESSED_RGB_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT3_EXT, GL_COMPRESSED_RGBA_S3TC_DXT5_EXT, GL_COMPRESSED_TEXTURE_FORMATS, GL_COPY, GL_COPY_INVERTED, GL_CULL_FACE, GL_CULL_FACE_MODE, GL_CW, GL_DECR, GL_DECR_WRAP, GL_DEPTH_ATTACHMENT, GL_DEPTH_BITS, GL_DEPTH_BUFFER_BIT, GL_DEPTH_CLEAR_VALUE, GL_DEPTH_COMPONENT16, GL_DEPTH_COMPONENT24, GL_DEPTH_COMPONENT32, GL_DEPTH_FUNC, GL_DEPTH_RANGE, GL_DEPTH_STENCIL, GL_DEPTH_TEST, GL_DEPTH_WRITEMASK, GL_DEPTH24_STENCIL8, GL_DITHER, GL_DONT_CARE, GL_DST_ALPHA, GL_DST_COLOR, GL_DYNAMIC_DRAW, GL_ELEMENT_ARRAY_BUFFER, GL_ELEMENT_ARRAY_BUFFER_BINDING, GL_EQUAL, GL_EQUIV, GL_EXTENSIONS, GL_FALSE, GL_FASTEST, GL_FIXED, GL_FLOAT, GL_FRAMEBUFFER, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL, GL_FRAMEBUFFER_BINDING, GL_FRAMEBUFFER_COMPLETE, GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT, GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS, GL_FRAMEBUFFER_INCOMPLETE_FORMATS, GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT, GL_FRAMEBUFFER_UNSUPPORTED, GL_FRONT, GL_FRONT_AND_BACK, GL_FRONT_FACE, GL_FUNC_ADD, GL_FUNC_REVERSE_SUBTRACT, GL_FUNC_SUBTRACT, GL_GENERATE_MIPMAP_HINT, GL_GEQUAL, GL_GREATER, GL_GREEN_BITS, GL_GUILTY_CONTEXT_RESET, GL_HALF_FLOAT, GL_IMPLEMENTATION_COLOR_READ_FORMAT, GL_IMPLEMENTATION_COLOR_READ_TYPE, GL_INCR, GL_INCR_WRAP, GL_INNOCENT_CONTEXT_RESET, GL_INVALID_ENUM, GL_INVALID_FRAMEBUFFER_OPERATION, GL_INVALID_OPERATION, GL_INVALID_VALUE, GL_INVERT, GL_KEEP, GL_LEQUAL, GL_LESS, GL_LINE_LOOP, GL_LINE_SMOOTH, GL_LINE_SMOOTH_HINT, GL_LINE_STRIP, GL_LINE_WIDTH, GL_LINEAR, GL_LINEAR_MIPMAP_LINEAR, GL_LINEAR_MIPMAP_NEAREST, GL_LINES, GL_LOGIC_OP_MODE, GL_LOSE_CONTEXT_ON_RESET, GL_LUMINANCE, GL_LUMINANCE_ALPHA, GL_MAP_FLUSH_EXPLICIT_BIT, GL_MAP_INVALIDATE_BUFFER_BIT, GL_MAP_INVALIDATE_RANGE_BIT, GL_MAP_READ_BIT, GL_MAP_UNSYNCHRONIZED_BIT, GL_MAP_WRITE_BIT, GL_MAX_ARRAY_TEXTURE_LAYERS, GL_MAX_CUBE_MAP_TEXTURE_SIZE, GL_MAX_RENDERBUFFER_SIZE, GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT, GL_MAX_TEXTURE_SIZE, GL_MAX_VIEWPORT_DIMS, GL_MIRRORED_REPEAT, GL_MULTISAMPLE, GL_NAND, GL_NEAREST, GL_NEAREST_MIPMAP_LINEAR, GL_NEAREST_MIPMAP_NEAREST, GL_NEVER, GL_NICEST, GL_NO_ERROR, GL_NO_RESET_NOTIFICATION, GL_NONE, GL_NOOP, GL_NOR, GL_NOTEQUAL, GL_NUM_COMPRESSED_TEXTURE_FORMATS, GL_ONE, GL_ONE_MINUS_DST_ALPHA, GL_ONE_MINUS_DST_COLOR, GL_ONE_MINUS_SRC_ALPHA, GL_ONE_MINUS_SRC_COLOR, GL_OR, GL_OR_INVERTED, GL_OR_REVERSE, GL_OUT_OF_MEMORY, GL_PACK_ALIGNMENT, GL_POINT_FADE_THRESHOLD_SIZE, GL_POINT_SIZE, GL_POINTS, GL_POLYGON_OFFSET_FACTOR, GL_POLYGON_OFFSET_FILL, GL_POLYGON_OFFSET_UNITS, GL_R11F_G11F_B10F, GL_RED_BITS, GL_RENDERBUFFER, GL_RENDERBUFFER_ALPHA_SIZE, GL_RENDERBUFFER_BINDING, GL_RENDERBUFFER_BLUE_SIZE, GL_RENDERBUFFER_DEPTH_SIZE, GL_RENDERBUFFER_GREEN_SIZE, GL_RENDERBUFFER_HEIGHT, GL_RENDERBUFFER_INTERNAL_FORMAT, GL_RENDERBUFFER_RED_SIZE, GL_RENDERBUFFER_STENCIL_SIZE, GL_RENDERBUFFER_WIDTH, GL_RENDERER, GL_REPEAT, GL_REPLACE, GL_RESET_NOTIFICATION_STRATEGY, GL_RGB, GL_RGB10, GL_RGB10_A2, GL_RGB16F, GL_RGB32F, GL_RGB5_A1, GL_RGB565, GL_RGB8, GL_RGBA, GL_RGBA_SIGNED_COMPONENTS, GL_RGBA16F, GL_RGBA32F, GL_RGBA4, GL_RGBA8, GL_SAMPLE_ALPHA_TO_COVERAGE, GL_SAMPLE_ALPHA_TO_ONE, GL_SAMPLE_BUFFERS, GL_SAMPLE_COVERAGE, GL_SAMPLE_COVERAGE_INVERT, GL_SAMPLE_COVERAGE_VALUE, GL_SAMPLER_2D_ARRAY, GL_SAMPLES, GL_SCISSOR_BOX, GL_SCISSOR_TEST, GL_SET, GL_SHORT, GL_SMOOTH_LINE_WIDTH_RANGE, GL_SMOOTH_POINT_SIZE_RANGE, GL_SRC_ALPHA, GL_SRC_ALPHA_SATURATE, GL_SRC_COLOR, GL_SRGB, GL_SRGB_ALPHA, GL_SRGB8_ALPHA8, GL_STATIC_DRAW, GL_STENCIL_ATTACHMENT, GL_STENCIL_BITS, GL_STENCIL_BUFFER_BIT, GL_STENCIL_CLEAR_VALUE, GL_STENCIL_FAIL, GL_STENCIL_FUNC, GL_STENCIL_INDEX1, GL_STENCIL_INDEX4, GL_STENCIL_INDEX8, GL_STENCIL_PASS_DEPTH_FAIL, GL_STENCIL_PASS_DEPTH_PASS, GL_STENCIL_REF, GL_STENCIL_TEST, GL_STENCIL_VALUE_MASK, GL_STENCIL_WRITEMASK, GL_SUBPIXEL_BITS, GL_TEXTURE, GL_TEXTURE_2D, GL_TEXTURE_2D_ARRAY, GL_TEXTURE_BINDING_2D, GL_TEXTURE_BINDING_2D_ARRAY, GL_TEXTURE_BINDING_CUBE_MAP, GL_TEXTURE_CUBE_MAP, GL_TEXTURE_CUBE_MAP_NEGATIVE_X, GL_TEXTURE_CUBE_MAP_NEGATIVE_Y, GL_TEXTURE_CUBE_MAP_NEGATIVE_Z, GL_TEXTURE_CUBE_MAP_POSITIVE_X, GL_TEXTURE_CUBE_MAP_POSITIVE_Y, GL_TEXTURE_CUBE_MAP_POSITIVE_Z, GL_TEXTURE_IMMUTABLE_FORMAT, GL_TEXTURE_MAG_FILTER, GL_TEXTURE_MAX_ANISOTROPY_EXT, GL_TEXTURE_MIN_FILTER, GL_TEXTURE_WRAP_S, GL_TEXTURE_WRAP_T, GL_TEXTURE0, GL_TEXTURE1, GL_TEXTURE10, GL_TEXTURE11, GL_TEXTURE12, GL_TEXTURE13, GL_TEXTURE14, GL_TEXTURE15, GL_TEXTURE16, GL_TEXTURE17, GL_TEXTURE18, GL_TEXTURE19, GL_TEXTURE2, GL_TEXTURE20, GL_TEXTURE21, GL_TEXTURE22, GL_TEXTURE23, GL_TEXTURE24, GL_TEXTURE25, GL_TEXTURE26, GL_TEXTURE27, GL_TEXTURE28, GL_TEXTURE29, GL_TEXTURE3, GL_TEXTURE30, GL_TEXTURE31, GL_TEXTURE4, GL_TEXTURE5, GL_TEXTURE6, GL_TEXTURE7, GL_TEXTURE8, GL_TEXTURE9, GL_TRIANGLE_FAN, GL_TRIANGLE_STRIP, GL_TRIANGLES, GL_TRUE, GL_UNKNOWN_CONTEXT_RESET, GL_UNPACK_ALIGNMENT, GL_UNSIGNED_BYTE, GL_UNSIGNED_INT, GL_UNSIGNED_INT_10F_11F_11F_REV, GL_UNSIGNED_INT_24_8, GL_UNSIGNED_SHORT, GL_UNSIGNED_SHORT_1_5_5_5_REV_EXT, GL_UNSIGNED_SHORT_4_4_4_4, GL_UNSIGNED_SHORT_4_4_4_4_REV_EXT, GL_UNSIGNED_SHORT_5_5_5_1, GL_UNSIGNED_SHORT_5_6_5, GL_VENDOR, GL_VERSION, GL_VIEWPORT, GL_WRITE_ONLY, GL_XOR, GL_ZERO`

    - ### Fields inherited from interface javax.media.opengl.fixedfunc.GLMatrixFunc

      `GL_MATRIX_MODE, GL_MODELVIEW, GL_MODELVIEW_MATRIX, GL_PROJECTION, GL_PROJECTION_MATRIX, GL_TEXTURE_MATRIX`

    - ### Fields inherited from interface javax.media.opengl.fixedfunc.GLPointerFunc

      `GL_COLOR_ARRAY, GL_NORMAL_ARRAY, GL_TEXTURE_COORD_ARRAY, GL_VERTEX_ARRAY`

    - ### Fields inherited from interface javax.media.opengl.fixedfunc.GLLightingFunc

      `GL_AMBIENT, GL_AMBIENT_AND_DIFFUSE, GL_COLOR_MATERIAL, GL_CONSTANT_ATTENUATION, GL_DIFFUSE, GL_EMISSION, GL_FLAT, GL_LIGHT0, GL_LIGHT1, GL_LIGHT2, GL_LIGHT3, GL_LIGHT4, GL_LIGHT5, GL_LIGHT6, GL_LIGHT7, GL_LIGHTING, GL_LINEAR_ATTENUATION, GL_NORMALIZE, GL_POSITION, GL_QUADRATIC_ATTENUATION, GL_SHININESS, GL_SMOOTH, GL_SPECULAR, GL_SPOT_CUTOFF, GL_SPOT_DIRECTION, GL_SPOT_EXPONENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DebugGLES1(GLES1 downstreamGLES1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBoundBuffer(int arg0)`
    `int` | `getBoundFramebuffer(int arg0)` Return the framebuffer name bound to this context, see `GL.glBindFramebuffer(int, int)`.
    `GLBufferStorage` | `getBufferStorage(int arg0)`
    `GLContext` | `getContext()` Returns the GLContext associated which this GL object.
    `int` | `getDefaultDrawFramebuffer()` Return the default draw framebuffer name.
    `int` | `getDefaultReadBuffer()` Returns the default color buffer within the current bound `GLBase.getDefaultReadFramebuffer()`, i.e.
    `int` | `getDefaultReadFramebuffer()` Return the default read framebuffer name.
    `GL` | `getDownstreamGL()` Returns the downstream GL instance in case this is a wrapping pipeline, otherwise `null`.
    `Object` | `getExtension(String arg0)` Returns an object providing access to the specified OpenGL extension.
    `GL` | `getGL()` Casts this object to the GL interface.
    `GL2` | `getGL2()` Casts this object to the GL2 interface.
    `GL2ES1` | `getGL2ES1()` Casts this object to the GL2ES1 interface.
    `GL2ES2` | `getGL2ES2()` Casts this object to the GL2ES2 interface.
    `GL2ES3` | `getGL2ES3()` Casts this object to the GL2ES3 interface.
    `GL2GL3` | `getGL2GL3()` Casts this object to the GL2GL3 interface.
    `GL3` | `getGL3()` Casts this object to the GL3 interface.
    `GL3bc` | `getGL3bc()` Casts this object to the GL3bc interface.
    `GL3ES3` | `getGL3ES3()` Casts this object to the GL3ES3 interface.
    `GL4` | `getGL4()` Casts this object to the GL4 interface.
    `GL4bc` | `getGL4bc()` Casts this object to the GL4bc interface.
    `GL4ES3` | `getGL4ES3()` Casts this object to the GL4ES3 interface.
    `GLES1` | `getGLES1()` Casts this object to the GLES1 interface.
    `GLES2` | `getGLES2()` Casts this object to the GLES2 interface.
    `GLES3` | `getGLES3()` Casts this object to the GLES3 interface.
    `GLProfile` | `getGLProfile()` Returns the GLProfile associated with this GL object.
    `int` | `getMaxRenderbufferSamples()` Returns the maximum number of FBO RENDERBUFFER samples if `full FBO is supported`, otherwise false.
    `Object` | `getPlatformGLExtensions()` Returns an object through which platform-specific OpenGL extensions (EGL, GLX, WGL, etc.) may be accessed.
    `GL` | `getRootGL()` Returns the implementing root instance, considering a wrapped pipelined hierarchy, see `GLBase.getDownstreamGL()`.
    `int` | `getSwapInterval()` Provides a platform-independent way to get the swap interval set by `GLBase.setSwapInterval(int)`.
    `void` | `glActiveTexture(int arg0)` Entry point to C language function: `void glActiveTexture(GLenum texture)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `void` | `glAlphaFunc(int arg0, float arg1)` Entry point to C language function: `void glAlphaFunc(GLenum func, GLclampf ref)` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
    `void` | `glAlphaFuncx(int arg0, int arg1)` Entry point to C language function: `void glAlphaFuncx(GLenum func, GLclampx ref)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glBindBuffer(int arg0, int arg1)` Entry point to C language function: `void glBindBuffer(GLenum target, GLuint buffer)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
    `void` | `glBindFramebuffer(int arg0, int arg1)` Entry point to C language function: `void glBindFramebuffer(GLenum target, GLuint framebuffer)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glBindRenderbuffer(int arg0, int arg1)` Entry point to C language function: `void glBindRenderbuffer(GLenum target, GLuint renderbuffer)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glBindTexture(int arg0, int arg1)` Entry point to C language function: `void glBindTexture(GLenum target, GLuint texture)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glBindVertexArrayOES(int arg0)` Entry point to C language function: `void glBindVertexArrayOES(GLuint array)` Part of `GL_OES_vertex_array_object`
    `void` | `glBlendEquation(int arg0)` Entry point to C language function: `void glBlendEquation(GLenum mode)` Part of `GL_VERSION_1_2`, `GL_ES_VERSION_2_0`; `GL_OES_blend_subtract`
    `void` | `glBlendEquationSeparate(int arg0, int arg1)` Entry point to C language function: `void glBlendEquationSeparate(GLenum modeRGB, GLenum modeAlpha)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`; `GL_OES_blend_equation_separate`
    `void` | `glBlendFunc(int arg0, int arg1)` Entry point to C language function: `void glBlendFunc(GLenum sfactor, GLenum dfactor)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glBlendFuncSeparate(int arg0, int arg1, int arg2, int arg3)` Entry point to C language function: `void glBlendFuncSeparate(GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)` Part of `GL_VERSION_1_4`, `GL_ES_VERSION_2_0`; `GL_OES_blend_func_separate`
    `void` | `glBufferData(int arg0, long arg1, Buffer arg2, int arg3)` Entry point to C language function: `void glBufferData(GLenum target, GLsizeiptr size, const GLvoid * data, GLenum usage)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
    `void` | `glBufferSubData(int arg0, long arg1, long arg2, Buffer arg3)` Entry point to C language function: `void glBufferSubData(GLenum target, GLintptr offset, GLsizeiptr size, const GLvoid * data)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
    `int` | `glCheckFramebufferStatus(int arg0)` Entry point to C language function: `GLenum glCheckFramebufferStatus(GLenum target)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glClear(int arg0)` Entry point to C language function: `void glClear(GLbitfield mask)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glClearColor(float arg0, float arg1, float arg2, float arg3)` Entry point to C language function: `void glClearColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha)` Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
    `void` | `glClearColorx(int arg0, int arg1, int arg2, int arg3)` Entry point to C language function: `void glClearColorx(GLclampx red, GLclampx green, GLclampx blue, GLclampx alpha)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glClearDepth(double arg0)` Aliased entrypoint of `void glClearDepth(GLclampd depth);` and `void glClearDepthf(GLclampf depth);` .
    `void` | `glClearDepthf(float arg0)` Entry point to C language function: `void glClearDepthf(GLfloat depth)` Part of `GL_ARB_ES2_compatibility`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`; `GL_OES_single_precision`
    `void` | `glClearDepthx(int arg0)` Entry point to C language function: `void glClearDepthx(GLclampx depth)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glClearStencil(int arg0)` Entry point to C language function: `void glClearStencil(GLint s)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glClientActiveTexture(int arg0)` Entry point to C language function: `void glClientActiveTexture(GLenum texture)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`
    `void` | `glClipPlanef(int arg0, float[] arg1, int arg2)` Entry point to C language function: `void glClipPlanef(GLenum plane, const GLfloat * equation)` Part of `GL_VERSION_ES_CM`; `GL_OES_single_precision`
    `void` | `glClipPlanef(int arg0, FloatBuffer arg1)` Entry point to C language function: `void glClipPlanef(GLenum plane, const GLfloat * equation)` Part of `GL_VERSION_ES_CM`; `GL_OES_single_precision`
    `void` | `glClipPlanefIMG(int arg0, float[] arg1, int arg2)` Entry point to C language function: `void glClipPlanefIMG(GLenum, const GLfloat * )` Part of `GL_IMG_user_clip_plane`
    `void` | `glClipPlanefIMG(int arg0, FloatBuffer arg1)` Entry point to C language function: `void glClipPlanefIMG(GLenum, const GLfloat * )` Part of `GL_IMG_user_clip_plane`
    `void` | `glClipPlanex(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glClipPlanex(GLenum plane, const GLfixed * equation)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glClipPlanex(int arg0, IntBuffer arg1)` Entry point to C language function: `void glClipPlanex(GLenum plane, const GLfixed * equation)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glClipPlanexIMG(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glClipPlanexIMG(GLenum, const GLfixed * )` Part of `GL_IMG_user_clip_plane`
    `void` | `glClipPlanexIMG(int arg0, IntBuffer arg1)` Entry point to C language function: `void glClipPlanexIMG(GLenum, const GLfixed * )` Part of `GL_IMG_user_clip_plane`
    `void` | `glColor4f(float arg0, float arg1, float arg2, float arg3)`
    `void` | `glColor4ub(byte arg0, byte arg1, byte arg2, byte arg3)` Entry point to C language function: `void glColor4ub(GLubyte red, GLubyte green, GLubyte blue, GLubyte alpha)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`
    `void` | `glColor4x(int arg0, int arg1, int arg2, int arg3)` Entry point to C language function: `void glColor4x(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glColorMask(boolean arg0, boolean arg1, boolean arg2, boolean arg3)` Entry point to C language function: `void glColorMask(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glColorPointer(GLArrayData arg0)`
    `void` | `glColorPointer(int arg0, int arg1, int arg2, Buffer arg3)`
    `void` | `glColorPointer(int arg0, int arg1, int arg2, long arg3)`
    `void` | `glCompressedTexImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, Buffer arg7)` Entry point to C language function: `void glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid * data)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `void` | `glCompressedTexImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, long arg7)` Entry point to C language function: `void glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid * data)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `void` | `glCompressedTexSubImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, Buffer arg8)` Entry point to C language function: `void glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid * data)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `void` | `glCompressedTexSubImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, long arg8)` Entry point to C language function: `void glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid * data)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `void` | `glCopyTexImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7)` Entry point to C language function: `void glCopyTexImage2D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glCopyTexSubImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7)` Entry point to C language function: `void glCopyTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glCopyTextureLevelsAPPLE(int arg0, int arg1, int arg2, int arg3)` Entry point to C language function: `void glCopyTextureLevelsAPPLE(GLuint destinationTexture, GLuint sourceTexture, GLint sourceBaseLevel, GLsizei sourceLevelCount)` Part of `GL_APPLE_copy_texture_levels`
    `void` | `glCullFace(int arg0)` Entry point to C language function: `void glCullFace(GLenum mode)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glCurrentPaletteMatrix(int arg0)` Entry point to C language function: `void glCurrentPaletteMatrix(GLuint matrixpaletteindex)` Part of `GL_ARB_matrix_palette`; `GL_OES_matrix_palette`
    `void` | `glDeleteBuffers(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glDeleteBuffers(GLsizei n, const GLuint * buffers)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
    `void` | `glDeleteBuffers(int arg0, IntBuffer arg1)` Entry point to C language function: `void glDeleteBuffers(GLsizei n, const GLuint * buffers)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
    `void` | `glDeleteFencesNV(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glDeleteFencesNV(GLsizei, const GLuint * )` Part of `GL_NV_fence`
    `void` | `glDeleteFencesNV(int arg0, IntBuffer arg1)` Entry point to C language function: `void glDeleteFencesNV(GLsizei, const GLuint * )` Part of `GL_NV_fence`
    `void` | `glDeleteFramebuffers(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glDeleteFramebuffers(GLsizei n, const GLuint * framebuffers)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glDeleteFramebuffers(int arg0, IntBuffer arg1)` Entry point to C language function: `void glDeleteFramebuffers(GLsizei n, const GLuint * framebuffers)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glDeleteRenderbuffers(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glDeleteRenderbuffers(GLsizei n, const GLuint * renderbuffers)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glDeleteRenderbuffers(int arg0, IntBuffer arg1)` Entry point to C language function: `void glDeleteRenderbuffers(GLsizei n, const GLuint * renderbuffers)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glDeleteTextures(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glDeleteTextures(GLsizei n, const GLuint * textures)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glDeleteTextures(int arg0, IntBuffer arg1)` Entry point to C language function: `void glDeleteTextures(GLsizei n, const GLuint * textures)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glDeleteVertexArraysOES(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glDeleteVertexArraysOES(GLsizei n, const GLuint * arrays)` Part of `GL_OES_vertex_array_object`
    `void` | `glDeleteVertexArraysOES(int arg0, IntBuffer arg1)` Entry point to C language function: `void glDeleteVertexArraysOES(GLsizei n, const GLuint * arrays)` Part of `GL_OES_vertex_array_object`
    `void` | `glDepthFunc(int arg0)` Entry point to C language function: `void glDepthFunc(GLenum func)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glDepthMask(boolean arg0)` Entry point to C language function: `void glDepthMask(GLboolean flag)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glDepthRange(double arg0, double arg1)` Aliased entrypoint of `void glDepthRange(GLclampd depth);` and `void glDepthRangef(GLclampf depth);` .
    `void` | `glDepthRangef(float arg0, float arg1)` Entry point to C language function: `void glDepthRangef(GLclampf zNear, GLclampf zFar)` Part of `GL_ARB_ES2_compatibility`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`; `GL_OES_single_precision`
    `void` | `glDepthRangex(int arg0, int arg1)` Entry point to C language function: `void glDepthRangex(GLclampx zNear, GLclampx zFar)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glDisable(int arg0)` Entry point to C language function: `void glDisable(GLenum cap)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glDisableClientState(int arg0)`
    `void` | `glDisableDriverControlQCOM(int arg0)` Entry point to C language function: `void glDisableDriverControlQCOM(GLuint driverControl)` Part of `GL_QCOM_driver_control`
    `void` | `glDiscardFramebufferEXT(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glDiscardFramebufferEXT(GLenum target, GLsizei numAttachments, const GLenum * attachments)` Part of `GL_EXT_discard_framebuffer`
    `void` | `glDiscardFramebufferEXT(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glDiscardFramebufferEXT(GLenum target, GLsizei numAttachments, const GLenum * attachments)` Part of `GL_EXT_discard_framebuffer`
    `void` | `glDrawArrays(int arg0, int arg1, int arg2)` Entry point to C language function: `void glDrawArrays(GLenum mode, GLint first, GLsizei count)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glDrawElements(int arg0, int arg1, int arg2, Buffer arg3)` Entry point to C language function: `void glDrawElements(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices);` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glDrawElements(int arg0, int arg1, int arg2, long arg3)` Entry point to C language function: `void glDrawElements(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glDrawTexfOES(float arg0, float arg1, float arg2, float arg3, float arg4)` Entry point to C language function: `void glDrawTexfOES(GLfloat x, GLfloat y, GLfloat z, GLfloat width, GLfloat height)` Part of `GL_OES_draw_texture`
    `void` | `glDrawTexfvOES(float[] arg0, int arg1)` Entry point to C language function: `void glDrawTexfvOES(const GLfloat * coords)` Part of `GL_OES_draw_texture`
    `void` | `glDrawTexfvOES(FloatBuffer arg0)` Entry point to C language function: `void glDrawTexfvOES(const GLfloat * coords)` Part of `GL_OES_draw_texture`
    `void` | `glDrawTexiOES(int arg0, int arg1, int arg2, int arg3, int arg4)` Entry point to C language function: `void glDrawTexiOES(GLint x, GLint y, GLint z, GLint width, GLint height)` Part of `GL_OES_draw_texture`
    `void` | `glDrawTexivOES(int[] arg0, int arg1)` Entry point to C language function: `void glDrawTexivOES(const GLint * coords)` Part of `GL_OES_draw_texture`
    `void` | `glDrawTexivOES(IntBuffer arg0)` Entry point to C language function: `void glDrawTexivOES(const GLint * coords)` Part of `GL_OES_draw_texture`
    `void` | `glDrawTexsOES(short arg0, short arg1, short arg2, short arg3, short arg4)` Entry point to C language function: `void glDrawTexsOES(GLshort x, GLshort y, GLshort z, GLshort width, GLshort height)` Part of `GL_OES_draw_texture`
    `void` | `glDrawTexsvOES(short[] arg0, int arg1)` Entry point to C language function: `void glDrawTexsvOES(const GLshort * coords)` Part of `GL_OES_draw_texture`
    `void` | `glDrawTexsvOES(ShortBuffer arg0)` Entry point to C language function: `void glDrawTexsvOES(const GLshort * coords)` Part of `GL_OES_draw_texture`
    `void` | `glDrawTexxOES(int arg0, int arg1, int arg2, int arg3, int arg4)` Entry point to C language function: `void glDrawTexxOES(GLfixed x, GLfixed y, GLfixed z, GLfixed width, GLfixed height)` Part of `GL_OES_draw_texture`
    `void` | `glDrawTexxvOES(int[] arg0, int arg1)` Entry point to C language function: `void glDrawTexxvOES(const GLfixed * coords)` Part of `GL_OES_draw_texture`
    `void` | `glDrawTexxvOES(IntBuffer arg0)` Entry point to C language function: `void glDrawTexxvOES(const GLfixed * coords)` Part of `GL_OES_draw_texture`
    `void` | `glEGLImageTargetRenderbufferStorageOES(int arg0, long arg1)` Entry point to C language function: `void glEGLImageTargetRenderbufferStorageOES(GLenum target, GLeglImageOES image)` Part of `GL_OES_EGL_image`
    `void` | `glEGLImageTargetTexture2DOES(int arg0, long arg1)` Entry point to C language function: `void glEGLImageTargetTexture2DOES(GLenum target, GLeglImageOES image)` Part of `GL_OES_EGL_image`
    `void` | `glEnable(int arg0)` Entry point to C language function: `void glEnable(GLenum cap)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glEnableClientState(int arg0)`
    `void` | `glEnableDriverControlQCOM(int arg0)` Entry point to C language function: `void glEnableDriverControlQCOM(GLuint driverControl)` Part of `GL_QCOM_driver_control`
    `void` | `glEndTilingQCOM(int arg0)` Entry point to C language function: `void glEndTilingQCOM(GLbitfield preserveMask)` Part of `GL_QCOM_tiled_rendering`
    `void` | `glExtGetBufferPointervQCOM(int arg0, PointerBuffer arg1)` Entry point to C language function: `void glExtGetBufferPointervQCOM(GLenum target, GLvoid * * params)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetBuffersQCOM(int[] arg0, int arg1, int arg2, int[] arg3, int arg4)` Entry point to C language function: `void glExtGetBuffersQCOM(GLuint * buffers, GLint maxBuffers, GLint * numBuffers)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetBuffersQCOM(IntBuffer arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glExtGetBuffersQCOM(GLuint * buffers, GLint maxBuffers, GLint * numBuffers)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetFramebuffersQCOM(int[] arg0, int arg1, int arg2, int[] arg3, int arg4)` Entry point to C language function: `void glExtGetFramebuffersQCOM(GLuint * framebuffers, GLint maxFramebuffers, GLint * numFramebuffers)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetFramebuffersQCOM(IntBuffer arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glExtGetFramebuffersQCOM(GLuint * framebuffers, GLint maxFramebuffers, GLint * numFramebuffers)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetProgramBinarySourceQCOM(int arg0, int arg1, byte[] arg2, int arg3, int[] arg4, int arg5)` Entry point to C language function: `void glExtGetProgramBinarySourceQCOM(GLuint program, GLenum shadertype, GLchar * source, GLint * length)` Part of `GL_QCOM_extended_get2`
    `void` | `glExtGetProgramBinarySourceQCOM(int arg0, int arg1, ByteBuffer arg2, IntBuffer arg3)` Entry point to C language function: `void glExtGetProgramBinarySourceQCOM(GLuint program, GLenum shadertype, GLchar * source, GLint * length)` Part of `GL_QCOM_extended_get2`
    `void` | `glExtGetProgramsQCOM(int[] arg0, int arg1, int arg2, int[] arg3, int arg4)` Entry point to C language function: `void glExtGetProgramsQCOM(GLuint * programs, GLint maxPrograms, GLint * numPrograms)` Part of `GL_QCOM_extended_get2`
    `void` | `glExtGetProgramsQCOM(IntBuffer arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glExtGetProgramsQCOM(GLuint * programs, GLint maxPrograms, GLint * numPrograms)` Part of `GL_QCOM_extended_get2`
    `void` | `glExtGetRenderbuffersQCOM(int[] arg0, int arg1, int arg2, int[] arg3, int arg4)` Entry point to C language function: `void glExtGetRenderbuffersQCOM(GLuint * renderbuffers, GLint maxRenderbuffers, GLint * numRenderbuffers)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetRenderbuffersQCOM(IntBuffer arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glExtGetRenderbuffersQCOM(GLuint * renderbuffers, GLint maxRenderbuffers, GLint * numRenderbuffers)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetShadersQCOM(int[] arg0, int arg1, int arg2, int[] arg3, int arg4)` Entry point to C language function: `void glExtGetShadersQCOM(GLuint * shaders, GLint maxShaders, GLint * numShaders)` Part of `GL_QCOM_extended_get2`
    `void` | `glExtGetShadersQCOM(IntBuffer arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glExtGetShadersQCOM(GLuint * shaders, GLint maxShaders, GLint * numShaders)` Part of `GL_QCOM_extended_get2`
    `void` | `glExtGetTexLevelParameterivQCOM(int arg0, int arg1, int arg2, int arg3, int[] arg4, int arg5)` Entry point to C language function: `void glExtGetTexLevelParameterivQCOM(GLuint texture, GLenum face, GLint level, GLenum pname, GLint * params)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetTexLevelParameterivQCOM(int arg0, int arg1, int arg2, int arg3, IntBuffer arg4)` Entry point to C language function: `void glExtGetTexLevelParameterivQCOM(GLuint texture, GLenum face, GLint level, GLenum pname, GLint * params)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetTexSubImageQCOM(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, int arg8, int arg9, Buffer arg10)` Entry point to C language function: `void glExtGetTexSubImageQCOM(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, GLvoid * texels)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetTexturesQCOM(int[] arg0, int arg1, int arg2, int[] arg3, int arg4)` Entry point to C language function: `void glExtGetTexturesQCOM(GLuint * textures, GLint maxTextures, GLint * numTextures)` Part of `GL_QCOM_extended_get`
    `void` | `glExtGetTexturesQCOM(IntBuffer arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glExtGetTexturesQCOM(GLuint * textures, GLint maxTextures, GLint * numTextures)` Part of `GL_QCOM_extended_get`
    `boolean` | `glExtIsProgramBinaryQCOM(int arg0)` Entry point to C language function: `GLboolean glExtIsProgramBinaryQCOM(GLuint program)` Part of `GL_QCOM_extended_get2`
    `void` | `glExtTexObjectStateOverrideiQCOM(int arg0, int arg1, int arg2)` Entry point to C language function: `void glExtTexObjectStateOverrideiQCOM(GLenum target, GLenum pname, GLint param)` Part of `GL_QCOM_extended_get`
    `void` | `glFinish()` Entry point to C language function: `void glFinish(void)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glFinishFenceNV(int arg0)` Entry point to C language function: `void glFinishFenceNV(GLuint)` Part of `GL_NV_fence`
    `void` | `glFlush()` Entry point to C language function: `void glFlush(void)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glFlushMappedBufferRange(int arg0, long arg1, long arg2)` Entry point to C language function: `void glFlushMappedBufferRange(GLenum target, GLintptr offset, GLsizeiptr length)` Part of `GL_ES_VERSION_3_0`, `GL_ARB_map_buffer_range`, `GL_VERSION_3_0`; `GL_APPLE_flush_buffer_range`; `GL_EXT_map_buffer_range`
    `void` | `glFogf(int arg0, float arg1)` Entry point to C language function: `void glFogf(GLenum pname, GLfloat param)` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
    `void` | `glFogfv(int arg0, float[] arg1, int arg2)` Entry point to C language function: `void glFogfv(GLenum pname, const GLfloat * params)` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
    `void` | `glFogfv(int arg0, FloatBuffer arg1)` Entry point to C language function: `void glFogfv(GLenum pname, const GLfloat * params)` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
    `void` | `glFogx(int arg0, int arg1)` Entry point to C language function: `void glFogx(GLenum pname, GLfixed param)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glFogxv(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glFogxv(GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glFogxv(int arg0, IntBuffer arg1)` Entry point to C language function: `void glFogxv(GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glFramebufferRenderbuffer(int arg0, int arg1, int arg2, int arg3)` Entry point to C language function: `void glFramebufferRenderbuffer(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glFramebufferTexture2D(int arg0, int arg1, int arg2, int arg3, int arg4)` Entry point to C language function: `void glFramebufferTexture2D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glFramebufferTexture2DMultisampleEXT(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5)` Entry point to C language function: `void glFramebufferTexture2DMultisampleEXT(GLenum, GLenum, GLenum, GLuint, GLint, GLsizei)` Part of `GL_EXT_multisampled_render_to_texture`
    `void` | `glFramebufferTexture2DMultisampleIMG(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5)` Entry point to C language function: `void glFramebufferTexture2DMultisampleIMG(GLenum, GLenum, GLenum, GLuint, GLint, GLsizei)` Part of `GL_IMG_multisampled_render_to_texture`
    `void` | `glFrontFace(int arg0)` Entry point to C language function: `void glFrontFace(GLenum mode)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glFrustum(double arg0, double arg1, double arg2, double arg3, double arg4, double arg5)`
    `void` | `glFrustumf(float arg0, float arg1, float arg2, float arg3, float arg4, float arg5)` `Multiply` the current matrix with the frustum matrix.
    `void` | `glFrustumx(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5)` Entry point to C language function: `void glFrustumx(GLfixed left, GLfixed right, GLfixed bottom, GLfixed top, GLfixed zNear, GLfixed zFar)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glGenBuffers(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glGenBuffers(GLsizei n, GLuint * buffers)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
    `void` | `glGenBuffers(int arg0, IntBuffer arg1)` Entry point to C language function: `void glGenBuffers(GLsizei n, GLuint * buffers)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
    `void` | `glGenerateMipmap(int arg0)` Entry point to C language function: `void glGenerateMipmap(GLenum target)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glGenFencesNV(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glGenFencesNV(GLsizei, GLuint * )` Part of `GL_NV_fence`
    `void` | `glGenFencesNV(int arg0, IntBuffer arg1)` Entry point to C language function: `void glGenFencesNV(GLsizei, GLuint * )` Part of `GL_NV_fence`
    `void` | `glGenFramebuffers(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glGenFramebuffers(GLsizei n, GLuint * framebuffers)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glGenFramebuffers(int arg0, IntBuffer arg1)` Entry point to C language function: `void glGenFramebuffers(GLsizei n, GLuint * framebuffers)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glGenRenderbuffers(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glGenRenderbuffers(GLsizei n, GLuint * renderbuffers)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glGenRenderbuffers(int arg0, IntBuffer arg1)` Entry point to C language function: `void glGenRenderbuffers(GLsizei n, GLuint * renderbuffers)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glGenTextures(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glGenTextures(GLsizei n, GLuint * textures)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glGenTextures(int arg0, IntBuffer arg1)` Entry point to C language function: `void glGenTextures(GLsizei n, GLuint * textures)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glGenVertexArraysOES(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glGenVertexArraysOES(GLsizei n, GLuint * arrays)` Part of `GL_OES_vertex_array_object`
    `void` | `glGenVertexArraysOES(int arg0, IntBuffer arg1)` Entry point to C language function: `void glGenVertexArraysOES(GLsizei n, GLuint * arrays)` Part of `GL_OES_vertex_array_object`
    `void` | `glGetBooleanv(int arg0, byte[] arg1, int arg2)` Entry point to C language function: `void glGetBooleanv(GLenum pname, GLboolean * params)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glGetBooleanv(int arg0, ByteBuffer arg1)` Entry point to C language function: `void glGetBooleanv(GLenum pname, GLboolean * params)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glGetBufferParameteriv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetBufferParameteriv(GLenum target, GLenum pname, GLint * params)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
    `void` | `glGetBufferParameteriv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetBufferParameteriv(GLenum target, GLenum pname, GLint * params)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
    `void` | `glGetClipPlanef(int arg0, float[] arg1, int arg2)` Entry point to C language function: `void glGetClipPlanef(GLenum pname, GLfloat * equation)` Part of `GL_VERSION_ES_CM`; `GL_OES_single_precision`
    `void` | `glGetClipPlanef(int arg0, FloatBuffer arg1)` Entry point to C language function: `void glGetClipPlanef(GLenum pname, GLfloat * equation)` Part of `GL_VERSION_ES_CM`; `GL_OES_single_precision`
    `void` | `glGetClipPlanex(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glGetClipPlanex(GLenum pname, GLfixed * eqn)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glGetClipPlanex(int arg0, IntBuffer arg1)` Entry point to C language function: `void glGetClipPlanex(GLenum pname, GLfixed * eqn)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glGetDriverControlsQCOM(int[] arg0, int arg1, int arg2, int[] arg3, int arg4)` Entry point to C language function: `void glGetDriverControlsQCOM(GLint * num, GLsizei size, GLuint * driverControls)` Part of `GL_QCOM_driver_control`
    `void` | `glGetDriverControlsQCOM(IntBuffer arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetDriverControlsQCOM(GLint * num, GLsizei size, GLuint * driverControls)` Part of `GL_QCOM_driver_control`
    `void` | `glGetDriverControlStringQCOM(int arg0, int arg1, int[] arg2, int arg3, byte[] arg4, int arg5)` Entry point to C language function: `void glGetDriverControlStringQCOM(GLuint driverControl, GLsizei bufSize, GLsizei * length, GLchar * driverControlString)` Part of `GL_QCOM_driver_control`
    `void` | `glGetDriverControlStringQCOM(int arg0, int arg1, IntBuffer arg2, ByteBuffer arg3)` Entry point to C language function: `void glGetDriverControlStringQCOM(GLuint driverControl, GLsizei bufSize, GLsizei * length, GLchar * driverControlString)` Part of `GL_QCOM_driver_control`
    `int` | `glGetError()` Entry point to C language function: `GLenum glGetError(void)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glGetFenceivNV(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetFenceivNV(GLuint, GLenum, GLint * )` Part of `GL_NV_fence`
    `void` | `glGetFenceivNV(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetFenceivNV(GLuint, GLenum, GLint * )` Part of `GL_NV_fence`
    `void` | `glGetFixedv(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glGetFixedv(GLenum pname, GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glGetFixedv(int arg0, IntBuffer arg1)` Entry point to C language function: `void glGetFixedv(GLenum pname, GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glGetFloatv(int arg0, float[] arg1, int arg2)` Entry point to C language function: `void glGetFloatv(GLenum pname, GLfloat * params)` Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
    `void` | `glGetFloatv(int arg0, FloatBuffer arg1)` Entry point to C language function: `void glGetFloatv(GLenum pname, GLfloat * params)` Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
    `void` | `glGetFramebufferAttachmentParameteriv(int arg0, int arg1, int arg2, int[] arg3, int arg4)` Entry point to C language function: `void glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint * params)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glGetFramebufferAttachmentParameteriv(int arg0, int arg1, int arg2, IntBuffer arg3)` Entry point to C language function: `void glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint * params)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `int` | `glGetGraphicsResetStatus()` Entry point to C language function: `GLenum glGetGraphicsResetStatus(void)` Part of `GL_ARB_robustness`; `GL_EXT_robustness`
    `void` | `glGetIntegerv(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glGetIntegerv(GLenum pname, GLint * params)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glGetIntegerv(int arg0, IntBuffer arg1)` Entry point to C language function: `void glGetIntegerv(GLenum pname, GLint * params)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glGetLightfv(int arg0, int arg1, float[] arg2, int arg3)` Entry point to C language function: `void glGetLightfv(GLenum light, GLenum pname, GLfloat * params)` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
    `void` | `glGetLightfv(int arg0, int arg1, FloatBuffer arg2)` Entry point to C language function: `void glGetLightfv(GLenum light, GLenum pname, GLfloat * params)` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
    `void` | `glGetLightxv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetLightxv(GLenum light, GLenum pname, GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glGetLightxv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetLightxv(GLenum light, GLenum pname, GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glGetMaterialfv(int arg0, int arg1, float[] arg2, int arg3)` Entry point to C language function: `void glGetMaterialfv(GLenum face, GLenum pname, GLfloat * params)` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
    `void` | `glGetMaterialfv(int arg0, int arg1, FloatBuffer arg2)` Entry point to C language function: `void glGetMaterialfv(GLenum face, GLenum pname, GLfloat * params)` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
    `void` | `glGetMaterialxv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetMaterialxv(GLenum face, GLenum pname, GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glGetMaterialxv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetMaterialxv(GLenum face, GLenum pname, GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glGetnUniformfv(int arg0, int arg1, int arg2, float[] arg3, int arg4)` Entry point to C language function: `void glGetnUniformfv(GLuint program, GLint location, GLsizei bufSize, float * params)` Part of `GL_ARB_robustness`; `GL_EXT_robustness`
    `void` | `glGetnUniformfv(int arg0, int arg1, int arg2, FloatBuffer arg3)` Entry point to C language function: `void glGetnUniformfv(GLuint program, GLint location, GLsizei bufSize, float * params)` Part of `GL_ARB_robustness`; `GL_EXT_robustness`
    `void` | `glGetnUniformiv(int arg0, int arg1, int arg2, int[] arg3, int arg4)` Entry point to C language function: `void glGetnUniformiv(GLuint program, GLint location, GLsizei bufSize, GLint * params)` Part of `GL_ARB_robustness`; `GL_EXT_robustness`
    `void` | `glGetnUniformiv(int arg0, int arg1, int arg2, IntBuffer arg3)` Entry point to C language function: `void glGetnUniformiv(GLuint program, GLint location, GLsizei bufSize, GLint * params)` Part of `GL_ARB_robustness`; `GL_EXT_robustness`
    `void` | `glGetRenderbufferParameteriv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint * params)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glGetRenderbufferParameteriv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint * params)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `String` | `glGetString(int arg0)` Entry point to C language function: `const GLubyte * glGetString(GLenum name)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glGetTexEnvfv(int arg0, int arg1, float[] arg2, int arg3)` Entry point to C language function: `void glGetTexEnvfv(GLenum tenv, GLenum pname, GLfloat * params)` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
    `void` | `glGetTexEnvfv(int arg0, int arg1, FloatBuffer arg2)` Entry point to C language function: `void glGetTexEnvfv(GLenum tenv, GLenum pname, GLfloat * params)` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
    `void` | `glGetTexEnviv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetTexEnviv(GLenum tenv, GLenum pname, GLint * params)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`
    `void` | `glGetTexEnviv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetTexEnviv(GLenum tenv, GLenum pname, GLint * params)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`
    `void` | `glGetTexEnvxv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetTexEnvxv(GLenum tenv, GLenum pname, GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glGetTexEnvxv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetTexEnvxv(GLenum tenv, GLenum pname, GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glGetTexGenfv(int arg0, int arg1, float[] arg2, int arg3)` Entry point to C language function: `void glGetTexGenfv(GLenum coord, GLenum pname, GLfloat * params)` Part of `GL_VERSION_1_0`; `GL_OES_texture_cube_map`
    `void` | `glGetTexGenfv(int arg0, int arg1, FloatBuffer arg2)` Entry point to C language function: `void glGetTexGenfv(GLenum coord, GLenum pname, GLfloat * params)` Part of `GL_VERSION_1_0`; `GL_OES_texture_cube_map`
    `void` | `glGetTexGeniv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetTexGeniv(GLenum coord, GLenum pname, GLint * params)` Part of `GL_VERSION_1_0`; `GL_OES_texture_cube_map`
    `void` | `glGetTexGeniv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetTexGeniv(GLenum coord, GLenum pname, GLint * params)` Part of `GL_VERSION_1_0`; `GL_OES_texture_cube_map`
    `void` | `glGetTexParameterfv(int arg0, int arg1, float[] arg2, int arg3)` Entry point to C language function: `void glGetTexParameterfv(GLenum target, GLenum pname, GLfloat * params)` Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
    `void` | `glGetTexParameterfv(int arg0, int arg1, FloatBuffer arg2)` Entry point to C language function: `void glGetTexParameterfv(GLenum target, GLenum pname, GLfloat * params)` Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
    `void` | `glGetTexParameteriv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetTexParameteriv(GLenum target, GLenum pname, GLint * params)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glGetTexParameteriv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetTexParameteriv(GLenum target, GLenum pname, GLint * params)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glGetTexParameterxv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glGetTexParameterxv(GLenum target, GLenum pname, GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glGetTexParameterxv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glGetTexParameterxv(GLenum target, GLenum pname, GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glHint(int arg0, int arg1)` Entry point to C language function: `void glHint(GLenum target, GLenum mode)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `boolean` | `glIsBuffer(int arg0)` Entry point to C language function: `GLboolean glIsBuffer(GLuint buffer)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
    `boolean` | `glIsEnabled(int arg0)` Entry point to C language function: `GLboolean glIsEnabled(GLenum cap)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_NV_vertex_buffer_unified_memory`, `GL_ES_VERSION_2_0`
    `boolean` | `glIsFenceNV(int arg0)` Entry point to C language function: `GLboolean glIsFenceNV(GLuint)` Part of `GL_NV_fence`
    `boolean` | `glIsFramebuffer(int arg0)` Entry point to C language function: `GLboolean glIsFramebuffer(GLuint framebuffer)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `boolean` | `glIsRenderbuffer(int arg0)` Entry point to C language function: `GLboolean glIsRenderbuffer(GLuint renderbuffer)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `boolean` | `glIsTexture(int arg0)` Entry point to C language function: `GLboolean glIsTexture(GLuint texture)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `boolean` | `glIsVertexArrayOES(int arg0)` Entry point to C language function: `GLboolean glIsVertexArrayOES(GLuint array)` Part of `GL_OES_vertex_array_object`
    `void` | `glLightf(int arg0, int arg1, float arg2)` Entry point to C language function: `void glLightf(GLenum light, GLenum pname, GLfloat param)` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
    `void` | `glLightfv(int arg0, int arg1, float[] arg2, int arg3)`
    `void` | `glLightfv(int arg0, int arg1, FloatBuffer arg2)`
    `void` | `glLightModelf(int arg0, float arg1)` Entry point to C language function: `void glLightModelf(GLenum pname, GLfloat param)` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
    `void` | `glLightModelfv(int arg0, float[] arg1, int arg2)` Entry point to C language function: `void glLightModelfv(GLenum pname, const GLfloat * params)` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
    `void` | `glLightModelfv(int arg0, FloatBuffer arg1)` Entry point to C language function: `void glLightModelfv(GLenum pname, const GLfloat * params)` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
    `void` | `glLightModelx(int arg0, int arg1)` Entry point to C language function: `void glLightModelx(GLenum pname, GLfixed param)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glLightModelxv(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glLightModelxv(GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glLightModelxv(int arg0, IntBuffer arg1)` Entry point to C language function: `void glLightModelxv(GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glLightx(int arg0, int arg1, int arg2)` Entry point to C language function: `void glLightx(GLenum light, GLenum pname, GLfixed param)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glLightxv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glLightxv(GLenum light, GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glLightxv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glLightxv(GLenum light, GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glLineWidth(float arg0)` Entry point to C language function: `void glLineWidth(GLfloat width)` Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
    `void` | `glLineWidthx(int arg0)` Entry point to C language function: `void glLineWidthx(GLfixed width)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glLoadIdentity()` Load the current matrix with the identity matrix
    `void` | `glLoadMatrixf(float[] arg0, int arg1)` Load the current matrix w/ the provided one.
    `void` | `glLoadMatrixf(FloatBuffer arg0)` Load the current matrix w/ the provided one.
    `void` | `glLoadMatrixx(int[] arg0, int arg1)` Entry point to C language function: `void glLoadMatrixx(const GLfixed * m)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glLoadMatrixx(IntBuffer arg0)` Entry point to C language function: `void glLoadMatrixx(const GLfixed * m)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glLoadPaletteFromModelViewMatrixOES()` Entry point to C language function: `void glLoadPaletteFromModelViewMatrixOES(void)` Part of `GL_OES_matrix_palette`
    `void` | `glLogicOp(int arg0)` Entry point to C language function: `void glLogicOp(GLenum opcode)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`
    `ByteBuffer` | `glMapBuffer(int arg0, int arg1)` Entry point to C language function: `void * glMapBuffer(GLenum target, GLenum access)` Part of `GL_VERSION_1_5`; `GL_OES_mapbuffer`
    `ByteBuffer` | `glMapBufferRange(int arg0, long arg1, long arg2, int arg3)` Entry point to C language function: `void * glMapBufferRange(GLenum target, GLintptr offset, GLsizeiptr length, GLbitfield access)` Part of `GL_ES_VERSION_3_0`, `GL_ARB_map_buffer_range`, `GL_VERSION_3_0`; `GL_EXT_map_buffer_range`
    `void` | `glMaterialf(int arg0, int arg1, float arg2)`
    `void` | `glMaterialfv(int arg0, int arg1, float[] arg2, int arg3)`
    `void` | `glMaterialfv(int arg0, int arg1, FloatBuffer arg2)`
    `void` | `glMaterialx(int arg0, int arg1, int arg2)` Entry point to C language function: `void glMaterialx(GLenum face, GLenum pname, GLfixed param)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glMaterialxv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glMaterialxv(GLenum face, GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glMaterialxv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glMaterialxv(GLenum face, GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glMatrixIndexPointer(int arg0, int arg1, int arg2, Buffer arg3)` Entry point to C language function: `void glMatrixIndexPointer(GLint size, GLenum type, GLsizei stride, const GLvoid * pointer)` Part of `GL_ARB_matrix_palette`; `GL_OES_matrix_palette`
    `void` | `glMatrixMode(int arg0)` Sets the current matrix mode.
    `void` | `glMultiTexCoord4f(int arg0, float arg1, float arg2, float arg3, float arg4)` Entry point to C language function: `void glMultiTexCoord4f(GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q)` Part of `GL_VERSION_1_3`, `GL_VERSION_ES_CM`
    `void` | `glMultiTexCoord4x(int arg0, int arg1, int arg2, int arg3, int arg4)` Entry point to C language function: `void glMultiTexCoord4x(GLenum target, GLfixed s, GLfixed t, GLfixed r, GLfixed q)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glMultMatrixf(float[] arg0, int arg1)` Multiply the current matrix: [c] = [c] x [m]
    `void` | `glMultMatrixf(FloatBuffer arg0)` Multiply the current matrix: [c] = [c] x [m]
    `void` | `glMultMatrixx(int[] arg0, int arg1)` Entry point to C language function: `void glMultMatrixx(const GLfixed * m)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glMultMatrixx(IntBuffer arg0)` Entry point to C language function: `void glMultMatrixx(const GLfixed * m)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glNormal3f(float arg0, float arg1, float arg2)` Entry point to C language function: `void glNormal3f(GLfloat nx, GLfloat ny, GLfloat nz)` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
    `void` | `glNormal3x(int arg0, int arg1, int arg2)` Entry point to C language function: `void glNormal3x(GLfixed nx, GLfixed ny, GLfixed nz)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glNormalPointer(GLArrayData arg0)`
    `void` | `glNormalPointer(int arg0, int arg1, Buffer arg2)`
    `void` | `glNormalPointer(int arg0, int arg1, long arg2)`
    `void` | `glOrtho(double arg0, double arg1, double arg2, double arg3, double arg4, double arg5)`
    `void` | `glOrthof(float arg0, float arg1, float arg2, float arg3, float arg4, float arg5)` `Multiply` the current matrix with the orthogonal matrix.
    `void` | `glOrthox(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5)` Entry point to C language function: `void glOrthox(GLfixed left, GLfixed right, GLfixed bottom, GLfixed top, GLfixed zNear, GLfixed zFar)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glPixelStorei(int arg0, int arg1)` Entry point to C language function: `void glPixelStorei(GLenum pname, GLint param)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glPointParameterf(int arg0, float arg1)` Entry point to C language function: `void glPointParameterf(GLenum pname, GLfloat param)` Part of `GL_VERSION_1_4`, `GL_VERSION_ES_CM`
    `void` | `glPointParameterfv(int arg0, float[] arg1, int arg2)` Entry point to C language function: `void glPointParameterfv(GLenum pname, const GLfloat * params)` Part of `GL_VERSION_1_4`, `GL_VERSION_ES_CM`
    `void` | `glPointParameterfv(int arg0, FloatBuffer arg1)` Entry point to C language function: `void glPointParameterfv(GLenum pname, const GLfloat * params)` Part of `GL_VERSION_1_4`, `GL_VERSION_ES_CM`
    `void` | `glPointParameterx(int arg0, int arg1)` Entry point to C language function: `void glPointParameterx(GLenum pname, GLfixed param)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glPointParameterxv(int arg0, int[] arg1, int arg2)` Entry point to C language function: `void glPointParameterxv(GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glPointParameterxv(int arg0, IntBuffer arg1)` Entry point to C language function: `void glPointParameterxv(GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glPointSize(float arg0)` Entry point to C language function: `void glPointSize(GLfloat size)` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
    `void` | `glPointSizePointerOES(int arg0, int arg1, Buffer arg2)` Entry point to C language function: `void glPointSizePointerOES(GLenum type, GLsizei stride, const GLvoid * pointer)` Part of `GL_OES_point_size_array`
    `void` | `glPointSizex(int arg0)` Entry point to C language function: `void glPointSizex(GLfixed size)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glPolygonOffset(float arg0, float arg1)` Entry point to C language function: `void glPolygonOffset(GLfloat factor, GLfloat units)` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
    `void` | `glPolygonOffsetx(int arg0, int arg1)` Entry point to C language function: `void glPolygonOffsetx(GLfixed factor, GLfixed units)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glPopMatrix()` Pop the current matrix from it's stack.
    `void` | `glPushMatrix()` Push the current matrix to it's stack, while preserving it's values.
    `int` | `glQueryMatrixxOES(int[] arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `GLbitfield glQueryMatrixxOES(GLfixed * mantissa, GLint * exponent)` Part of `GL_OES_query_matrix`
    `int` | `glQueryMatrixxOES(IntBuffer arg0, IntBuffer arg1)` Entry point to C language function: `GLbitfield glQueryMatrixxOES(GLfixed * mantissa, GLint * exponent)` Part of `GL_OES_query_matrix`
    `void` | `glReadnPixels(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, Buffer arg7)` Entry point to C language function: `void glReadnPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, void * data)` Part of `GL_ARB_robustness`; `GL_EXT_robustness`
    `void` | `glReadPixels(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, Buffer arg6)` Entry point to C language function: `void glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid * pixels)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glReadPixels(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, long arg6)` Entry point to C language function: `void glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid * pixels)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glRenderbufferStorage(int arg0, int arg1, int arg2, int arg3)` Entry point to C language function: `void glRenderbufferStorage(GLenum target, GLenum internalformat, GLsizei width, GLsizei height)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
    `void` | `glRenderbufferStorageMultisampleAPPLE(int arg0, int arg1, int arg2, int arg3, int arg4)` Entry point to C language function: `void glRenderbufferStorageMultisampleAPPLE(GLenum, GLsizei, GLenum, GLsizei, GLsizei)` Part of `GL_APPLE_framebuffer_multisample`
    `void` | `glRenderbufferStorageMultisampleIMG(int arg0, int arg1, int arg2, int arg3, int arg4)` Entry point to C language function: `void glRenderbufferStorageMultisampleIMG(GLenum, GLsizei, GLenum, GLsizei, GLsizei)` Part of `GL_IMG_multisampled_render_to_texture`
    `void` | `glResolveMultisampleFramebufferAPPLE()` Entry point to C language function: `void glResolveMultisampleFramebufferAPPLE(void)` Part of `GL_APPLE_framebuffer_multisample`
    `void` | `glRotatef(float arg0, float arg1, float arg2, float arg3)` Rotate the current matrix.
    `void` | `glRotatex(int arg0, int arg1, int arg2, int arg3)` Entry point to C language function: `void glRotatex(GLfixed angle, GLfixed x, GLfixed y, GLfixed z)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glSampleCoverage(float arg0, boolean arg1)` Entry point to C language function: `void glSampleCoverage(GLclampf value, GLboolean invert)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
    `void` | `glSampleCoveragex(int arg0, boolean arg1)` Entry point to C language function: `void glSampleCoveragex(GLclampx value, GLboolean invert)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glScalef(float arg0, float arg1, float arg2)` Scale the current matrix.
    `void` | `glScalex(int arg0, int arg1, int arg2)` Entry point to C language function: `void glScalex(GLfixed x, GLfixed y, GLfixed z)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glScissor(int arg0, int arg1, int arg2, int arg3)` Entry point to C language function: `void glScissor(GLint x, GLint y, GLsizei width, GLsizei height)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glSetFenceNV(int arg0, int arg1)` Entry point to C language function: `void glSetFenceNV(GLuint, GLenum)` Part of `GL_NV_fence`
    `void` | `glShadeModel(int arg0)`
    `void` | `glStartTilingQCOM(int arg0, int arg1, int arg2, int arg3, int arg4)` Entry point to C language function: `void glStartTilingQCOM(GLuint x, GLuint y, GLuint width, GLuint height, GLbitfield preserveMask)` Part of `GL_QCOM_tiled_rendering`
    `void` | `glStencilFunc(int arg0, int arg1, int arg2)` Entry point to C language function: `void glStencilFunc(GLenum func, GLint ref, GLuint mask)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glStencilMask(int arg0)` Entry point to C language function: `void glStencilMask(GLuint mask)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glStencilOp(int arg0, int arg1, int arg2)` Entry point to C language function: `void glStencilOp(GLenum fail, GLenum zfail, GLenum zpass)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `boolean` | `glTestFenceNV(int arg0)` Entry point to C language function: `GLboolean glTestFenceNV(GLuint)` Part of `GL_NV_fence`
    `void` | `glTexCoordPointer(GLArrayData arg0)`
    `void` | `glTexCoordPointer(int arg0, int arg1, int arg2, Buffer arg3)`
    `void` | `glTexCoordPointer(int arg0, int arg1, int arg2, long arg3)`
    `void` | `glTexEnvf(int arg0, int arg1, float arg2)` Entry point to C language function: `void glTexEnvf(GLenum target, GLenum pname, GLfloat param)` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
    `void` | `glTexEnvfv(int arg0, int arg1, float[] arg2, int arg3)` Entry point to C language function: `void glTexEnvfv(GLenum target, GLenum pname, const GLfloat * params)` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
    `void` | `glTexEnvfv(int arg0, int arg1, FloatBuffer arg2)` Entry point to C language function: `void glTexEnvfv(GLenum target, GLenum pname, const GLfloat * params)` Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
    `void` | `glTexEnvi(int arg0, int arg1, int arg2)` Entry point to C language function: `void glTexEnvi(GLenum target, GLenum pname, GLint param)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`
    `void` | `glTexEnviv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glTexEnviv(GLenum target, GLenum pname, const GLint * params)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`
    `void` | `glTexEnviv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glTexEnviv(GLenum target, GLenum pname, const GLint * params)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`
    `void` | `glTexEnvx(int arg0, int arg1, int arg2)` Entry point to C language function: `void glTexEnvx(GLenum target, GLenum pname, GLfixed param)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glTexEnvxv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glTexEnvxv(GLenum target, GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glTexEnvxv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glTexEnvxv(GLenum target, GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glTexGenf(int arg0, int arg1, float arg2)` Entry point to C language function: `void glTexGenf(GLenum coord, GLenum pname, GLfloat param)` Part of `GL_VERSION_1_0`; `GL_OES_texture_cube_map`
    `void` | `glTexGenfv(int arg0, int arg1, float[] arg2, int arg3)` Entry point to C language function: `void glTexGenfv(GLenum coord, GLenum pname, const GLfloat * params)` Part of `GL_VERSION_1_0`; `GL_OES_texture_cube_map`
    `void` | `glTexGenfv(int arg0, int arg1, FloatBuffer arg2)` Entry point to C language function: `void glTexGenfv(GLenum coord, GLenum pname, const GLfloat * params)` Part of `GL_VERSION_1_0`; `GL_OES_texture_cube_map`
    `void` | `glTexGeni(int arg0, int arg1, int arg2)` Entry point to C language function: `void glTexGeni(GLenum coord, GLenum pname, GLint param)` Part of `GL_VERSION_1_0`; `GL_OES_texture_cube_map`
    `void` | `glTexGeniv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glTexGeniv(GLenum coord, GLenum pname, const GLint * params)` Part of `GL_VERSION_1_0`; `GL_OES_texture_cube_map`
    `void` | `glTexGeniv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glTexGeniv(GLenum coord, GLenum pname, const GLint * params)` Part of `GL_VERSION_1_0`; `GL_OES_texture_cube_map`
    `void` | `glTexImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, Buffer arg8)` Entry point to C language function: `void glTexImage2D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid * pixels)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glTexImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, long arg8)` Entry point to C language function: `void glTexImage2D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid * pixels)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glTexParameterf(int arg0, int arg1, float arg2)` Entry point to C language function: `void glTexParameterf(GLenum target, GLenum pname, GLfloat param)` Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
    `void` | `glTexParameterfv(int arg0, int arg1, float[] arg2, int arg3)` Entry point to C language function: `void glTexParameterfv(GLenum target, GLenum pname, const GLfloat * params)` Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
    `void` | `glTexParameterfv(int arg0, int arg1, FloatBuffer arg2)` Entry point to C language function: `void glTexParameterfv(GLenum target, GLenum pname, const GLfloat * params)` Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
    `void` | `glTexParameteri(int arg0, int arg1, int arg2)` Entry point to C language function: `void glTexParameteri(GLenum target, GLenum pname, GLint param)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glTexParameteriv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glTexParameteriv(GLenum target, GLenum pname, const GLint * params)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glTexParameteriv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glTexParameteriv(GLenum target, GLenum pname, const GLint * params)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glTexParameterx(int arg0, int arg1, int arg2)` Entry point to C language function: `void glTexParameterx(GLenum target, GLenum pname, GLfixed param)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glTexParameterxv(int arg0, int arg1, int[] arg2, int arg3)` Entry point to C language function: `void glTexParameterxv(GLenum target, GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glTexParameterxv(int arg0, int arg1, IntBuffer arg2)` Entry point to C language function: `void glTexParameterxv(GLenum target, GLenum pname, const GLfixed * params)` Part of `GL_VERSION_ES_CL_CM`
    `void` | `glTexStorage1D(int arg0, int arg1, int arg2, int arg3)` Entry point to C language function: `void glTexStorage1D(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)` Part of `GL_VERSION_4_2`, `GL_ARB_texture_storage`; `GL_EXT_texture_storage`
    `void` | `glTexStorage2D(int arg0, int arg1, int arg2, int arg3, int arg4)` Entry point to C language function: `void glTexStorage2D(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_4_2`, `GL_ARB_texture_storage`; `GL_EXT_texture_storage`
    `void` | `glTexStorage3D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5)` Entry point to C language function: `void glTexStorage3D(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_4_2`, `GL_ARB_texture_storage`; `GL_EXT_texture_storage`
    `void` | `glTexSubImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, Buffer arg8)` Entry point to C language function: `void glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid * pixels)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glTexSubImage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6, int arg7, long arg8)` Entry point to C language function: `void glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid * pixels)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
    `void` | `glTextureStorage1D(int arg0, int arg1, int arg2, int arg3, int arg4)` Entry point to C language function: `void glTextureStorage1D(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)` Part of `GL_EXT_texture_storage`, `GL_ARB_texture_storage`
    `void` | `glTextureStorage2D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5)` Entry point to C language function: `void glTextureStorage2D(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)` Part of `GL_EXT_texture_storage`, `GL_ARB_texture_storage`
    `void` | `glTextureStorage3D(int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6)` Entry point to C language function: `void glTextureStorage3D(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)` Part of `GL_EXT_texture_storage`, `GL_ARB_texture_storage`
    `void` | `glTranslatef(float arg0, float arg1, float arg2)` Translate the current matrix.
    `void` | `glTranslatex(int arg0, int arg1, int arg2)` Entry point to C language function: `void glTranslatex(GLfixed x, GLfixed y, GLfixed z)` Part of `GL_VERSION_ES_CL_CM`
    `boolean` | `glUnmapBuffer(int arg0)` Entry point to C language function: `GLboolean glUnmapBuffer(GLenum target)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_OES_mapbuffer`
    `void` | `glVertexPointer(GLArrayData arg0)`
    `void` | `glVertexPointer(int arg0, int arg1, int arg2, Buffer arg3)`
    `void` | `glVertexPointer(int arg0, int arg1, int arg2, long arg3)`
    `void` | `glViewport(int arg0, int arg1, int arg2, int arg3)` Entry point to C language function: `void glViewport(GLint x, GLint y, GLsizei width, GLsizei height)` Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `void` | `glWeightPointer(int arg0, int arg1, int arg2, Buffer arg3)` Entry point to C language function: `void glWeightPointer(GLint size, GLenum type, GLsizei stride, const GLvoid * pointer)` Part of `GL_ARB_vertex_blend`; `GL_OES_matrix_palette`
    `boolean` | `hasBasicFBOSupport()` Returns `true` if basic FBO support is available, otherwise `false`.
    `boolean` | `hasFullFBOSupport()` Returns `true` if full FBO support is available, otherwise `false`.
    `boolean` | `hasGLSL()` Indicates whether this GL object supports GLSL.
    `boolean` | `isExtensionAvailable(String arg0)` Returns true if the specified OpenGL extension can be used successfully through this GL instance given the current host (OpenGL client) and display (OpenGL server) configuration.
    `boolean` | `isFunctionAvailable(String arg0)` Returns true if the specified OpenGL core- or extension-function can be used successfully through this GL instance given the current host (OpenGL client) and display (OpenGL server) configuration.
    `boolean` | `isGL()` Indicates whether this GL object conforms to any of the OpenGL profiles.
    `boolean` | `isGL2()` Indicates whether this GL object conforms to the OpenGL ≤ 3.0 profile.
    `boolean` | `isGL2ES1()` Indicates whether this GL object conforms to a GL2ES1 compatible profile.
    `boolean` | `isGL2ES2()` Indicates whether this GL object conforms to a GL2ES2 compatible profile.
    `boolean` | `isGL2ES3()` Indicates whether this GL object conforms to a either a GL2GL3 or GL3ES3 compatible profile.
    `boolean` | `isGL2GL3()` Indicates whether this GL object conforms to a GL2GL3 compatible profile.
    `boolean` | `isGL3()` Indicates whether this GL object conforms to the OpenGL ≥ 3.1 core profile.
    `boolean` | `isGL3bc()` Indicates whether this GL object conforms to the OpenGL ≥ 3.1 compatibility profile.
    `boolean` | `isGL3core()` Indicates whether this GL object uses a GL3 core profile.
    `boolean` | `isGL3ES3()` Indicates whether this GL object conforms to a GL3ES3 compatible profile.
    `boolean` | `isGL4()` Indicates whether this GL object conforms to the OpenGL ≥ 4.0 core profile.
    `boolean` | `isGL4bc()` Indicates whether this GL object conforms to the OpenGL ≥ 4.0 compatibility profile.
    `boolean` | `isGL4core()` Indicates whether this GL object uses a GL4 core profile.
    `boolean` | `isGL4ES3()` Returns true if this GL object conforms to a GL4ES3 compatible profile, i.e.
    `boolean` | `isGLcore()` Indicates whether this GL object uses a GL core profile.
    `boolean` | `isGLES()` Indicates whether this GL object conforms to one of the OpenGL ES profiles, see `GLBase.isGLES1()`, `GLBase.isGLES2()` and `GLBase.isGLES3()`.
    `boolean` | `isGLES1()` Indicates whether this GL object conforms to the OpenGL ES ≥ 1.0 profile.
    `boolean` | `isGLES2()` Indicates whether this GL object conforms to the OpenGL ES ≥ 2.0 profile.
    `boolean` | `isGLES2Compatible()` Indicates whether this GL object is compatible with the core OpenGL ES2 functionality.
    `boolean` | `isGLES3()` Indicates whether this GL object conforms to the OpenGL ES ≥ 3.0 profile.
    `boolean` | `isGLES3Compatible()` Indicates whether this GL object is compatible with the core OpenGL ES3 functionality.
    `boolean` | `isNPOTTextureAvailable()` Returns true if the GL context supports non power of two (NPOT) textures, otherwise false.
    `boolean` | `isTextureFormatBGRA8888Available()`
    `boolean` | `isVBOArrayBound()`
    `boolean` | `isVBOElementArrayBound()`
    `GLBufferStorage` | `mapBuffer(int arg0, int arg1)` Returns the `GLBufferStorage` instance as mapped via OpenGL's native `glMapBuffer(..)` implementation.
    `GLBufferStorage` | `mapBufferRange(int arg0, long arg1, long arg2, int arg3)` Returns the `GLBufferStorage` instance as mapped via OpenGL's native `glMapBufferRange(..)` implementation.
    `void` | `setSwapInterval(int arg0)` Provides a platform-independent way to specify the minimum swap interval for buffer swaps.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEBUG

          public static final boolean DEBUG

  - ### Constructor Detail

    - #### DebugGLES1

          public DebugGLES1(GLES1 downstreamGLES1)

  - ### Method Detail

    - #### getDownstreamGL

          public final GL getDownstreamGL()
                                   throws GLException

      Description copied from interface: `GLBase`
      Returns the downstream GL instance in case this is a wrapping pipeline, otherwise `null`.

      See `GLBase.getRootGL()` for retrieving the implementing root instance.

      Specified by:
        `getDownstreamGL` in interface `GLBase`
      Throws:
        `GLException` - if the downstream instance is not null and not a GL implementation
      See Also:
        `GLBase.getRootGL()`

    - #### getBoundBuffer

          public int getBoundBuffer(int arg0)

      Specified by:
        `getBoundBuffer` in interface `GLBase`
      Parameters:
        `arg0` - a GL buffer (VBO) target as used in `GL.glBindBuffer(int, int)`, ie `GL.GL_ELEMENT_ARRAY_BUFFER`, `GL.GL_ARRAY_BUFFER`, ..
      Returns:
        the GL buffer name bound to a target via `GL.glBindBuffer(int, int)` or 0 if unbound.
      See Also:
        `GLBase.getBufferStorage(int)`

    - #### getBoundFramebuffer

          public int getBoundFramebuffer(int arg0)

      Description copied from interface: `GLBase`
      Return the framebuffer name bound to this context, see `GL.glBindFramebuffer(int, int)`.
      Specified by:
        `getBoundFramebuffer` in interface `GLBase`

    - #### getBufferStorage

          public GLBufferStorage getBufferStorage(int arg0)

      Specified by:
        `getBufferStorage` in interface `GLBase`
      Parameters:
        `arg0` - a GL buffer name, generated with e.g. `GL.glGenBuffers(int, int[], int)` and used in `GL.glBindBuffer(int, int)`, `GL.glBufferData(int, long, java.nio.Buffer, int)` or `GL2.glNamedBufferDataEXT(int, long, java.nio.Buffer, int)`.
      Returns:
        the size of the given GL buffer storage, see `GLBufferStorage`
      See Also:
        `GLBase.getBoundBuffer(int)`

    - #### getContext

          public GLContext getContext()

      Description copied from interface: `GLBase`
      Returns the GLContext associated which this GL object.
      Specified by:
        `getContext` in interface `GLBase`

    - #### getDefaultDrawFramebuffer

          public int getDefaultDrawFramebuffer()

      Description copied from interface: `GLBase`
      Return the default draw framebuffer name.

      May differ from it's default `zero` in case an framebuffer object (`FBObject`) based drawable is being used.

      Specified by:
        `getDefaultDrawFramebuffer` in interface `GLBase`

    - #### getDefaultReadBuffer

          public int getDefaultReadBuffer()

      Description copied from interface: `GLBase`
      Returns the default color buffer within the current bound `GLBase.getDefaultReadFramebuffer()`, i.e. GL_READ_FRAMEBUFFER, which will be used as the source for pixel reading commands, like `glReadPixels` etc.

      For offscreen framebuffer objects this is `GL.GL_COLOR_ATTACHMENT0`, otherwise this is `GL.GL_FRONT` for single buffer configurations and `GL.GL_BACK` for double buffer configurations.

      Note-1: Neither ES1 nor ES2 supports selecting the read buffer via glReadBuffer and `GL.GL_BACK` is the default.

      Note-2: ES3 only supports `GL.GL_BACK`, `GL.GL_NONE` or `GL.GL_COLOR_ATTACHMENT0`+i

      Note-3: See `swapBuffersBeforeRead` for read-pixels and swap-buffers implications.

      Specified by:
        `getDefaultReadBuffer` in interface `GLBase`

    - #### getDefaultReadFramebuffer

          public int getDefaultReadFramebuffer()

      Description copied from interface: `GLBase`
      Return the default read framebuffer name.

      May differ from it's default `zero` in case an framebuffer object (`FBObject`) based drawable is being used.

      Specified by:
        `getDefaultReadFramebuffer` in interface `GLBase`

    - #### getExtension

          public Object getExtension(String arg0)

      Description copied from interface: `GLBase`
      Returns an object providing access to the specified OpenGL extension. This is intended to provide a mechanism for vendors who wish to provide access to new OpenGL extensions without changing the public API of the core package. For example, a user may request access to extension "GL_VENDOR_foo" and receive back an object which implements a vendor-specified interface which can call the OpenGL extension functions corresponding to that extension. It is up to the vendor to specify both the extension name and Java API for accessing it, including which class or interface contains the functions.

      Note: it is the intent to add new extensions as quickly as possible to the core GL API. Therefore it is unlikely that most vendors will use this extension mechanism, but it is being provided for completeness.

      Specified by:
        `getExtension` in interface `GLBase`

    - #### getGL

          public GL getGL()

      Description copied from interface: `GLBase`
      Casts this object to the GL interface.
      Specified by:
        `getGL` in interface `GLBase`

    - #### getGL2

          public GL2 getGL2()

      Description copied from interface: `GLBase`
      Casts this object to the GL2 interface.
      Specified by:
        `getGL2` in interface `GLBase`

    - #### getGL2ES1

          public GL2ES1 getGL2ES1()

      Description copied from interface: `GLBase`
      Casts this object to the GL2ES1 interface.
      Specified by:
        `getGL2ES1` in interface `GLBase`

    - #### getGL2ES2

          public GL2ES2 getGL2ES2()

      Description copied from interface: `GLBase`
      Casts this object to the GL2ES2 interface.
      Specified by:
        `getGL2ES2` in interface `GLBase`

    - #### getGL2ES3

          public GL2ES3 getGL2ES3()

      Description copied from interface: `GLBase`
      Casts this object to the GL2ES3 interface.
      Specified by:
        `getGL2ES3` in interface `GLBase`

    - #### getGL2GL3

          public GL2GL3 getGL2GL3()

      Description copied from interface: `GLBase`
      Casts this object to the GL2GL3 interface.
      Specified by:
        `getGL2GL3` in interface `GLBase`

    - #### getGL3

          public GL3 getGL3()

      Description copied from interface: `GLBase`
      Casts this object to the GL3 interface.
      Specified by:
        `getGL3` in interface `GLBase`

    - #### getGL3ES3

          public GL3ES3 getGL3ES3()

      Description copied from interface: `GLBase`
      Casts this object to the GL3ES3 interface.
      Specified by:
        `getGL3ES3` in interface `GLBase`

    - #### getGL3bc

          public GL3bc getGL3bc()

      Description copied from interface: `GLBase`
      Casts this object to the GL3bc interface.
      Specified by:
        `getGL3bc` in interface `GLBase`

    - #### getGL4

          public GL4 getGL4()

      Description copied from interface: `GLBase`
      Casts this object to the GL4 interface.
      Specified by:
        `getGL4` in interface `GLBase`

    - #### getGL4ES3

          public GL4ES3 getGL4ES3()

      Description copied from interface: `GLBase`
      Casts this object to the GL4ES3 interface.
      Specified by:
        `getGL4ES3` in interface `GLBase`

    - #### getGL4bc

          public GL4bc getGL4bc()

      Description copied from interface: `GLBase`
      Casts this object to the GL4bc interface.
      Specified by:
        `getGL4bc` in interface `GLBase`

    - #### getGLES1

          public GLES1 getGLES1()

      Description copied from interface: `GLBase`
      Casts this object to the GLES1 interface.
      Specified by:
        `getGLES1` in interface `GLBase`

    - #### getGLES2

          public GLES2 getGLES2()

      Description copied from interface: `GLBase`
      Casts this object to the GLES2 interface.
      Specified by:
        `getGLES2` in interface `GLBase`

    - #### getGLES3

          public GLES3 getGLES3()

      Description copied from interface: `GLBase`
      Casts this object to the GLES3 interface.
      Specified by:
        `getGLES3` in interface `GLBase`

    - #### getGLProfile

          public GLProfile getGLProfile()

      Description copied from interface: `GLBase`
      Returns the GLProfile associated with this GL object.
      Specified by:
        `getGLProfile` in interface `GLBase`

    - #### getMaxRenderbufferSamples

          public int getMaxRenderbufferSamples()

      Description copied from interface: `GLBase`
      Returns the maximum number of FBO RENDERBUFFER samples if `full FBO is supported`, otherwise false.
      Specified by:
        `getMaxRenderbufferSamples` in interface `GLBase`
      See Also:
        `GLContext.getMaxRenderbufferSamples()`

    - #### getPlatformGLExtensions

          public Object getPlatformGLExtensions()

      Description copied from interface: `GLBase`
      Returns an object through which platform-specific OpenGL extensions (EGL, GLX, WGL, etc.) may be accessed. The data type of the returned object and its associated capabilities are undefined. Most applications will never need to call this method. It is highly recommended that any applications which do call this method perform all accesses on the returned object reflectively to guard themselves against changes to the implementation.
      Specified by:
        `getPlatformGLExtensions` in interface `GLBase`

    - #### getRootGL

          public GL getRootGL()

      Description copied from interface: `GLBase`
      Returns the implementing root instance, considering a wrapped pipelined hierarchy, see `GLBase.getDownstreamGL()`.

      If this instance is not a wrapping pipeline, i.e. has no downstream instance, this instance is returned.

      Specified by:
        `getRootGL` in interface `GLBase`

    - #### getSwapInterval

          public int getSwapInterval()

      Description copied from interface: `GLBase`
      Provides a platform-independent way to get the swap interval set by `GLBase.setSwapInterval(int)`.
      If the interval is not set by `GLBase.setSwapInterval(int)` yet, -1 is returned, indicating that the platforms default is being used.
      Specified by:
        `getSwapInterval` in interface `GLBase`
      See Also:
        `GLBase.setSwapInterval(int)`

    - #### glActiveTexture

          public void glActiveTexture(int arg0)

      Description copied from interface: `GL`
      Entry point to C language function: `void glActiveTexture(GLenum texture)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      Specified by:
        `glActiveTexture` in interface `GL`

    - #### glAlphaFunc

          public void glAlphaFunc(int arg0,
                         float arg1)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glAlphaFunc(GLenum func, GLclampf ref)`
      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glAlphaFunc` in interface `GL2ES1`

    - #### glAlphaFuncx

          public void glAlphaFuncx(int arg0,
                          int arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glAlphaFuncx(GLenum func, GLclampx ref)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glAlphaFuncx` in interface `GLES1`

    - #### glBindBuffer

          public void glBindBuffer(int arg0,
                          int arg1)

      Description copied from interface: `GL`
      Entry point to C language function: `void glBindBuffer(GLenum target, GLuint buffer)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
      Specified by:
        `glBindBuffer` in interface `GL`

    - #### glBindFramebuffer

          public void glBindFramebuffer(int arg0,
                               int arg1)

      Description copied from interface: `GL`
      Entry point to C language function: `void glBindFramebuffer(GLenum target, GLuint framebuffer)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Specified by:
        `glBindFramebuffer` in interface `GL`

    - #### glBindRenderbuffer

          public void glBindRenderbuffer(int arg0,
                                int arg1)

      Description copied from interface: `GL`
      Entry point to C language function: `void glBindRenderbuffer(GLenum target, GLuint renderbuffer)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Specified by:
        `glBindRenderbuffer` in interface `GL`

    - #### glBindTexture

          public void glBindTexture(int arg0,
                           int arg1)

      Description copied from interface: `GL`
      Entry point to C language function: `void glBindTexture(GLenum target, GLuint texture)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
      Specified by:
        `glBindTexture` in interface `GL`

    - #### glBindVertexArrayOES

          public void glBindVertexArrayOES(int arg0)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glBindVertexArrayOES(GLuint array)`
      Part of `GL_OES_vertex_array_object`
      Specified by:
        `glBindVertexArrayOES` in interface `GLES1`

    - #### glBlendEquation

          public void glBlendEquation(int arg0)

      Description copied from interface: `GL`
      Entry point to C language function: `void glBlendEquation(GLenum mode)`
      Part of `GL_VERSION_1_2`, `GL_ES_VERSION_2_0`; `GL_OES_blend_subtract`
      Specified by:
        `glBlendEquation` in interface `GL`

    - #### glBlendEquationSeparate

          public void glBlendEquationSeparate(int arg0,
                                     int arg1)

      Description copied from interface: `GL`
      Entry point to C language function: `void glBlendEquationSeparate(GLenum modeRGB, GLenum modeAlpha)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`; `GL_OES_blend_equation_separate`
      Specified by:
        `glBlendEquationSeparate` in interface `GL`

    - #### glBlendFunc

          public void glBlendFunc(int arg0,
                         int arg1)

      Description copied from interface: `GL`
      Entry point to C language function: `void glBlendFunc(GLenum sfactor, GLenum dfactor)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glBlendFunc` in interface `GL`

    - #### glBlendFuncSeparate

          public void glBlendFuncSeparate(int arg0,
                                 int arg1,
                                 int arg2,
                                 int arg3)

      Description copied from interface: `GL`
      Entry point to C language function: `void glBlendFuncSeparate(GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)`
      Part of `GL_VERSION_1_4`, `GL_ES_VERSION_2_0`; `GL_OES_blend_func_separate`
      Specified by:
        `glBlendFuncSeparate` in interface `GL`

    - #### glBufferData

          public void glBufferData(int arg0,
                          long arg1,
                          Buffer arg2,
                          int arg3)

      Description copied from interface: `GL`
      Entry point to C language function: `void glBufferData(GLenum target, GLsizeiptr size, const GLvoid * data, GLenum usage)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
      Specified by:
        `glBufferData` in interface `GL`
        `arg2` - a direct or array-backed `Buffer`

        Throws a `GLException` if GL-function constraints are not met or the native GL-function fails.

    - #### glBufferSubData

          public void glBufferSubData(int arg0,
                             long arg1,
                             long arg2,
                             Buffer arg3)

      Description copied from interface: `GL`
      Entry point to C language function: `void glBufferSubData(GLenum target, GLintptr offset, GLsizeiptr size, const GLvoid * data)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
      Specified by:
        `glBufferSubData` in interface `GL`
        `arg3` - a direct or array-backed `Buffer`

    - #### glCheckFramebufferStatus

          public int glCheckFramebufferStatus(int arg0)

      Description copied from interface: `GL`
      Entry point to C language function: `GLenum glCheckFramebufferStatus(GLenum target)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Specified by:
        `glCheckFramebufferStatus` in interface `GL`

    - #### glClear

          public void glClear(int arg0)

      Description copied from interface: `GL`
      Entry point to C language function: `void glClear(GLbitfield mask)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glClear` in interface `GL`

    - #### glClearColor

          public void glClearColor(float arg0,
                          float arg1,
                          float arg2,
                          float arg3)

      Description copied from interface: `GL`
      Entry point to C language function: `void glClearColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha)`
      Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glClearColor` in interface `GL`

    - #### glClearColorx

          public void glClearColorx(int arg0,
                           int arg1,
                           int arg2,
                           int arg3)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glClearColorx(GLclampx red, GLclampx green, GLclampx blue, GLclampx alpha)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glClearColorx` in interface `GLES1`

    - #### glClearDepth

          public void glClearDepth(double arg0)

      Description copied from interface: `GLBase`
      Aliased entrypoint of `void glClearDepth(GLclampd depth);` and `void glClearDepthf(GLclampf depth);` .
      Specified by:
        `glClearDepth` in interface `GLBase`

    - #### glClearDepthf

          public void glClearDepthf(float arg0)

      Description copied from interface: `GL`
      Entry point to C language function: `void glClearDepthf(GLfloat depth)`
      Part of `GL_ARB_ES2_compatibility`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`; `GL_OES_single_precision`
      Specified by:
        `glClearDepthf` in interface `GL`

    - #### glClearDepthx

          public void glClearDepthx(int arg0)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glClearDepthx(GLclampx depth)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glClearDepthx` in interface `GLES1`

    - #### glClearStencil

          public void glClearStencil(int arg0)

      Description copied from interface: `GL`
      Entry point to C language function: `void glClearStencil(GLint s)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glClearStencil` in interface `GL`

    - #### glClientActiveTexture

          public void glClientActiveTexture(int arg0)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glClientActiveTexture(GLenum texture)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`
      Specified by:
        `glClientActiveTexture` in interface `GL2ES1`

    - #### glClipPlanef

          public void glClipPlanef(int arg0,
                          float[] arg1,
                          int arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glClipPlanef(GLenum plane, const GLfloat * equation)`
      Part of `GL_VERSION_ES_CM`; `GL_OES_single_precision`
      Specified by:
        `glClipPlanef` in interface `GLES1`

    - #### glClipPlanef

          public void glClipPlanef(int arg0,
                          FloatBuffer arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glClipPlanef(GLenum plane, const GLfloat * equation)`
      Part of `GL_VERSION_ES_CM`; `GL_OES_single_precision`
      Specified by:
        `glClipPlanef` in interface `GLES1`
        `arg1` - a direct or array-backed `FloatBuffer`

    - #### glClipPlanefIMG

          public void glClipPlanefIMG(int arg0,
                             FloatBuffer arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glClipPlanefIMG(GLenum, const GLfloat * )`
      Part of `GL_IMG_user_clip_plane`
      Specified by:
        `glClipPlanefIMG` in interface `GLES1`
        `arg1` - a direct or array-backed `FloatBuffer`

    - #### glClipPlanefIMG

          public void glClipPlanefIMG(int arg0,
                             float[] arg1,
                             int arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glClipPlanefIMG(GLenum, const GLfloat * )`
      Part of `GL_IMG_user_clip_plane`
      Specified by:
        `glClipPlanefIMG` in interface `GLES1`

    - #### glClipPlanex

          public void glClipPlanex(int arg0,
                          int[] arg1,
                          int arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glClipPlanex(GLenum plane, const GLfixed * equation)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glClipPlanex` in interface `GLES1`

    - #### glClipPlanex

          public void glClipPlanex(int arg0,
                          IntBuffer arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glClipPlanex(GLenum plane, const GLfixed * equation)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glClipPlanex` in interface `GLES1`
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glClipPlanexIMG

          public void glClipPlanexIMG(int arg0,
                             int[] arg1,
                             int arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glClipPlanexIMG(GLenum, const GLfixed * )`
      Part of `GL_IMG_user_clip_plane`
      Specified by:
        `glClipPlanexIMG` in interface `GLES1`

    - #### glClipPlanexIMG

          public void glClipPlanexIMG(int arg0,
                             IntBuffer arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glClipPlanexIMG(GLenum, const GLfixed * )`
      Part of `GL_IMG_user_clip_plane`
      Specified by:
        `glClipPlanexIMG` in interface `GLES1`
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glColor4f

          public void glColor4f(float arg0,
                       float arg1,
                       float arg2,
                       float arg3)

      Specified by:
        `glColor4f` in interface `GLLightingFunc`
      Specified by:
        `glColor4f` in interface `GLPointerFunc`

    - #### glColor4ub

          public void glColor4ub(byte arg0,
                        byte arg1,
                        byte arg2,
                        byte arg3)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glColor4ub(GLubyte red, GLubyte green, GLubyte blue, GLubyte alpha)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`
      Specified by:
        `glColor4ub` in interface `GL2ES1`

    - #### glColor4x

          public void glColor4x(int arg0,
                       int arg1,
                       int arg2,
                       int arg3)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glColor4x(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glColor4x` in interface `GLES1`

    - #### glColorMask

          public void glColorMask(boolean arg0,
                         boolean arg1,
                         boolean arg2,
                         boolean arg3)

      Description copied from interface: `GL`
      Entry point to C language function: `void glColorMask(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glColorMask` in interface `GL`

    - #### glColorPointer

          public void glColorPointer(GLArrayData arg0)

      Specified by:
        `glColorPointer` in interface `GLPointerFunc`

    - #### glColorPointer

          public void glColorPointer(int arg0,
                            int arg1,
                            int arg2,
                            long arg3)

      Specified by:
        `glColorPointer` in interface `GLPointerFunc`

    - #### glColorPointer

          public void glColorPointer(int arg0,
                            int arg1,
                            int arg2,
                            Buffer arg3)

      Specified by:
        `glColorPointer` in interface `GLPointerFunc`

    - #### glCompressedTexImage2D

          public void glCompressedTexImage2D(int arg0,
                                    int arg1,
                                    int arg2,
                                    int arg3,
                                    int arg4,
                                    int arg5,
                                    int arg6,
                                    long arg7)

      Description copied from interface: `GL`
      Entry point to C language function: `void glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid * data)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      Specified by:
        `glCompressedTexImage2D` in interface `GL`

    - #### glCompressedTexImage2D

          public void glCompressedTexImage2D(int arg0,
                                    int arg1,
                                    int arg2,
                                    int arg3,
                                    int arg4,
                                    int arg5,
                                    int arg6,
                                    Buffer arg7)

      Description copied from interface: `GL`
      Entry point to C language function: `void glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid * data)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      Specified by:
        `glCompressedTexImage2D` in interface `GL`
        `arg7` - a direct or array-backed `Buffer`

    - #### glCompressedTexSubImage2D

          public void glCompressedTexSubImage2D(int arg0,
                                       int arg1,
                                       int arg2,
                                       int arg3,
                                       int arg4,
                                       int arg5,
                                       int arg6,
                                       int arg7,
                                       Buffer arg8)

      Description copied from interface: `GL`
      Entry point to C language function: `void glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid * data)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      Specified by:
        `glCompressedTexSubImage2D` in interface `GL`
        `arg8` - a direct or array-backed `Buffer`

    - #### glCompressedTexSubImage2D

          public void glCompressedTexSubImage2D(int arg0,
                                       int arg1,
                                       int arg2,
                                       int arg3,
                                       int arg4,
                                       int arg5,
                                       int arg6,
                                       int arg7,
                                       long arg8)

      Description copied from interface: `GL`
      Entry point to C language function: `void glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid * data)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      Specified by:
        `glCompressedTexSubImage2D` in interface `GL`

    - #### glCopyTexImage2D

          public void glCopyTexImage2D(int arg0,
                              int arg1,
                              int arg2,
                              int arg3,
                              int arg4,
                              int arg5,
                              int arg6,
                              int arg7)

      Description copied from interface: `GL`
      Entry point to C language function: `void glCopyTexImage2D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
      Specified by:
        `glCopyTexImage2D` in interface `GL`

    - #### glCopyTexSubImage2D

          public void glCopyTexSubImage2D(int arg0,
                                 int arg1,
                                 int arg2,
                                 int arg3,
                                 int arg4,
                                 int arg5,
                                 int arg6,
                                 int arg7)

      Description copied from interface: `GL`
      Entry point to C language function: `void glCopyTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
      Specified by:
        `glCopyTexSubImage2D` in interface `GL`

    - #### glCopyTextureLevelsAPPLE

          public void glCopyTextureLevelsAPPLE(int arg0,
                                      int arg1,
                                      int arg2,
                                      int arg3)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glCopyTextureLevelsAPPLE(GLuint destinationTexture, GLuint sourceTexture, GLint sourceBaseLevel, GLsizei sourceLevelCount)`
      Part of `GL_APPLE_copy_texture_levels`
      Specified by:
        `glCopyTextureLevelsAPPLE` in interface `GLES1`

    - #### glCullFace

          public void glCullFace(int arg0)

      Description copied from interface: `GL`
      Entry point to C language function: `void glCullFace(GLenum mode)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glCullFace` in interface `GL`

    - #### glCurrentPaletteMatrix

          public void glCurrentPaletteMatrix(int arg0)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glCurrentPaletteMatrix(GLuint matrixpaletteindex)`
      Part of `GL_ARB_matrix_palette`; `GL_OES_matrix_palette`
      Specified by:
        `glCurrentPaletteMatrix` in interface `GLES1`

    - #### glDeleteBuffers

          public void glDeleteBuffers(int arg0,
                             IntBuffer arg1)

      Description copied from interface: `GL`
      Entry point to C language function: `void glDeleteBuffers(GLsizei n, const GLuint * buffers)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
      Specified by:
        `glDeleteBuffers` in interface `GL`
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glDeleteBuffers

          public void glDeleteBuffers(int arg0,
                             int[] arg1,
                             int arg2)

      Description copied from interface: `GL`
      Entry point to C language function: `void glDeleteBuffers(GLsizei n, const GLuint * buffers)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
      Specified by:
        `glDeleteBuffers` in interface `GL`

    - #### glDeleteFencesNV

          public void glDeleteFencesNV(int arg0,
                              IntBuffer arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glDeleteFencesNV(GLsizei, const GLuint * )`
      Part of `GL_NV_fence`
      Specified by:
        `glDeleteFencesNV` in interface `GLES1`
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glDeleteFencesNV

          public void glDeleteFencesNV(int arg0,
                              int[] arg1,
                              int arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glDeleteFencesNV(GLsizei, const GLuint * )`
      Part of `GL_NV_fence`
      Specified by:
        `glDeleteFencesNV` in interface `GLES1`

    - #### glDeleteFramebuffers

          public void glDeleteFramebuffers(int arg0,
                                  int[] arg1,
                                  int arg2)

      Description copied from interface: `GL`
      Entry point to C language function: `void glDeleteFramebuffers(GLsizei n, const GLuint * framebuffers)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Specified by:
        `glDeleteFramebuffers` in interface `GL`

    - #### glDeleteFramebuffers

          public void glDeleteFramebuffers(int arg0,
                                  IntBuffer arg1)

      Description copied from interface: `GL`
      Entry point to C language function: `void glDeleteFramebuffers(GLsizei n, const GLuint * framebuffers)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Specified by:
        `glDeleteFramebuffers` in interface `GL`
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glDeleteRenderbuffers

          public void glDeleteRenderbuffers(int arg0,
                                   IntBuffer arg1)

      Description copied from interface: `GL`
      Entry point to C language function: `void glDeleteRenderbuffers(GLsizei n, const GLuint * renderbuffers)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Specified by:
        `glDeleteRenderbuffers` in interface `GL`
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glDeleteRenderbuffers

          public void glDeleteRenderbuffers(int arg0,
                                   int[] arg1,
                                   int arg2)

      Description copied from interface: `GL`
      Entry point to C language function: `void glDeleteRenderbuffers(GLsizei n, const GLuint * renderbuffers)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Specified by:
        `glDeleteRenderbuffers` in interface `GL`

    - #### glDeleteTextures

          public void glDeleteTextures(int arg0,
                              int[] arg1,
                              int arg2)

      Description copied from interface: `GL`
      Entry point to C language function: `void glDeleteTextures(GLsizei n, const GLuint * textures)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
      Specified by:
        `glDeleteTextures` in interface `GL`

    - #### glDeleteTextures

          public void glDeleteTextures(int arg0,
                              IntBuffer arg1)

      Description copied from interface: `GL`
      Entry point to C language function: `void glDeleteTextures(GLsizei n, const GLuint * textures)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
      Specified by:
        `glDeleteTextures` in interface `GL`
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glDeleteVertexArraysOES

          public void glDeleteVertexArraysOES(int arg0,
                                     int[] arg1,
                                     int arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glDeleteVertexArraysOES(GLsizei n, const GLuint * arrays)`
      Part of `GL_OES_vertex_array_object`
      Specified by:
        `glDeleteVertexArraysOES` in interface `GLES1`

    - #### glDeleteVertexArraysOES

          public void glDeleteVertexArraysOES(int arg0,
                                     IntBuffer arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glDeleteVertexArraysOES(GLsizei n, const GLuint * arrays)`
      Part of `GL_OES_vertex_array_object`
      Specified by:
        `glDeleteVertexArraysOES` in interface `GLES1`
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glDepthFunc

          public void glDepthFunc(int arg0)

      Description copied from interface: `GL`
      Entry point to C language function: `void glDepthFunc(GLenum func)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glDepthFunc` in interface `GL`

    - #### glDepthMask

          public void glDepthMask(boolean arg0)

      Description copied from interface: `GL`
      Entry point to C language function: `void glDepthMask(GLboolean flag)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glDepthMask` in interface `GL`

    - #### glDepthRange

          public void glDepthRange(double arg0,
                          double arg1)

      Description copied from interface: `GLBase`
      Aliased entrypoint of `void glDepthRange(GLclampd depth);` and `void glDepthRangef(GLclampf depth);` .
      Specified by:
        `glDepthRange` in interface `GLBase`

    - #### glDepthRangef

          public void glDepthRangef(float arg0,
                           float arg1)

      Description copied from interface: `GL`
      Entry point to C language function: `void glDepthRangef(GLclampf zNear, GLclampf zFar)`
      Part of `GL_ARB_ES2_compatibility`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`; `GL_OES_single_precision`
      Specified by:
        `glDepthRangef` in interface `GL`

    - #### glDepthRangex

          public void glDepthRangex(int arg0,
                           int arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glDepthRangex(GLclampx zNear, GLclampx zFar)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glDepthRangex` in interface `GLES1`

    - #### glDisable

          public void glDisable(int arg0)

      Description copied from interface: `GL`
      Entry point to C language function: `void glDisable(GLenum cap)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glDisable` in interface `GL`

    - #### glDisableClientState

          public void glDisableClientState(int arg0)

      Specified by:
        `glDisableClientState` in interface `GLPointerFunc`

    - #### glDisableDriverControlQCOM

          public void glDisableDriverControlQCOM(int arg0)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glDisableDriverControlQCOM(GLuint driverControl)`
      Part of `GL_QCOM_driver_control`
      Specified by:
        `glDisableDriverControlQCOM` in interface `GLES1`

    - #### glDiscardFramebufferEXT

          public void glDiscardFramebufferEXT(int arg0,
                                     int arg1,
                                     int[] arg2,
                                     int arg3)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glDiscardFramebufferEXT(GLenum target, GLsizei numAttachments, const GLenum * attachments)`
      Part of `GL_EXT_discard_framebuffer`
      Specified by:
        `glDiscardFramebufferEXT` in interface `GLES1`

    - #### glDiscardFramebufferEXT

          public void glDiscardFramebufferEXT(int arg0,
                                     int arg1,
                                     IntBuffer arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glDiscardFramebufferEXT(GLenum target, GLsizei numAttachments, const GLenum * attachments)`
      Part of `GL_EXT_discard_framebuffer`
      Specified by:
        `glDiscardFramebufferEXT` in interface `GLES1`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glDrawArrays

          public void glDrawArrays(int arg0,
                          int arg1,
                          int arg2)

      Description copied from interface: `GL`
      Entry point to C language function: `void glDrawArrays(GLenum mode, GLint first, GLsizei count)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
      Specified by:
        `glDrawArrays` in interface `GL`

    - #### glDrawElements

          public void glDrawElements(int arg0,
                            int arg1,
                            int arg2,
                            long arg3)

      Description copied from interface: `GL`
      Entry point to C language function: `void glDrawElements(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
      Specified by:
        `glDrawElements` in interface `GL`

    - #### glDrawElements

          public void glDrawElements(int arg0,
                            int arg1,
                            int arg2,
                            Buffer arg3)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glDrawElements(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices);`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
      Specified by:
        `glDrawElements` in interface `GL2ES1`
        `arg3` - a direct or array-backed `Buffer`

    - #### glDrawTexfOES

          public void glDrawTexfOES(float arg0,
                           float arg1,
                           float arg2,
                           float arg3,
                           float arg4)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glDrawTexfOES(GLfloat x, GLfloat y, GLfloat z, GLfloat width, GLfloat height)`
      Part of `GL_OES_draw_texture`
      Specified by:
        `glDrawTexfOES` in interface `GLES1`

    - #### glDrawTexfvOES

          public void glDrawTexfvOES(FloatBuffer arg0)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glDrawTexfvOES(const GLfloat * coords)`
      Part of `GL_OES_draw_texture`
      Specified by:
        `glDrawTexfvOES` in interface `GLES1`
      Parameters:
        `arg0` - a direct or array-backed `FloatBuffer`

    - #### glDrawTexfvOES

          public void glDrawTexfvOES(float[] arg0,
                            int arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glDrawTexfvOES(const GLfloat * coords)`
      Part of `GL_OES_draw_texture`
      Specified by:
        `glDrawTexfvOES` in interface `GLES1`

    - #### glDrawTexiOES

          public void glDrawTexiOES(int arg0,
                           int arg1,
                           int arg2,
                           int arg3,
                           int arg4)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glDrawTexiOES(GLint x, GLint y, GLint z, GLint width, GLint height)`
      Part of `GL_OES_draw_texture`
      Specified by:
        `glDrawTexiOES` in interface `GLES1`

    - #### glDrawTexivOES

          public void glDrawTexivOES(IntBuffer arg0)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glDrawTexivOES(const GLint * coords)`
      Part of `GL_OES_draw_texture`
      Specified by:
        `glDrawTexivOES` in interface `GLES1`
      Parameters:
        `arg0` - a direct or array-backed `IntBuffer`

    - #### glDrawTexivOES

          public void glDrawTexivOES(int[] arg0,
                            int arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glDrawTexivOES(const GLint * coords)`
      Part of `GL_OES_draw_texture`
      Specified by:
        `glDrawTexivOES` in interface `GLES1`

    - #### glDrawTexsOES

          public void glDrawTexsOES(short arg0,
                           short arg1,
                           short arg2,
                           short arg3,
                           short arg4)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glDrawTexsOES(GLshort x, GLshort y, GLshort z, GLshort width, GLshort height)`
      Part of `GL_OES_draw_texture`
      Specified by:
        `glDrawTexsOES` in interface `GLES1`

    - #### glDrawTexsvOES

          public void glDrawTexsvOES(ShortBuffer arg0)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glDrawTexsvOES(const GLshort * coords)`
      Part of `GL_OES_draw_texture`
      Specified by:
        `glDrawTexsvOES` in interface `GLES1`
      Parameters:
        `arg0` - a direct or array-backed `ShortBuffer`

    - #### glDrawTexsvOES

          public void glDrawTexsvOES(short[] arg0,
                            int arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glDrawTexsvOES(const GLshort * coords)`
      Part of `GL_OES_draw_texture`
      Specified by:
        `glDrawTexsvOES` in interface `GLES1`

    - #### glDrawTexxOES

          public void glDrawTexxOES(int arg0,
                           int arg1,
                           int arg2,
                           int arg3,
                           int arg4)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glDrawTexxOES(GLfixed x, GLfixed y, GLfixed z, GLfixed width, GLfixed height)`
      Part of `GL_OES_draw_texture`
      Specified by:
        `glDrawTexxOES` in interface `GLES1`

    - #### glDrawTexxvOES

          public void glDrawTexxvOES(IntBuffer arg0)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glDrawTexxvOES(const GLfixed * coords)`
      Part of `GL_OES_draw_texture`
      Specified by:
        `glDrawTexxvOES` in interface `GLES1`
      Parameters:
        `arg0` - a direct or array-backed `IntBuffer`

    - #### glDrawTexxvOES

          public void glDrawTexxvOES(int[] arg0,
                            int arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glDrawTexxvOES(const GLfixed * coords)`
      Part of `GL_OES_draw_texture`
      Specified by:
        `glDrawTexxvOES` in interface `GLES1`

    - #### glEGLImageTargetRenderbufferStorageOES

          public void glEGLImageTargetRenderbufferStorageOES(int arg0,
                                                    long arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glEGLImageTargetRenderbufferStorageOES(GLenum target, GLeglImageOES image)`
      Part of `GL_OES_EGL_image`
      Specified by:
        `glEGLImageTargetRenderbufferStorageOES` in interface `GLES1`

    - #### glEGLImageTargetTexture2DOES

          public void glEGLImageTargetTexture2DOES(int arg0,
                                          long arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glEGLImageTargetTexture2DOES(GLenum target, GLeglImageOES image)`
      Part of `GL_OES_EGL_image`
      Specified by:
        `glEGLImageTargetTexture2DOES` in interface `GLES1`

    - #### glEnable

          public void glEnable(int arg0)

      Description copied from interface: `GL`
      Entry point to C language function: `void glEnable(GLenum cap)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glEnable` in interface `GL`

    - #### glEnableClientState

          public void glEnableClientState(int arg0)

      Specified by:
        `glEnableClientState` in interface `GLPointerFunc`

    - #### glEnableDriverControlQCOM

          public void glEnableDriverControlQCOM(int arg0)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glEnableDriverControlQCOM(GLuint driverControl)`
      Part of `GL_QCOM_driver_control`
      Specified by:
        `glEnableDriverControlQCOM` in interface `GLES1`

    - #### glEndTilingQCOM

          public void glEndTilingQCOM(int arg0)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glEndTilingQCOM(GLbitfield preserveMask)`
      Part of `GL_QCOM_tiled_rendering`
      Specified by:
        `glEndTilingQCOM` in interface `GLES1`

    - #### glExtGetBufferPointervQCOM

          public void glExtGetBufferPointervQCOM(int arg0,
                                        PointerBuffer arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glExtGetBufferPointervQCOM(GLenum target, GLvoid * * params)`
      Part of `GL_QCOM_extended_get`
      Specified by:
        `glExtGetBufferPointervQCOM` in interface `GLES1`
        `arg1` - a direct only `PointerBuffer`

    - #### glExtGetBuffersQCOM

          public void glExtGetBuffersQCOM(IntBuffer arg0,
                                 int arg1,
                                 IntBuffer arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glExtGetBuffersQCOM(GLuint * buffers, GLint maxBuffers, GLint * numBuffers)`
      Part of `GL_QCOM_extended_get`
      Specified by:
        `glExtGetBuffersQCOM` in interface `GLES1`
      Parameters:
        `arg0` - a direct or array-backed `IntBuffer`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glExtGetBuffersQCOM

          public void glExtGetBuffersQCOM(int[] arg0,
                                 int arg1,
                                 int arg2,
                                 int[] arg3,
                                 int arg4)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glExtGetBuffersQCOM(GLuint * buffers, GLint maxBuffers, GLint * numBuffers)`
      Part of `GL_QCOM_extended_get`
      Specified by:
        `glExtGetBuffersQCOM` in interface `GLES1`

    - #### glExtGetFramebuffersQCOM

          public void glExtGetFramebuffersQCOM(IntBuffer arg0,
                                      int arg1,
                                      IntBuffer arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glExtGetFramebuffersQCOM(GLuint * framebuffers, GLint maxFramebuffers, GLint * numFramebuffers)`
      Part of `GL_QCOM_extended_get`
      Specified by:
        `glExtGetFramebuffersQCOM` in interface `GLES1`
      Parameters:
        `arg0` - a direct or array-backed `IntBuffer`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glExtGetFramebuffersQCOM

          public void glExtGetFramebuffersQCOM(int[] arg0,
                                      int arg1,
                                      int arg2,
                                      int[] arg3,
                                      int arg4)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glExtGetFramebuffersQCOM(GLuint * framebuffers, GLint maxFramebuffers, GLint * numFramebuffers)`
      Part of `GL_QCOM_extended_get`
      Specified by:
        `glExtGetFramebuffersQCOM` in interface `GLES1`

    - #### glExtGetProgramBinarySourceQCOM

          public void glExtGetProgramBinarySourceQCOM(int arg0,
                                             int arg1,
                                             ByteBuffer arg2,
                                             IntBuffer arg3)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glExtGetProgramBinarySourceQCOM(GLuint program, GLenum shadertype, GLchar * source, GLint * length)`
      Part of `GL_QCOM_extended_get2`
      Specified by:
        `glExtGetProgramBinarySourceQCOM` in interface `GLES1`
        `arg2` - a direct or array-backed `ByteBuffer`
        `arg3` - a direct or array-backed `IntBuffer`

    - #### glExtGetProgramBinarySourceQCOM

          public void glExtGetProgramBinarySourceQCOM(int arg0,
                                             int arg1,
                                             byte[] arg2,
                                             int arg3,
                                             int[] arg4,
                                             int arg5)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glExtGetProgramBinarySourceQCOM(GLuint program, GLenum shadertype, GLchar * source, GLint * length)`
      Part of `GL_QCOM_extended_get2`
      Specified by:
        `glExtGetProgramBinarySourceQCOM` in interface `GLES1`

    - #### glExtGetProgramsQCOM

          public void glExtGetProgramsQCOM(IntBuffer arg0,
                                  int arg1,
                                  IntBuffer arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glExtGetProgramsQCOM(GLuint * programs, GLint maxPrograms, GLint * numPrograms)`
      Part of `GL_QCOM_extended_get2`
      Specified by:
        `glExtGetProgramsQCOM` in interface `GLES1`
      Parameters:
        `arg0` - a direct or array-backed `IntBuffer`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glExtGetProgramsQCOM

          public void glExtGetProgramsQCOM(int[] arg0,
                                  int arg1,
                                  int arg2,
                                  int[] arg3,
                                  int arg4)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glExtGetProgramsQCOM(GLuint * programs, GLint maxPrograms, GLint * numPrograms)`
      Part of `GL_QCOM_extended_get2`
      Specified by:
        `glExtGetProgramsQCOM` in interface `GLES1`

    - #### glExtGetRenderbuffersQCOM

          public void glExtGetRenderbuffersQCOM(int[] arg0,
                                       int arg1,
                                       int arg2,
                                       int[] arg3,
                                       int arg4)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glExtGetRenderbuffersQCOM(GLuint * renderbuffers, GLint maxRenderbuffers, GLint * numRenderbuffers)`
      Part of `GL_QCOM_extended_get`
      Specified by:
        `glExtGetRenderbuffersQCOM` in interface `GLES1`

    - #### glExtGetRenderbuffersQCOM

          public void glExtGetRenderbuffersQCOM(IntBuffer arg0,
                                       int arg1,
                                       IntBuffer arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glExtGetRenderbuffersQCOM(GLuint * renderbuffers, GLint maxRenderbuffers, GLint * numRenderbuffers)`
      Part of `GL_QCOM_extended_get`
      Specified by:
        `glExtGetRenderbuffersQCOM` in interface `GLES1`
      Parameters:
        `arg0` - a direct or array-backed `IntBuffer`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glExtGetShadersQCOM

          public void glExtGetShadersQCOM(int[] arg0,
                                 int arg1,
                                 int arg2,
                                 int[] arg3,
                                 int arg4)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glExtGetShadersQCOM(GLuint * shaders, GLint maxShaders, GLint * numShaders)`
      Part of `GL_QCOM_extended_get2`
      Specified by:
        `glExtGetShadersQCOM` in interface `GLES1`

    - #### glExtGetShadersQCOM

          public void glExtGetShadersQCOM(IntBuffer arg0,
                                 int arg1,
                                 IntBuffer arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glExtGetShadersQCOM(GLuint * shaders, GLint maxShaders, GLint * numShaders)`
      Part of `GL_QCOM_extended_get2`
      Specified by:
        `glExtGetShadersQCOM` in interface `GLES1`
      Parameters:
        `arg0` - a direct or array-backed `IntBuffer`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glExtGetTexLevelParameterivQCOM

          public void glExtGetTexLevelParameterivQCOM(int arg0,
                                             int arg1,
                                             int arg2,
                                             int arg3,
                                             IntBuffer arg4)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glExtGetTexLevelParameterivQCOM(GLuint texture, GLenum face, GLint level, GLenum pname, GLint * params)`
      Part of `GL_QCOM_extended_get`
      Specified by:
        `glExtGetTexLevelParameterivQCOM` in interface `GLES1`
        `arg4` - a direct or array-backed `IntBuffer`

    - #### glExtGetTexLevelParameterivQCOM

          public void glExtGetTexLevelParameterivQCOM(int arg0,
                                             int arg1,
                                             int arg2,
                                             int arg3,
                                             int[] arg4,
                                             int arg5)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glExtGetTexLevelParameterivQCOM(GLuint texture, GLenum face, GLint level, GLenum pname, GLint * params)`
      Part of `GL_QCOM_extended_get`
      Specified by:
        `glExtGetTexLevelParameterivQCOM` in interface `GLES1`

    - #### glExtGetTexSubImageQCOM

          public void glExtGetTexSubImageQCOM(int arg0,
                                     int arg1,
                                     int arg2,
                                     int arg3,
                                     int arg4,
                                     int arg5,
                                     int arg6,
                                     int arg7,
                                     int arg8,
                                     int arg9,
                                     Buffer arg10)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glExtGetTexSubImageQCOM(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, GLvoid * texels)`
      Part of `GL_QCOM_extended_get`
      Specified by:
        `glExtGetTexSubImageQCOM` in interface `GLES1`
        `arg10` - a direct or array-backed `Buffer`

    - #### glExtGetTexturesQCOM

          public void glExtGetTexturesQCOM(int[] arg0,
                                  int arg1,
                                  int arg2,
                                  int[] arg3,
                                  int arg4)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glExtGetTexturesQCOM(GLuint * textures, GLint maxTextures, GLint * numTextures)`
      Part of `GL_QCOM_extended_get`
      Specified by:
        `glExtGetTexturesQCOM` in interface `GLES1`

    - #### glExtGetTexturesQCOM

          public void glExtGetTexturesQCOM(IntBuffer arg0,
                                  int arg1,
                                  IntBuffer arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glExtGetTexturesQCOM(GLuint * textures, GLint maxTextures, GLint * numTextures)`
      Part of `GL_QCOM_extended_get`
      Specified by:
        `glExtGetTexturesQCOM` in interface `GLES1`
      Parameters:
        `arg0` - a direct or array-backed `IntBuffer`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glExtIsProgramBinaryQCOM

          public boolean glExtIsProgramBinaryQCOM(int arg0)

      Description copied from interface: `GLES1`
      Entry point to C language function: `GLboolean glExtIsProgramBinaryQCOM(GLuint program)`
      Part of `GL_QCOM_extended_get2`
      Specified by:
        `glExtIsProgramBinaryQCOM` in interface `GLES1`

    - #### glExtTexObjectStateOverrideiQCOM

          public void glExtTexObjectStateOverrideiQCOM(int arg0,
                                              int arg1,
                                              int arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glExtTexObjectStateOverrideiQCOM(GLenum target, GLenum pname, GLint param)`
      Part of `GL_QCOM_extended_get`
      Specified by:
        `glExtTexObjectStateOverrideiQCOM` in interface `GLES1`

    - #### glFinish

          public void glFinish()

      Description copied from interface: `GL`
      Entry point to C language function: `void glFinish(void)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glFinish` in interface `GL`

    - #### glFinishFenceNV

          public void glFinishFenceNV(int arg0)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glFinishFenceNV(GLuint)`
      Part of `GL_NV_fence`
      Specified by:
        `glFinishFenceNV` in interface `GLES1`

    - #### glFlush

          public void glFlush()

      Description copied from interface: `GL`
      Entry point to C language function: `void glFlush(void)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glFlush` in interface `GL`

    - #### glFlushMappedBufferRange

          public void glFlushMappedBufferRange(int arg0,
                                      long arg1,
                                      long arg2)

      Description copied from interface: `GL`
      Entry point to C language function: `void glFlushMappedBufferRange(GLenum target, GLintptr offset, GLsizeiptr length)`
      Part of `GL_ES_VERSION_3_0`, `GL_ARB_map_buffer_range`, `GL_VERSION_3_0`; `GL_APPLE_flush_buffer_range`; `GL_EXT_map_buffer_range`
      Specified by:
        `glFlushMappedBufferRange` in interface `GL`

    - #### glFogf

          public void glFogf(int arg0,
                    float arg1)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glFogf(GLenum pname, GLfloat param)`
      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glFogf` in interface `GL2ES1`

    - #### glFogfv

          public void glFogfv(int arg0,
                     float[] arg1,
                     int arg2)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glFogfv(GLenum pname, const GLfloat * params)`
      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glFogfv` in interface `GL2ES1`

    - #### glFogfv

          public void glFogfv(int arg0,
                     FloatBuffer arg1)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glFogfv(GLenum pname, const GLfloat * params)`
      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glFogfv` in interface `GL2ES1`
        `arg1` - a direct or array-backed `FloatBuffer`

    - #### glFogx

          public void glFogx(int arg0,
                    int arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glFogx(GLenum pname, GLfixed param)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glFogx` in interface `GLES1`

    - #### glFogxv

          public void glFogxv(int arg0,
                     IntBuffer arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glFogxv(GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glFogxv` in interface `GLES1`
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glFogxv

          public void glFogxv(int arg0,
                     int[] arg1,
                     int arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glFogxv(GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glFogxv` in interface `GLES1`

    - #### glFramebufferRenderbuffer

          public void glFramebufferRenderbuffer(int arg0,
                                       int arg1,
                                       int arg2,
                                       int arg3)

      Description copied from interface: `GL`
      Entry point to C language function: `void glFramebufferRenderbuffer(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Specified by:
        `glFramebufferRenderbuffer` in interface `GL`

    - #### glFramebufferTexture2D

          public void glFramebufferTexture2D(int arg0,
                                    int arg1,
                                    int arg2,
                                    int arg3,
                                    int arg4)

      Description copied from interface: `GL`
      Entry point to C language function: `void glFramebufferTexture2D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Specified by:
        `glFramebufferTexture2D` in interface `GL`

    - #### glFramebufferTexture2DMultisampleEXT

          public void glFramebufferTexture2DMultisampleEXT(int arg0,
                                                  int arg1,
                                                  int arg2,
                                                  int arg3,
                                                  int arg4,
                                                  int arg5)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glFramebufferTexture2DMultisampleEXT(GLenum, GLenum, GLenum, GLuint, GLint, GLsizei)`
      Part of `GL_EXT_multisampled_render_to_texture`
      Specified by:
        `glFramebufferTexture2DMultisampleEXT` in interface `GLES1`

    - #### glFramebufferTexture2DMultisampleIMG

          public void glFramebufferTexture2DMultisampleIMG(int arg0,
                                                  int arg1,
                                                  int arg2,
                                                  int arg3,
                                                  int arg4,
                                                  int arg5)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glFramebufferTexture2DMultisampleIMG(GLenum, GLenum, GLenum, GLuint, GLint, GLsizei)`
      Part of `GL_IMG_multisampled_render_to_texture`
      Specified by:
        `glFramebufferTexture2DMultisampleIMG` in interface `GLES1`

    - #### glFrontFace

          public void glFrontFace(int arg0)

      Description copied from interface: `GL`
      Entry point to C language function: `void glFrontFace(GLenum mode)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glFrontFace` in interface `GL`

    - #### glFrustum

          public void glFrustum(double arg0,
                       double arg1,
                       double arg2,
                       double arg3,
                       double arg4,
                       double arg5)

      Specified by:
        `glFrustum` in interface `GL2ES1`

    - #### glFrustumf

          public void glFrustumf(float arg0,
                        float arg1,
                        float arg2,
                        float arg3,
                        float arg4,
                        float arg5)

      Description copied from interface: `GLMatrixFunc`
      `Multiply` the current matrix with the frustum matrix.
      Specified by:
        `glFrustumf` in interface `GLMatrixFunc`

    - #### glFrustumx

          public void glFrustumx(int arg0,
                        int arg1,
                        int arg2,
                        int arg3,
                        int arg4,
                        int arg5)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glFrustumx(GLfixed left, GLfixed right, GLfixed bottom, GLfixed top, GLfixed zNear, GLfixed zFar)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glFrustumx` in interface `GLES1`

    - #### glGenBuffers

          public void glGenBuffers(int arg0,
                          IntBuffer arg1)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGenBuffers(GLsizei n, GLuint * buffers)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
      Specified by:
        `glGenBuffers` in interface `GL`
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glGenBuffers

          public void glGenBuffers(int arg0,
                          int[] arg1,
                          int arg2)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGenBuffers(GLsizei n, GLuint * buffers)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
      Specified by:
        `glGenBuffers` in interface `GL`

    - #### glGenFencesNV

          public void glGenFencesNV(int arg0,
                           int[] arg1,
                           int arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glGenFencesNV(GLsizei, GLuint * )`
      Part of `GL_NV_fence`
      Specified by:
        `glGenFencesNV` in interface `GLES1`

    - #### glGenFencesNV

          public void glGenFencesNV(int arg0,
                           IntBuffer arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glGenFencesNV(GLsizei, GLuint * )`
      Part of `GL_NV_fence`
      Specified by:
        `glGenFencesNV` in interface `GLES1`
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glGenFramebuffers

          public void glGenFramebuffers(int arg0,
                               int[] arg1,
                               int arg2)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGenFramebuffers(GLsizei n, GLuint * framebuffers)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Specified by:
        `glGenFramebuffers` in interface `GL`

    - #### glGenFramebuffers

          public void glGenFramebuffers(int arg0,
                               IntBuffer arg1)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGenFramebuffers(GLsizei n, GLuint * framebuffers)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Specified by:
        `glGenFramebuffers` in interface `GL`
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glGenRenderbuffers

          public void glGenRenderbuffers(int arg0,
                                IntBuffer arg1)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGenRenderbuffers(GLsizei n, GLuint * renderbuffers)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Specified by:
        `glGenRenderbuffers` in interface `GL`
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glGenRenderbuffers

          public void glGenRenderbuffers(int arg0,
                                int[] arg1,
                                int arg2)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGenRenderbuffers(GLsizei n, GLuint * renderbuffers)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Specified by:
        `glGenRenderbuffers` in interface `GL`

    - #### glGenTextures

          public void glGenTextures(int arg0,
                           IntBuffer arg1)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGenTextures(GLsizei n, GLuint * textures)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
      Specified by:
        `glGenTextures` in interface `GL`
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glGenTextures

          public void glGenTextures(int arg0,
                           int[] arg1,
                           int arg2)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGenTextures(GLsizei n, GLuint * textures)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
      Specified by:
        `glGenTextures` in interface `GL`

    - #### glGenVertexArraysOES

          public void glGenVertexArraysOES(int arg0,
                                  int[] arg1,
                                  int arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glGenVertexArraysOES(GLsizei n, GLuint * arrays)`
      Part of `GL_OES_vertex_array_object`
      Specified by:
        `glGenVertexArraysOES` in interface `GLES1`

    - #### glGenVertexArraysOES

          public void glGenVertexArraysOES(int arg0,
                                  IntBuffer arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glGenVertexArraysOES(GLsizei n, GLuint * arrays)`
      Part of `GL_OES_vertex_array_object`
      Specified by:
        `glGenVertexArraysOES` in interface `GLES1`
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glGenerateMipmap

          public void glGenerateMipmap(int arg0)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGenerateMipmap(GLenum target)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Specified by:
        `glGenerateMipmap` in interface `GL`

    - #### glGetBooleanv

          public void glGetBooleanv(int arg0,
                           byte[] arg1,
                           int arg2)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGetBooleanv(GLenum pname, GLboolean * params)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glGetBooleanv` in interface `GL`

    - #### glGetBooleanv

          public void glGetBooleanv(int arg0,
                           ByteBuffer arg1)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGetBooleanv(GLenum pname, GLboolean * params)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glGetBooleanv` in interface `GL`
        `arg1` - a direct or array-backed `ByteBuffer`

    - #### glGetBufferParameteriv

          public void glGetBufferParameteriv(int arg0,
                                    int arg1,
                                    int[] arg2,
                                    int arg3)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGetBufferParameteriv(GLenum target, GLenum pname, GLint * params)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
      Specified by:
        `glGetBufferParameteriv` in interface `GL`

    - #### glGetBufferParameteriv

          public void glGetBufferParameteriv(int arg0,
                                    int arg1,
                                    IntBuffer arg2)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGetBufferParameteriv(GLenum target, GLenum pname, GLint * params)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
      Specified by:
        `glGetBufferParameteriv` in interface `GL`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glGetClipPlanef

          public void glGetClipPlanef(int arg0,
                             FloatBuffer arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glGetClipPlanef(GLenum pname, GLfloat * equation)`
      Part of `GL_VERSION_ES_CM`; `GL_OES_single_precision`
      Specified by:
        `glGetClipPlanef` in interface `GLES1`
        `arg1` - a direct or array-backed `FloatBuffer`

    - #### glGetClipPlanef

          public void glGetClipPlanef(int arg0,
                             float[] arg1,
                             int arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glGetClipPlanef(GLenum pname, GLfloat * equation)`
      Part of `GL_VERSION_ES_CM`; `GL_OES_single_precision`
      Specified by:
        `glGetClipPlanef` in interface `GLES1`

    - #### glGetClipPlanex

          public void glGetClipPlanex(int arg0,
                             IntBuffer arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glGetClipPlanex(GLenum pname, GLfixed * eqn)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glGetClipPlanex` in interface `GLES1`
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glGetClipPlanex

          public void glGetClipPlanex(int arg0,
                             int[] arg1,
                             int arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glGetClipPlanex(GLenum pname, GLfixed * eqn)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glGetClipPlanex` in interface `GLES1`

    - #### glGetDriverControlStringQCOM

          public void glGetDriverControlStringQCOM(int arg0,
                                          int arg1,
                                          int[] arg2,
                                          int arg3,
                                          byte[] arg4,
                                          int arg5)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glGetDriverControlStringQCOM(GLuint driverControl, GLsizei bufSize, GLsizei * length, GLchar * driverControlString)`
      Part of `GL_QCOM_driver_control`
      Specified by:
        `glGetDriverControlStringQCOM` in interface `GLES1`

    - #### glGetDriverControlStringQCOM

          public void glGetDriverControlStringQCOM(int arg0,
                                          int arg1,
                                          IntBuffer arg2,
                                          ByteBuffer arg3)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glGetDriverControlStringQCOM(GLuint driverControl, GLsizei bufSize, GLsizei * length, GLchar * driverControlString)`
      Part of `GL_QCOM_driver_control`
      Specified by:
        `glGetDriverControlStringQCOM` in interface `GLES1`
        `arg2` - a direct or array-backed `IntBuffer`
        `arg3` - a direct or array-backed `ByteBuffer`

    - #### glGetDriverControlsQCOM

          public void glGetDriverControlsQCOM(int[] arg0,
                                     int arg1,
                                     int arg2,
                                     int[] arg3,
                                     int arg4)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glGetDriverControlsQCOM(GLint * num, GLsizei size, GLuint * driverControls)`
      Part of `GL_QCOM_driver_control`
      Specified by:
        `glGetDriverControlsQCOM` in interface `GLES1`

    - #### glGetDriverControlsQCOM

          public void glGetDriverControlsQCOM(IntBuffer arg0,
                                     int arg1,
                                     IntBuffer arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glGetDriverControlsQCOM(GLint * num, GLsizei size, GLuint * driverControls)`
      Part of `GL_QCOM_driver_control`
      Specified by:
        `glGetDriverControlsQCOM` in interface `GLES1`
      Parameters:
        `arg0` - a direct or array-backed `IntBuffer`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glGetError

          public int glGetError()

      Description copied from interface: `GL`
      Entry point to C language function: `GLenum glGetError(void)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glGetError` in interface `GL`

    - #### glGetFenceivNV

          public void glGetFenceivNV(int arg0,
                            int arg1,
                            int[] arg2,
                            int arg3)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glGetFenceivNV(GLuint, GLenum, GLint * )`
      Part of `GL_NV_fence`
      Specified by:
        `glGetFenceivNV` in interface `GLES1`

    - #### glGetFenceivNV

          public void glGetFenceivNV(int arg0,
                            int arg1,
                            IntBuffer arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glGetFenceivNV(GLuint, GLenum, GLint * )`
      Part of `GL_NV_fence`
      Specified by:
        `glGetFenceivNV` in interface `GLES1`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glGetFixedv

          public void glGetFixedv(int arg0,
                         int[] arg1,
                         int arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glGetFixedv(GLenum pname, GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glGetFixedv` in interface `GLES1`

    - #### glGetFixedv

          public void glGetFixedv(int arg0,
                         IntBuffer arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glGetFixedv(GLenum pname, GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glGetFixedv` in interface `GLES1`
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glGetFloatv

          public void glGetFloatv(int arg0,
                         float[] arg1,
                         int arg2)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGetFloatv(GLenum pname, GLfloat * params)`
      Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glGetFloatv` in interface `GLMatrixFunc`
      Specified by:
        `glGetFloatv` in interface `GL`
      Parameters:
        `arg0` - `GLMatrixFunc.GL_MODELVIEW_MATRIX`, `GLMatrixFunc.GL_PROJECTION_MATRIX` or `GLMatrixFunc.GL_TEXTURE_MATRIX`
        `arg1` - storage
        `arg2` - storage offset

    - #### glGetFloatv

          public void glGetFloatv(int arg0,
                         FloatBuffer arg1)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGetFloatv(GLenum pname, GLfloat * params)`
      Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glGetFloatv` in interface `GLMatrixFunc`
      Specified by:
        `glGetFloatv` in interface `GL`
      Parameters:
        `arg0` - `GLMatrixFunc.GL_MODELVIEW_MATRIX`, `GLMatrixFunc.GL_PROJECTION_MATRIX` or `GLMatrixFunc.GL_TEXTURE_MATRIX`
        `arg1` - a direct or array-backed `FloatBuffer`

    - #### glGetFramebufferAttachmentParameteriv

          public void glGetFramebufferAttachmentParameteriv(int arg0,
                                                   int arg1,
                                                   int arg2,
                                                   int[] arg3,
                                                   int arg4)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint * params)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Specified by:
        `glGetFramebufferAttachmentParameteriv` in interface `GL`

    - #### glGetFramebufferAttachmentParameteriv

          public void glGetFramebufferAttachmentParameteriv(int arg0,
                                                   int arg1,
                                                   int arg2,
                                                   IntBuffer arg3)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint * params)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Specified by:
        `glGetFramebufferAttachmentParameteriv` in interface `GL`
        `arg3` - a direct or array-backed `IntBuffer`

    - #### glGetGraphicsResetStatus

          public int glGetGraphicsResetStatus()

      Description copied from interface: `GL`
      Entry point to C language function: `GLenum glGetGraphicsResetStatus(void)`
      Part of `GL_ARB_robustness`; `GL_EXT_robustness`
      Specified by:
        `glGetGraphicsResetStatus` in interface `GL`

    - #### glGetIntegerv

          public void glGetIntegerv(int arg0,
                           int[] arg1,
                           int arg2)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGetIntegerv(GLenum pname, GLint * params)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glGetIntegerv` in interface `GLMatrixFunc`
      Specified by:
        `glGetIntegerv` in interface `GL`

    - #### glGetIntegerv

          public void glGetIntegerv(int arg0,
                           IntBuffer arg1)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGetIntegerv(GLenum pname, GLint * params)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glGetIntegerv` in interface `GLMatrixFunc`
      Specified by:
        `glGetIntegerv` in interface `GL`
      Parameters:
        `arg0` - `GLMatrixFunc.GL_MATRIX_MODE` to receive the current matrix mode
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glGetLightfv

          public void glGetLightfv(int arg0,
                          int arg1,
                          float[] arg2,
                          int arg3)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glGetLightfv(GLenum light, GLenum pname, GLfloat * params)`
      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glGetLightfv` in interface `GL2ES1`

    - #### glGetLightfv

          public void glGetLightfv(int arg0,
                          int arg1,
                          FloatBuffer arg2)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glGetLightfv(GLenum light, GLenum pname, GLfloat * params)`
      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glGetLightfv` in interface `GL2ES1`
        `arg2` - a direct or array-backed `FloatBuffer`

    - #### glGetLightxv

          public void glGetLightxv(int arg0,
                          int arg1,
                          int[] arg2,
                          int arg3)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glGetLightxv(GLenum light, GLenum pname, GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glGetLightxv` in interface `GLES1`

    - #### glGetLightxv

          public void glGetLightxv(int arg0,
                          int arg1,
                          IntBuffer arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glGetLightxv(GLenum light, GLenum pname, GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glGetLightxv` in interface `GLES1`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glGetMaterialfv

          public void glGetMaterialfv(int arg0,
                             int arg1,
                             FloatBuffer arg2)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glGetMaterialfv(GLenum face, GLenum pname, GLfloat * params)`
      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glGetMaterialfv` in interface `GL2ES1`
        `arg2` - a direct or array-backed `FloatBuffer`

    - #### glGetMaterialfv

          public void glGetMaterialfv(int arg0,
                             int arg1,
                             float[] arg2,
                             int arg3)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glGetMaterialfv(GLenum face, GLenum pname, GLfloat * params)`
      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glGetMaterialfv` in interface `GL2ES1`

    - #### glGetMaterialxv

          public void glGetMaterialxv(int arg0,
                             int arg1,
                             int[] arg2,
                             int arg3)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glGetMaterialxv(GLenum face, GLenum pname, GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glGetMaterialxv` in interface `GLES1`

    - #### glGetMaterialxv

          public void glGetMaterialxv(int arg0,
                             int arg1,
                             IntBuffer arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glGetMaterialxv(GLenum face, GLenum pname, GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glGetMaterialxv` in interface `GLES1`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glGetRenderbufferParameteriv

          public void glGetRenderbufferParameteriv(int arg0,
                                          int arg1,
                                          int[] arg2,
                                          int arg3)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint * params)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Specified by:
        `glGetRenderbufferParameteriv` in interface `GL`

    - #### glGetRenderbufferParameteriv

          public void glGetRenderbufferParameteriv(int arg0,
                                          int arg1,
                                          IntBuffer arg2)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint * params)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Specified by:
        `glGetRenderbufferParameteriv` in interface `GL`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glGetString

          public String glGetString(int arg0)

      Description copied from interface: `GL`
      Entry point to C language function: `const GLubyte * glGetString(GLenum name)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glGetString` in interface `GL`

    - #### glGetTexEnvfv

          public void glGetTexEnvfv(int arg0,
                           int arg1,
                           FloatBuffer arg2)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glGetTexEnvfv(GLenum tenv, GLenum pname, GLfloat * params)`
      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glGetTexEnvfv` in interface `GL2ES1`
        `arg2` - a direct or array-backed `FloatBuffer`

    - #### glGetTexEnvfv

          public void glGetTexEnvfv(int arg0,
                           int arg1,
                           float[] arg2,
                           int arg3)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glGetTexEnvfv(GLenum tenv, GLenum pname, GLfloat * params)`
      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glGetTexEnvfv` in interface `GL2ES1`

    - #### glGetTexEnviv

          public void glGetTexEnviv(int arg0,
                           int arg1,
                           int[] arg2,
                           int arg3)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glGetTexEnviv(GLenum tenv, GLenum pname, GLint * params)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`
      Specified by:
        `glGetTexEnviv` in interface `GL2ES1`

    - #### glGetTexEnviv

          public void glGetTexEnviv(int arg0,
                           int arg1,
                           IntBuffer arg2)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glGetTexEnviv(GLenum tenv, GLenum pname, GLint * params)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`
      Specified by:
        `glGetTexEnviv` in interface `GL2ES1`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glGetTexEnvxv

          public void glGetTexEnvxv(int arg0,
                           int arg1,
                           IntBuffer arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glGetTexEnvxv(GLenum tenv, GLenum pname, GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glGetTexEnvxv` in interface `GLES1`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glGetTexEnvxv

          public void glGetTexEnvxv(int arg0,
                           int arg1,
                           int[] arg2,
                           int arg3)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glGetTexEnvxv(GLenum tenv, GLenum pname, GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glGetTexEnvxv` in interface `GLES1`

    - #### glGetTexGenfv

          public void glGetTexGenfv(int arg0,
                           int arg1,
                           float[] arg2,
                           int arg3)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glGetTexGenfv(GLenum coord, GLenum pname, GLfloat * params)`
      Part of `GL_VERSION_1_0`; `GL_OES_texture_cube_map`
      Specified by:
        `glGetTexGenfv` in interface `GL2ES1`

    - #### glGetTexGenfv

          public void glGetTexGenfv(int arg0,
                           int arg1,
                           FloatBuffer arg2)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glGetTexGenfv(GLenum coord, GLenum pname, GLfloat * params)`
      Part of `GL_VERSION_1_0`; `GL_OES_texture_cube_map`
      Specified by:
        `glGetTexGenfv` in interface `GL2ES1`
        `arg2` - a direct or array-backed `FloatBuffer`

    - #### glGetTexGeniv

          public void glGetTexGeniv(int arg0,
                           int arg1,
                           int[] arg2,
                           int arg3)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glGetTexGeniv(GLenum coord, GLenum pname, GLint * params)`
      Part of `GL_VERSION_1_0`; `GL_OES_texture_cube_map`
      Specified by:
        `glGetTexGeniv` in interface `GL2ES1`

    - #### glGetTexGeniv

          public void glGetTexGeniv(int arg0,
                           int arg1,
                           IntBuffer arg2)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glGetTexGeniv(GLenum coord, GLenum pname, GLint * params)`
      Part of `GL_VERSION_1_0`; `GL_OES_texture_cube_map`
      Specified by:
        `glGetTexGeniv` in interface `GL2ES1`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glGetTexParameterfv

          public void glGetTexParameterfv(int arg0,
                                 int arg1,
                                 float[] arg2,
                                 int arg3)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGetTexParameterfv(GLenum target, GLenum pname, GLfloat * params)`
      Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glGetTexParameterfv` in interface `GL`

    - #### glGetTexParameterfv

          public void glGetTexParameterfv(int arg0,
                                 int arg1,
                                 FloatBuffer arg2)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGetTexParameterfv(GLenum target, GLenum pname, GLfloat * params)`
      Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glGetTexParameterfv` in interface `GL`
        `arg2` - a direct or array-backed `FloatBuffer`

    - #### glGetTexParameteriv

          public void glGetTexParameteriv(int arg0,
                                 int arg1,
                                 int[] arg2,
                                 int arg3)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGetTexParameteriv(GLenum target, GLenum pname, GLint * params)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glGetTexParameteriv` in interface `GL`

    - #### glGetTexParameteriv

          public void glGetTexParameteriv(int arg0,
                                 int arg1,
                                 IntBuffer arg2)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGetTexParameteriv(GLenum target, GLenum pname, GLint * params)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glGetTexParameteriv` in interface `GL`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glGetTexParameterxv

          public void glGetTexParameterxv(int arg0,
                                 int arg1,
                                 IntBuffer arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glGetTexParameterxv(GLenum target, GLenum pname, GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glGetTexParameterxv` in interface `GLES1`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glGetTexParameterxv

          public void glGetTexParameterxv(int arg0,
                                 int arg1,
                                 int[] arg2,
                                 int arg3)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glGetTexParameterxv(GLenum target, GLenum pname, GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glGetTexParameterxv` in interface `GLES1`

    - #### glGetnUniformfv

          public void glGetnUniformfv(int arg0,
                             int arg1,
                             int arg2,
                             float[] arg3,
                             int arg4)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGetnUniformfv(GLuint program, GLint location, GLsizei bufSize, float * params)`
      Part of `GL_ARB_robustness`; `GL_EXT_robustness`
      Specified by:
        `glGetnUniformfv` in interface `GL`

    - #### glGetnUniformfv

          public void glGetnUniformfv(int arg0,
                             int arg1,
                             int arg2,
                             FloatBuffer arg3)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGetnUniformfv(GLuint program, GLint location, GLsizei bufSize, float * params)`
      Part of `GL_ARB_robustness`; `GL_EXT_robustness`
      Specified by:
        `glGetnUniformfv` in interface `GL`
        `arg3` - a direct or array-backed `FloatBuffer`

    - #### glGetnUniformiv

          public void glGetnUniformiv(int arg0,
                             int arg1,
                             int arg2,
                             int[] arg3,
                             int arg4)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGetnUniformiv(GLuint program, GLint location, GLsizei bufSize, GLint * params)`
      Part of `GL_ARB_robustness`; `GL_EXT_robustness`
      Specified by:
        `glGetnUniformiv` in interface `GL`

    - #### glGetnUniformiv

          public void glGetnUniformiv(int arg0,
                             int arg1,
                             int arg2,
                             IntBuffer arg3)

      Description copied from interface: `GL`
      Entry point to C language function: `void glGetnUniformiv(GLuint program, GLint location, GLsizei bufSize, GLint * params)`
      Part of `GL_ARB_robustness`; `GL_EXT_robustness`
      Specified by:
        `glGetnUniformiv` in interface `GL`
        `arg3` - a direct or array-backed `IntBuffer`

    - #### glHint

          public void glHint(int arg0,
                    int arg1)

      Description copied from interface: `GL`
      Entry point to C language function: `void glHint(GLenum target, GLenum mode)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glHint` in interface `GL`

    - #### glIsBuffer

          public boolean glIsBuffer(int arg0)

      Description copied from interface: `GL`
      Entry point to C language function: `GLboolean glIsBuffer(GLuint buffer)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
      Specified by:
        `glIsBuffer` in interface `GL`

    - #### glIsEnabled

          public boolean glIsEnabled(int arg0)

      Description copied from interface: `GL`
      Entry point to C language function: `GLboolean glIsEnabled(GLenum cap)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_NV_vertex_buffer_unified_memory`, `GL_ES_VERSION_2_0`
      Specified by:
        `glIsEnabled` in interface `GL`

    - #### glIsFenceNV

          public boolean glIsFenceNV(int arg0)

      Description copied from interface: `GLES1`
      Entry point to C language function: `GLboolean glIsFenceNV(GLuint)`
      Part of `GL_NV_fence`
      Specified by:
        `glIsFenceNV` in interface `GLES1`

    - #### glIsFramebuffer

          public boolean glIsFramebuffer(int arg0)

      Description copied from interface: `GL`
      Entry point to C language function: `GLboolean glIsFramebuffer(GLuint framebuffer)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Specified by:
        `glIsFramebuffer` in interface `GL`

    - #### glIsRenderbuffer

          public boolean glIsRenderbuffer(int arg0)

      Description copied from interface: `GL`
      Entry point to C language function: `GLboolean glIsRenderbuffer(GLuint renderbuffer)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Specified by:
        `glIsRenderbuffer` in interface `GL`

    - #### glIsTexture

          public boolean glIsTexture(int arg0)

      Description copied from interface: `GL`
      Entry point to C language function: `GLboolean glIsTexture(GLuint texture)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
      Specified by:
        `glIsTexture` in interface `GL`

    - #### glIsVertexArrayOES

          public boolean glIsVertexArrayOES(int arg0)

      Description copied from interface: `GLES1`
      Entry point to C language function: `GLboolean glIsVertexArrayOES(GLuint array)`
      Part of `GL_OES_vertex_array_object`
      Specified by:
        `glIsVertexArrayOES` in interface `GLES1`

    - #### glLightModelf

          public void glLightModelf(int arg0,
                           float arg1)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glLightModelf(GLenum pname, GLfloat param)`
      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glLightModelf` in interface `GL2ES1`

    - #### glLightModelfv

          public void glLightModelfv(int arg0,
                            float[] arg1,
                            int arg2)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glLightModelfv(GLenum pname, const GLfloat * params)`
      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glLightModelfv` in interface `GL2ES1`

    - #### glLightModelfv

          public void glLightModelfv(int arg0,
                            FloatBuffer arg1)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glLightModelfv(GLenum pname, const GLfloat * params)`
      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glLightModelfv` in interface `GL2ES1`
        `arg1` - a direct or array-backed `FloatBuffer`

    - #### glLightModelx

          public void glLightModelx(int arg0,
                           int arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glLightModelx(GLenum pname, GLfixed param)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glLightModelx` in interface `GLES1`

    - #### glLightModelxv

          public void glLightModelxv(int arg0,
                            IntBuffer arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glLightModelxv(GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glLightModelxv` in interface `GLES1`
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glLightModelxv

          public void glLightModelxv(int arg0,
                            int[] arg1,
                            int arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glLightModelxv(GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glLightModelxv` in interface `GLES1`

    - #### glLightf

          public void glLightf(int arg0,
                      int arg1,
                      float arg2)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glLightf(GLenum light, GLenum pname, GLfloat param)`
      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glLightf` in interface `GL2ES1`

    - #### glLightfv

          public void glLightfv(int arg0,
                       int arg1,
                       float[] arg2,
                       int arg3)

      Specified by:
        `glLightfv` in interface `GLLightingFunc`

    - #### glLightfv

          public void glLightfv(int arg0,
                       int arg1,
                       FloatBuffer arg2)

      Specified by:
        `glLightfv` in interface `GLLightingFunc`

    - #### glLightx

          public void glLightx(int arg0,
                      int arg1,
                      int arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glLightx(GLenum light, GLenum pname, GLfixed param)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glLightx` in interface `GLES1`

    - #### glLightxv

          public void glLightxv(int arg0,
                       int arg1,
                       IntBuffer arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glLightxv(GLenum light, GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glLightxv` in interface `GLES1`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glLightxv

          public void glLightxv(int arg0,
                       int arg1,
                       int[] arg2,
                       int arg3)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glLightxv(GLenum light, GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glLightxv` in interface `GLES1`

    - #### glLineWidth

          public void glLineWidth(float arg0)

      Description copied from interface: `GL`
      Entry point to C language function: `void glLineWidth(GLfloat width)`
      Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glLineWidth` in interface `GL`

    - #### glLineWidthx

          public void glLineWidthx(int arg0)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glLineWidthx(GLfixed width)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glLineWidthx` in interface `GLES1`

    - #### glLoadIdentity

          public void glLoadIdentity()

      Description copied from interface: `GLMatrixFunc`
      Load the current matrix with the identity matrix
      Specified by:
        `glLoadIdentity` in interface `GLMatrixFunc`

    - #### glLoadMatrixf

          public void glLoadMatrixf(FloatBuffer arg0)

      Description copied from interface: `GLMatrixFunc`
      Load the current matrix w/ the provided one.
      Specified by:
        `glLoadMatrixf` in interface `GLMatrixFunc`

    - #### glLoadMatrixf

          public void glLoadMatrixf(float[] arg0,
                           int arg1)

      Description copied from interface: `GLMatrixFunc`
      Load the current matrix w/ the provided one.
      Specified by:
        `glLoadMatrixf` in interface `GLMatrixFunc`

    - #### glLoadMatrixx

          public void glLoadMatrixx(IntBuffer arg0)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glLoadMatrixx(const GLfixed * m)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glLoadMatrixx` in interface `GLES1`
      Parameters:
        `arg0` - a direct or array-backed `IntBuffer`

    - #### glLoadMatrixx

          public void glLoadMatrixx(int[] arg0,
                           int arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glLoadMatrixx(const GLfixed * m)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glLoadMatrixx` in interface `GLES1`

    - #### glLoadPaletteFromModelViewMatrixOES

          public void glLoadPaletteFromModelViewMatrixOES()

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glLoadPaletteFromModelViewMatrixOES(void)`
      Part of `GL_OES_matrix_palette`
      Specified by:
        `glLoadPaletteFromModelViewMatrixOES` in interface `GLES1`

    - #### glLogicOp

          public void glLogicOp(int arg0)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glLogicOp(GLenum opcode)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`
      Specified by:
        `glLogicOp` in interface `GL2ES1`

    - #### glMapBuffer

          public ByteBuffer glMapBuffer(int arg0,
                               int arg1)

      Description copied from interface: `GL`
      Entry point to C language function: `void * glMapBuffer(GLenum target, GLenum access)`
      Part of `GL_VERSION_1_5`; `GL_OES_mapbuffer`

      Throws a `GLException` if GL-function constraints are not met.

      Returns `GLBase.mapBuffer(int, int)`'s `GLBufferStorage.getMappedBuffer()`.

      Specified by:
        `glMapBuffer` in interface `GL`

    - #### glMapBufferRange

          public ByteBuffer glMapBufferRange(int arg0,
                                    long arg1,
                                    long arg2,
                                    int arg3)

      Description copied from interface: `GL`
      Entry point to C language function: `void * glMapBufferRange(GLenum target, GLintptr offset, GLsizeiptr length, GLbitfield access)`
      Part of `GL_ES_VERSION_3_0`, `GL_ARB_map_buffer_range`, `GL_VERSION_3_0`; `GL_EXT_map_buffer_range`

      Throws a `GLException` if GL-function constraints are not met.

      Returns `GLBase.mapBufferRange(int, long, long, int)`'s `GLBufferStorage.getMappedBuffer()`.

      Specified by:
        `glMapBufferRange` in interface `GL`

    - #### glMaterialf

          public void glMaterialf(int arg0,
                         int arg1,
                         float arg2)

      Specified by:
        `glMaterialf` in interface `GLLightingFunc`

    - #### glMaterialfv

          public void glMaterialfv(int arg0,
                          int arg1,
                          FloatBuffer arg2)

      Specified by:
        `glMaterialfv` in interface `GLLightingFunc`

    - #### glMaterialfv

          public void glMaterialfv(int arg0,
                          int arg1,
                          float[] arg2,
                          int arg3)

      Specified by:
        `glMaterialfv` in interface `GLLightingFunc`

    - #### glMaterialx

          public void glMaterialx(int arg0,
                         int arg1,
                         int arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glMaterialx(GLenum face, GLenum pname, GLfixed param)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glMaterialx` in interface `GLES1`

    - #### glMaterialxv

          public void glMaterialxv(int arg0,
                          int arg1,
                          int[] arg2,
                          int arg3)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glMaterialxv(GLenum face, GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glMaterialxv` in interface `GLES1`

    - #### glMaterialxv

          public void glMaterialxv(int arg0,
                          int arg1,
                          IntBuffer arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glMaterialxv(GLenum face, GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glMaterialxv` in interface `GLES1`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glMatrixIndexPointer

          public void glMatrixIndexPointer(int arg0,
                                  int arg1,
                                  int arg2,
                                  Buffer arg3)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glMatrixIndexPointer(GLint size, GLenum type, GLsizei stride, const GLvoid * pointer)`
      Part of `GL_ARB_matrix_palette`; `GL_OES_matrix_palette`
      Specified by:
        `glMatrixIndexPointer` in interface `GLES1`
        `arg3` - a direct or array-backed `Buffer`

    - #### glMatrixMode

          public void glMatrixMode(int arg0)

      Description copied from interface: `GLMatrixFunc`
      Sets the current matrix mode.
      Specified by:
        `glMatrixMode` in interface `GLMatrixFunc`
      Parameters:
        `arg0` - `GLMatrixFunc.GL_MODELVIEW`, `GLMatrixFunc.GL_PROJECTION` or `GL_TEXTURE`.

    - #### glMultMatrixf

          public void glMultMatrixf(FloatBuffer arg0)

      Description copied from interface: `GLMatrixFunc`
      Multiply the current matrix: [c] = [c] x [m]
      Specified by:
        `glMultMatrixf` in interface `GLMatrixFunc`
      Parameters:
        `arg0` - the FloatBuffer's position remains unchanged, which is the same behavior than the native JOGL GL impl

    - #### glMultMatrixf

          public void glMultMatrixf(float[] arg0,
                           int arg1)

      Description copied from interface: `GLMatrixFunc`
      Multiply the current matrix: [c] = [c] x [m]
      Specified by:
        `glMultMatrixf` in interface `GLMatrixFunc`

    - #### glMultMatrixx

          public void glMultMatrixx(IntBuffer arg0)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glMultMatrixx(const GLfixed * m)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glMultMatrixx` in interface `GLES1`
      Parameters:
        `arg0` - a direct or array-backed `IntBuffer`

    - #### glMultMatrixx

          public void glMultMatrixx(int[] arg0,
                           int arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glMultMatrixx(const GLfixed * m)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glMultMatrixx` in interface `GLES1`

    - #### glMultiTexCoord4f

          public void glMultiTexCoord4f(int arg0,
                               float arg1,
                               float arg2,
                               float arg3,
                               float arg4)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glMultiTexCoord4f(GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q)`
      Part of `GL_VERSION_1_3`, `GL_VERSION_ES_CM`
      Specified by:
        `glMultiTexCoord4f` in interface `GL2ES1`

    - #### glMultiTexCoord4x

          public void glMultiTexCoord4x(int arg0,
                               int arg1,
                               int arg2,
                               int arg3,
                               int arg4)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glMultiTexCoord4x(GLenum target, GLfixed s, GLfixed t, GLfixed r, GLfixed q)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glMultiTexCoord4x` in interface `GLES1`

    - #### glNormal3f

          public void glNormal3f(float arg0,
                        float arg1,
                        float arg2)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glNormal3f(GLfloat nx, GLfloat ny, GLfloat nz)`
      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glNormal3f` in interface `GL2ES1`

    - #### glNormal3x

          public void glNormal3x(int arg0,
                        int arg1,
                        int arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glNormal3x(GLfixed nx, GLfixed ny, GLfixed nz)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glNormal3x` in interface `GLES1`

    - #### glNormalPointer

          public void glNormalPointer(GLArrayData arg0)

      Specified by:
        `glNormalPointer` in interface `GLPointerFunc`

    - #### glNormalPointer

          public void glNormalPointer(int arg0,
                             int arg1,
                             Buffer arg2)

      Specified by:
        `glNormalPointer` in interface `GLPointerFunc`

    - #### glNormalPointer

          public void glNormalPointer(int arg0,
                             int arg1,
                             long arg2)

      Specified by:
        `glNormalPointer` in interface `GLPointerFunc`

    - #### glOrtho

          public void glOrtho(double arg0,
                     double arg1,
                     double arg2,
                     double arg3,
                     double arg4,
                     double arg5)

      Specified by:
        `glOrtho` in interface `GL2ES1`

    - #### glOrthof

          public void glOrthof(float arg0,
                      float arg1,
                      float arg2,
                      float arg3,
                      float arg4,
                      float arg5)

      Description copied from interface: `GLMatrixFunc`
      `Multiply` the current matrix with the orthogonal matrix.
      Specified by:
        `glOrthof` in interface `GLMatrixFunc`

    - #### glOrthox

          public void glOrthox(int arg0,
                      int arg1,
                      int arg2,
                      int arg3,
                      int arg4,
                      int arg5)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glOrthox(GLfixed left, GLfixed right, GLfixed bottom, GLfixed top, GLfixed zNear, GLfixed zFar)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glOrthox` in interface `GLES1`

    - #### glPixelStorei

          public void glPixelStorei(int arg0,
                           int arg1)

      Description copied from interface: `GL`
      Entry point to C language function: `void glPixelStorei(GLenum pname, GLint param)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glPixelStorei` in interface `GL`

    - #### glPointParameterf

          public void glPointParameterf(int arg0,
                               float arg1)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glPointParameterf(GLenum pname, GLfloat param)`
      Part of `GL_VERSION_1_4`, `GL_VERSION_ES_CM`
      Specified by:
        `glPointParameterf` in interface `GL2ES1`

    - #### glPointParameterfv

          public void glPointParameterfv(int arg0,
                                float[] arg1,
                                int arg2)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glPointParameterfv(GLenum pname, const GLfloat * params)`
      Part of `GL_VERSION_1_4`, `GL_VERSION_ES_CM`
      Specified by:
        `glPointParameterfv` in interface `GL2ES1`

    - #### glPointParameterfv

          public void glPointParameterfv(int arg0,
                                FloatBuffer arg1)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glPointParameterfv(GLenum pname, const GLfloat * params)`
      Part of `GL_VERSION_1_4`, `GL_VERSION_ES_CM`
      Specified by:
        `glPointParameterfv` in interface `GL2ES1`
        `arg1` - a direct or array-backed `FloatBuffer`

    - #### glPointParameterx

          public void glPointParameterx(int arg0,
                               int arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glPointParameterx(GLenum pname, GLfixed param)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glPointParameterx` in interface `GLES1`

    - #### glPointParameterxv

          public void glPointParameterxv(int arg0,
                                IntBuffer arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glPointParameterxv(GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glPointParameterxv` in interface `GLES1`
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glPointParameterxv

          public void glPointParameterxv(int arg0,
                                int[] arg1,
                                int arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glPointParameterxv(GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glPointParameterxv` in interface `GLES1`

    - #### glPointSize

          public void glPointSize(float arg0)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glPointSize(GLfloat size)`
      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glPointSize` in interface `GL2ES1`

    - #### glPointSizePointerOES

          public void glPointSizePointerOES(int arg0,
                                   int arg1,
                                   Buffer arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glPointSizePointerOES(GLenum type, GLsizei stride, const GLvoid * pointer)`
      Part of `GL_OES_point_size_array`
      Specified by:
        `glPointSizePointerOES` in interface `GLES1`
        `arg2` - a direct or array-backed `Buffer`

    - #### glPointSizex

          public void glPointSizex(int arg0)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glPointSizex(GLfixed size)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glPointSizex` in interface `GLES1`

    - #### glPolygonOffset

          public void glPolygonOffset(float arg0,
                             float arg1)

      Description copied from interface: `GL`
      Entry point to C language function: `void glPolygonOffset(GLfloat factor, GLfloat units)`
      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glPolygonOffset` in interface `GL`

    - #### glPolygonOffsetx

          public void glPolygonOffsetx(int arg0,
                              int arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glPolygonOffsetx(GLfixed factor, GLfixed units)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glPolygonOffsetx` in interface `GLES1`

    - #### glPopMatrix

          public void glPopMatrix()

      Description copied from interface: `GLMatrixFunc`
      Pop the current matrix from it's stack.
      Specified by:
        `glPopMatrix` in interface `GLMatrixFunc`
      See Also:
        `GLMatrixFunc.glPushMatrix()`

    - #### glPushMatrix

          public void glPushMatrix()

      Description copied from interface: `GLMatrixFunc`
      Push the current matrix to it's stack, while preserving it's values.

      There exist one stack per matrix mode, i.e. `GLMatrixFunc.GL_MODELVIEW`, `GLMatrixFunc.GL_PROJECTION` and `GL_TEXTURE`.

      Specified by:
        `glPushMatrix` in interface `GLMatrixFunc`

    - #### glQueryMatrixxOES

          public int glQueryMatrixxOES(int[] arg0,
                              int arg1,
                              int[] arg2,
                              int arg3)

      Description copied from interface: `GLES1`
      Entry point to C language function: `GLbitfield glQueryMatrixxOES(GLfixed * mantissa, GLint * exponent)`
      Part of `GL_OES_query_matrix`
      Specified by:
        `glQueryMatrixxOES` in interface `GLES1`

    - #### glQueryMatrixxOES

          public int glQueryMatrixxOES(IntBuffer arg0,
                              IntBuffer arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `GLbitfield glQueryMatrixxOES(GLfixed * mantissa, GLint * exponent)`
      Part of `GL_OES_query_matrix`
      Specified by:
        `glQueryMatrixxOES` in interface `GLES1`
      Parameters:
        `arg0` - a direct or array-backed `IntBuffer`
        `arg1` - a direct or array-backed `IntBuffer`

    - #### glReadPixels

          public void glReadPixels(int arg0,
                          int arg1,
                          int arg2,
                          int arg3,
                          int arg4,
                          int arg5,
                          long arg6)

      Description copied from interface: `GL`
      Entry point to C language function: `void glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid * pixels)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glReadPixels` in interface `GL`

    - #### glReadPixels

          public void glReadPixels(int arg0,
                          int arg1,
                          int arg2,
                          int arg3,
                          int arg4,
                          int arg5,
                          Buffer arg6)

      Description copied from interface: `GL`
      Entry point to C language function: `void glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid * pixels)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glReadPixels` in interface `GL`
        `arg6` - a direct or array-backed `Buffer`

    - #### glReadnPixels

          public void glReadnPixels(int arg0,
                           int arg1,
                           int arg2,
                           int arg3,
                           int arg4,
                           int arg5,
                           int arg6,
                           Buffer arg7)

      Description copied from interface: `GL`
      Entry point to C language function: `void glReadnPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, void * data)`
      Part of `GL_ARB_robustness`; `GL_EXT_robustness`
      Specified by:
        `glReadnPixels` in interface `GL`
        `arg7` - a direct or array-backed `Buffer`

    - #### glRenderbufferStorage

          public void glRenderbufferStorage(int arg0,
                                   int arg1,
                                   int arg2,
                                   int arg3)

      Description copied from interface: `GL`
      Entry point to C language function: `void glRenderbufferStorage(GLenum target, GLenum internalformat, GLsizei width, GLsizei height)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`, `GL_ES_VERSION_2_0`; `GL_OES_framebuffer_object`
      Specified by:
        `glRenderbufferStorage` in interface `GL`

    - #### glRenderbufferStorageMultisampleAPPLE

          public void glRenderbufferStorageMultisampleAPPLE(int arg0,
                                                   int arg1,
                                                   int arg2,
                                                   int arg3,
                                                   int arg4)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glRenderbufferStorageMultisampleAPPLE(GLenum, GLsizei, GLenum, GLsizei, GLsizei)`
      Part of `GL_APPLE_framebuffer_multisample`
      Specified by:
        `glRenderbufferStorageMultisampleAPPLE` in interface `GLES1`

    - #### glRenderbufferStorageMultisampleIMG

          public void glRenderbufferStorageMultisampleIMG(int arg0,
                                                 int arg1,
                                                 int arg2,
                                                 int arg3,
                                                 int arg4)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glRenderbufferStorageMultisampleIMG(GLenum, GLsizei, GLenum, GLsizei, GLsizei)`
      Part of `GL_IMG_multisampled_render_to_texture`
      Specified by:
        `glRenderbufferStorageMultisampleIMG` in interface `GLES1`

    - #### glResolveMultisampleFramebufferAPPLE

          public void glResolveMultisampleFramebufferAPPLE()

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glResolveMultisampleFramebufferAPPLE(void)`
      Part of `GL_APPLE_framebuffer_multisample`
      Specified by:
        `glResolveMultisampleFramebufferAPPLE` in interface `GLES1`

    - #### glRotatef

          public void glRotatef(float arg0,
                       float arg1,
                       float arg2,
                       float arg3)

      Description copied from interface: `GLMatrixFunc`
      Rotate the current matrix.
      Specified by:
        `glRotatef` in interface `GLMatrixFunc`

    - #### glRotatex

          public void glRotatex(int arg0,
                       int arg1,
                       int arg2,
                       int arg3)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glRotatex(GLfixed angle, GLfixed x, GLfixed y, GLfixed z)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glRotatex` in interface `GLES1`

    - #### glSampleCoverage

          public void glSampleCoverage(float arg0,
                              boolean arg1)

      Description copied from interface: `GL`
      Entry point to C language function: `void glSampleCoverage(GLclampf value, GLboolean invert)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_3`, `GL_ES_VERSION_2_0`
      Specified by:
        `glSampleCoverage` in interface `GL`

    - #### glSampleCoveragex

          public void glSampleCoveragex(int arg0,
                               boolean arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glSampleCoveragex(GLclampx value, GLboolean invert)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glSampleCoveragex` in interface `GLES1`

    - #### glScalef

          public void glScalef(float arg0,
                      float arg1,
                      float arg2)

      Description copied from interface: `GLMatrixFunc`
      Scale the current matrix.
      Specified by:
        `glScalef` in interface `GLMatrixFunc`

    - #### glScalex

          public void glScalex(int arg0,
                      int arg1,
                      int arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glScalex(GLfixed x, GLfixed y, GLfixed z)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glScalex` in interface `GLES1`

    - #### glScissor

          public void glScissor(int arg0,
                       int arg1,
                       int arg2,
                       int arg3)

      Description copied from interface: `GL`
      Entry point to C language function: `void glScissor(GLint x, GLint y, GLsizei width, GLsizei height)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glScissor` in interface `GL`

    - #### glSetFenceNV

          public void glSetFenceNV(int arg0,
                          int arg1)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glSetFenceNV(GLuint, GLenum)`
      Part of `GL_NV_fence`
      Specified by:
        `glSetFenceNV` in interface `GLES1`

    - #### glShadeModel

          public void glShadeModel(int arg0)

      Specified by:
        `glShadeModel` in interface `GLLightingFunc`

    - #### glStartTilingQCOM

          public void glStartTilingQCOM(int arg0,
                               int arg1,
                               int arg2,
                               int arg3,
                               int arg4)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glStartTilingQCOM(GLuint x, GLuint y, GLuint width, GLuint height, GLbitfield preserveMask)`
      Part of `GL_QCOM_tiled_rendering`
      Specified by:
        `glStartTilingQCOM` in interface `GLES1`

    - #### glStencilFunc

          public void glStencilFunc(int arg0,
                           int arg1,
                           int arg2)

      Description copied from interface: `GL`
      Entry point to C language function: `void glStencilFunc(GLenum func, GLint ref, GLuint mask)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glStencilFunc` in interface `GL`

    - #### glStencilMask

          public void glStencilMask(int arg0)

      Description copied from interface: `GL`
      Entry point to C language function: `void glStencilMask(GLuint mask)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glStencilMask` in interface `GL`

    - #### glStencilOp

          public void glStencilOp(int arg0,
                         int arg1,
                         int arg2)

      Description copied from interface: `GL`
      Entry point to C language function: `void glStencilOp(GLenum fail, GLenum zfail, GLenum zpass)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glStencilOp` in interface `GL`

    - #### glTestFenceNV

          public boolean glTestFenceNV(int arg0)

      Description copied from interface: `GLES1`
      Entry point to C language function: `GLboolean glTestFenceNV(GLuint)`
      Part of `GL_NV_fence`
      Specified by:
        `glTestFenceNV` in interface `GLES1`

    - #### glTexCoordPointer

          public void glTexCoordPointer(int arg0,
                               int arg1,
                               int arg2,
                               Buffer arg3)

      Specified by:
        `glTexCoordPointer` in interface `GLPointerFunc`

    - #### glTexCoordPointer

          public void glTexCoordPointer(int arg0,
                               int arg1,
                               int arg2,
                               long arg3)

      Specified by:
        `glTexCoordPointer` in interface `GLPointerFunc`

    - #### glTexCoordPointer

          public void glTexCoordPointer(GLArrayData arg0)

      Specified by:
        `glTexCoordPointer` in interface `GLPointerFunc`

    - #### glTexEnvf

          public void glTexEnvf(int arg0,
                       int arg1,
                       float arg2)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glTexEnvf(GLenum target, GLenum pname, GLfloat param)`
      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glTexEnvf` in interface `GL2ES1`

    - #### glTexEnvfv

          public void glTexEnvfv(int arg0,
                        int arg1,
                        FloatBuffer arg2)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glTexEnvfv(GLenum target, GLenum pname, const GLfloat * params)`
      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glTexEnvfv` in interface `GL2ES1`
        `arg2` - a direct or array-backed `FloatBuffer`

    - #### glTexEnvfv

          public void glTexEnvfv(int arg0,
                        int arg1,
                        float[] arg2,
                        int arg3)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glTexEnvfv(GLenum target, GLenum pname, const GLfloat * params)`
      Part of `GL_VERSION_1_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glTexEnvfv` in interface `GL2ES1`

    - #### glTexEnvi

          public void glTexEnvi(int arg0,
                       int arg1,
                       int arg2)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glTexEnvi(GLenum target, GLenum pname, GLint param)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`
      Specified by:
        `glTexEnvi` in interface `GL2ES1`

    - #### glTexEnviv

          public void glTexEnviv(int arg0,
                        int arg1,
                        IntBuffer arg2)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glTexEnviv(GLenum target, GLenum pname, const GLint * params)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`
      Specified by:
        `glTexEnviv` in interface `GL2ES1`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glTexEnviv

          public void glTexEnviv(int arg0,
                        int arg1,
                        int[] arg2,
                        int arg3)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glTexEnviv(GLenum target, GLenum pname, const GLint * params)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`
      Specified by:
        `glTexEnviv` in interface `GL2ES1`

    - #### glTexEnvx

          public void glTexEnvx(int arg0,
                       int arg1,
                       int arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glTexEnvx(GLenum target, GLenum pname, GLfixed param)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glTexEnvx` in interface `GLES1`

    - #### glTexEnvxv

          public void glTexEnvxv(int arg0,
                        int arg1,
                        int[] arg2,
                        int arg3)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glTexEnvxv(GLenum target, GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glTexEnvxv` in interface `GLES1`

    - #### glTexEnvxv

          public void glTexEnvxv(int arg0,
                        int arg1,
                        IntBuffer arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glTexEnvxv(GLenum target, GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glTexEnvxv` in interface `GLES1`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glTexGenf

          public void glTexGenf(int arg0,
                       int arg1,
                       float arg2)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glTexGenf(GLenum coord, GLenum pname, GLfloat param)`
      Part of `GL_VERSION_1_0`; `GL_OES_texture_cube_map`
      Specified by:
        `glTexGenf` in interface `GL2ES1`

    - #### glTexGenfv

          public void glTexGenfv(int arg0,
                        int arg1,
                        float[] arg2,
                        int arg3)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glTexGenfv(GLenum coord, GLenum pname, const GLfloat * params)`
      Part of `GL_VERSION_1_0`; `GL_OES_texture_cube_map`
      Specified by:
        `glTexGenfv` in interface `GL2ES1`

    - #### glTexGenfv

          public void glTexGenfv(int arg0,
                        int arg1,
                        FloatBuffer arg2)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glTexGenfv(GLenum coord, GLenum pname, const GLfloat * params)`
      Part of `GL_VERSION_1_0`; `GL_OES_texture_cube_map`
      Specified by:
        `glTexGenfv` in interface `GL2ES1`
        `arg2` - a direct or array-backed `FloatBuffer`

    - #### glTexGeni

          public void glTexGeni(int arg0,
                       int arg1,
                       int arg2)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glTexGeni(GLenum coord, GLenum pname, GLint param)`
      Part of `GL_VERSION_1_0`; `GL_OES_texture_cube_map`
      Specified by:
        `glTexGeni` in interface `GL2ES1`

    - #### glTexGeniv

          public void glTexGeniv(int arg0,
                        int arg1,
                        int[] arg2,
                        int arg3)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glTexGeniv(GLenum coord, GLenum pname, const GLint * params)`
      Part of `GL_VERSION_1_0`; `GL_OES_texture_cube_map`
      Specified by:
        `glTexGeniv` in interface `GL2ES1`

    - #### glTexGeniv

          public void glTexGeniv(int arg0,
                        int arg1,
                        IntBuffer arg2)

      Description copied from interface: `GL2ES1`
      Entry point to C language function: `void glTexGeniv(GLenum coord, GLenum pname, const GLint * params)`
      Part of `GL_VERSION_1_0`; `GL_OES_texture_cube_map`
      Specified by:
        `glTexGeniv` in interface `GL2ES1`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glTexImage2D

          public void glTexImage2D(int arg0,
                          int arg1,
                          int arg2,
                          int arg3,
                          int arg4,
                          int arg5,
                          int arg6,
                          int arg7,
                          long arg8)

      Description copied from interface: `GL`
      Entry point to C language function: `void glTexImage2D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid * pixels)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glTexImage2D` in interface `GL`

    - #### glTexImage2D

          public void glTexImage2D(int arg0,
                          int arg1,
                          int arg2,
                          int arg3,
                          int arg4,
                          int arg5,
                          int arg6,
                          int arg7,
                          Buffer arg8)

      Description copied from interface: `GL`
      Entry point to C language function: `void glTexImage2D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid * pixels)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glTexImage2D` in interface `GL`
        `arg8` - a direct or array-backed `Buffer`

    - #### glTexParameterf

          public void glTexParameterf(int arg0,
                             int arg1,
                             float arg2)

      Description copied from interface: `GL`
      Entry point to C language function: `void glTexParameterf(GLenum target, GLenum pname, GLfloat param)`
      Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glTexParameterf` in interface `GL`

    - #### glTexParameterfv

          public void glTexParameterfv(int arg0,
                              int arg1,
                              float[] arg2,
                              int arg3)

      Description copied from interface: `GL`
      Entry point to C language function: `void glTexParameterfv(GLenum target, GLenum pname, const GLfloat * params)`
      Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glTexParameterfv` in interface `GL`

    - #### glTexParameterfv

          public void glTexParameterfv(int arg0,
                              int arg1,
                              FloatBuffer arg2)

      Description copied from interface: `GL`
      Entry point to C language function: `void glTexParameterfv(GLenum target, GLenum pname, const GLfloat * params)`
      Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_VERSION_ES_CM`
      Specified by:
        `glTexParameterfv` in interface `GL`
        `arg2` - a direct or array-backed `FloatBuffer`

    - #### glTexParameteri

          public void glTexParameteri(int arg0,
                             int arg1,
                             int arg2)

      Description copied from interface: `GL`
      Entry point to C language function: `void glTexParameteri(GLenum target, GLenum pname, GLint param)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glTexParameteri` in interface `GL`

    - #### glTexParameteriv

          public void glTexParameteriv(int arg0,
                              int arg1,
                              IntBuffer arg2)

      Description copied from interface: `GL`
      Entry point to C language function: `void glTexParameteriv(GLenum target, GLenum pname, const GLint * params)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glTexParameteriv` in interface `GL`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glTexParameteriv

          public void glTexParameteriv(int arg0,
                              int arg1,
                              int[] arg2,
                              int arg3)

      Description copied from interface: `GL`
      Entry point to C language function: `void glTexParameteriv(GLenum target, GLenum pname, const GLint * params)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glTexParameteriv` in interface `GL`

    - #### glTexParameterx

          public void glTexParameterx(int arg0,
                             int arg1,
                             int arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glTexParameterx(GLenum target, GLenum pname, GLfixed param)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glTexParameterx` in interface `GLES1`

    - #### glTexParameterxv

          public void glTexParameterxv(int arg0,
                              int arg1,
                              int[] arg2,
                              int arg3)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glTexParameterxv(GLenum target, GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glTexParameterxv` in interface `GLES1`

    - #### glTexParameterxv

          public void glTexParameterxv(int arg0,
                              int arg1,
                              IntBuffer arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glTexParameterxv(GLenum target, GLenum pname, const GLfixed * params)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glTexParameterxv` in interface `GLES1`
        `arg2` - a direct or array-backed `IntBuffer`

    - #### glTexStorage1D

          public void glTexStorage1D(int arg0,
                            int arg1,
                            int arg2,
                            int arg3)

      Description copied from interface: `GL`
      Entry point to C language function: `void glTexStorage1D(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)`
      Part of `GL_VERSION_4_2`, `GL_ARB_texture_storage`; `GL_EXT_texture_storage`
      Specified by:
        `glTexStorage1D` in interface `GL`

    - #### glTexStorage2D

          public void glTexStorage2D(int arg0,
                            int arg1,
                            int arg2,
                            int arg3,
                            int arg4)

      Description copied from interface: `GL`
      Entry point to C language function: `void glTexStorage2D(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_4_2`, `GL_ARB_texture_storage`; `GL_EXT_texture_storage`
      Specified by:
        `glTexStorage2D` in interface `GL`

    - #### glTexStorage3D

          public void glTexStorage3D(int arg0,
                            int arg1,
                            int arg2,
                            int arg3,
                            int arg4,
                            int arg5)

      Description copied from interface: `GL`
      Entry point to C language function: `void glTexStorage3D(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_4_2`, `GL_ARB_texture_storage`; `GL_EXT_texture_storage`
      Specified by:
        `glTexStorage3D` in interface `GL`

    - #### glTexSubImage2D

          public void glTexSubImage2D(int arg0,
                             int arg1,
                             int arg2,
                             int arg3,
                             int arg4,
                             int arg5,
                             int arg6,
                             int arg7,
                             Buffer arg8)

      Description copied from interface: `GL`
      Entry point to C language function: `void glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid * pixels)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
      Specified by:
        `glTexSubImage2D` in interface `GL`
        `arg8` - a direct or array-backed `Buffer`

    - #### glTexSubImage2D

          public void glTexSubImage2D(int arg0,
                             int arg1,
                             int arg2,
                             int arg3,
                             int arg4,
                             int arg5,
                             int arg6,
                             int arg7,
                             long arg8)

      Description copied from interface: `GL`
      Entry point to C language function: `void glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid * pixels)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_1`, `GL_ES_VERSION_2_0`
      Specified by:
        `glTexSubImage2D` in interface `GL`

    - #### glTextureStorage1D

          public void glTextureStorage1D(int arg0,
                                int arg1,
                                int arg2,
                                int arg3,
                                int arg4)

      Description copied from interface: `GL`
      Entry point to C language function: `void glTextureStorage1D(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)`
      Part of `GL_EXT_texture_storage`, `GL_ARB_texture_storage`
      Specified by:
        `glTextureStorage1D` in interface `GL`

    - #### glTextureStorage2D

          public void glTextureStorage2D(int arg0,
                                int arg1,
                                int arg2,
                                int arg3,
                                int arg4,
                                int arg5)

      Description copied from interface: `GL`
      Entry point to C language function: `void glTextureStorage2D(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)`
      Part of `GL_EXT_texture_storage`, `GL_ARB_texture_storage`
      Specified by:
        `glTextureStorage2D` in interface `GL`

    - #### glTextureStorage3D

          public void glTextureStorage3D(int arg0,
                                int arg1,
                                int arg2,
                                int arg3,
                                int arg4,
                                int arg5,
                                int arg6)

      Description copied from interface: `GL`
      Entry point to C language function: `void glTextureStorage3D(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)`
      Part of `GL_EXT_texture_storage`, `GL_ARB_texture_storage`
      Specified by:
        `glTextureStorage3D` in interface `GL`

    - #### glTranslatef

          public void glTranslatef(float arg0,
                          float arg1,
                          float arg2)

      Description copied from interface: `GLMatrixFunc`
      Translate the current matrix.
      Specified by:
        `glTranslatef` in interface `GLMatrixFunc`

    - #### glTranslatex

          public void glTranslatex(int arg0,
                          int arg1,
                          int arg2)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glTranslatex(GLfixed x, GLfixed y, GLfixed z)`
      Part of `GL_VERSION_ES_CL_CM`
      Specified by:
        `glTranslatex` in interface `GLES1`

    - #### glUnmapBuffer

          public boolean glUnmapBuffer(int arg0)

      Description copied from interface: `GL`
      Entry point to C language function: `GLboolean glUnmapBuffer(GLenum target)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_OES_mapbuffer`
      Specified by:
        `glUnmapBuffer` in interface `GL`

    - #### glVertexPointer

          public void glVertexPointer(int arg0,
                             int arg1,
                             int arg2,
                             Buffer arg3)

      Specified by:
        `glVertexPointer` in interface `GLPointerFunc`

    - #### glVertexPointer

          public void glVertexPointer(GLArrayData arg0)

      Specified by:
        `glVertexPointer` in interface `GLPointerFunc`

    - #### glVertexPointer

          public void glVertexPointer(int arg0,
                             int arg1,
                             int arg2,
                             long arg3)

      Specified by:
        `glVertexPointer` in interface `GLPointerFunc`

    - #### glViewport

          public void glViewport(int arg0,
                        int arg1,
                        int arg2,
                        int arg3)

      Description copied from interface: `GL`
      Entry point to C language function: `void glViewport(GLint x, GLint y, GLsizei width, GLsizei height)`
      Part of `GL_VERSION_ES_CL_CM`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      Specified by:
        `glViewport` in interface `GL`

    - #### glWeightPointer

          public void glWeightPointer(int arg0,
                             int arg1,
                             int arg2,
                             Buffer arg3)

      Description copied from interface: `GLES1`
      Entry point to C language function: `void glWeightPointer(GLint size, GLenum type, GLsizei stride, const GLvoid * pointer)`
      Part of `GL_ARB_vertex_blend`; `GL_OES_matrix_palette`
      Specified by:
        `glWeightPointer` in interface `GLES1`
        `arg3` - a direct or array-backed `Buffer`

    - #### hasBasicFBOSupport

          public boolean hasBasicFBOSupport()

      Description copied from interface: `GLBase`
      Returns `true` if basic FBO support is available, otherwise `false`.

      Basic FBO is supported if the context is either GL-ES >= 2.0, GL >= 3.0 [core, compat] or implements the extensions `GL_ARB_ES2_compatibility`, `GL_ARB_framebuffer_object`, `GL_EXT_framebuffer_object` or `GL_OES_framebuffer_object`.

      Basic FBO support may only include one color attachment and no multisampling, as well as limited internal formats for renderbuffer.

      Specified by:
        `hasBasicFBOSupport` in interface `GLBase`
      See Also:
        `GLContext.hasBasicFBOSupport()`

    - #### hasFullFBOSupport

          public boolean hasFullFBOSupport()

      Description copied from interface: `GLBase`
      Returns `true` if full FBO support is available, otherwise `false`.

      Full FBO is supported if the context is either GL >= core 3.0 [ES, core, compat] or implements the extensions `ARB_framebuffer_object`, or all of `EXT_framebuffer_object`, `EXT_framebuffer_multisample`, `EXT_framebuffer_blit`, `GL_EXT_packed_depth_stencil`.

      Full FBO support includes multiple color attachments and multisampling.

      Specified by:
        `hasFullFBOSupport` in interface `GLBase`
      See Also:
        `GLContext.hasFullFBOSupport()`

    - #### hasGLSL

          public boolean hasGLSL()

      Description copied from interface: `GLBase`
      Indicates whether this GL object supports GLSL.
      Specified by:
        `hasGLSL` in interface `GLBase`
      See Also:
        `GLContext.hasGLSL()`

    - #### isExtensionAvailable

          public boolean isExtensionAvailable(String arg0)

      Description copied from interface: `GLBase`
      Returns true if the specified OpenGL extension can be used successfully through this GL instance given the current host (OpenGL client) and display (OpenGL server) configuration.

      Specified by:
        `isExtensionAvailable` in interface `GLBase`
      Parameters:
        `arg0` - the name of the OpenGL extension (e.g., "GL_ARB_vertex_program").

    - #### isFunctionAvailable

          public boolean isFunctionAvailable(String arg0)

      Description copied from interface: `GLBase`
      Returns true if the specified OpenGL core- or extension-function can be used successfully through this GL instance given the current host (OpenGL client) and display (OpenGL server) configuration.

      By "successfully" we mean that the function is both callable on the machine running the program and available on the current display.

      In order to call a function successfully, the function must be both callable on the machine running the program and available on the display device that is rendering the output (note: on non-networked, single-display machines these two conditions are identical; on networked and/or multi-display machines this becomes more complicated). These conditions are met if the function is either part of the core OpenGL version supported by both the host and display, or it is an OpenGL extension function that both the host and display support.

      A GL function is callable if it is successfully linked at runtime, hence the GLContext must be made current at least once.

      Specified by:
        `isFunctionAvailable` in interface `GLBase`
      Parameters:
        `arg0` - the name of the OpenGL function (e.g., use "glBindRenderbufferEXT" or "glBindRenderbuffer" to check if `GL.glBindRenderbuffer(int,int)` is available).

    - #### isGL

          public boolean isGL()

      Description copied from interface: `GLBase`
      Indicates whether this GL object conforms to any of the OpenGL profiles.
      Specified by:
        `isGL` in interface `GLBase`

    - #### isGL2

          public boolean isGL2()

      Description copied from interface: `GLBase`
      Indicates whether this GL object conforms to the OpenGL ≤ 3.0 profile. The GL2 profile includes the GL2ES1 and GL2ES2 profile.
      Specified by:
        `isGL2` in interface `GLBase`
      See Also:
        `GLContext.isGL2()`

    - #### isGL2ES1

          public boolean isGL2ES1()

      Description copied from interface: `GLBase`
      Indicates whether this GL object conforms to a GL2ES1 compatible profile.
      Specified by:
        `isGL2ES1` in interface `GLBase`
      See Also:
        `GLContext.isGL2ES1()`

    - #### isGL2ES2

          public boolean isGL2ES2()

      Description copied from interface: `GLBase`
      Indicates whether this GL object conforms to a GL2ES2 compatible profile.
      Specified by:
        `isGL2ES2` in interface `GLBase`
      See Also:
        `GLContext.isGL2ES2()`

    - #### isGL2ES3

          public boolean isGL2ES3()

      Description copied from interface: `GLBase`
      Indicates whether this GL object conforms to a either a GL2GL3 or GL3ES3 compatible profile.
      Specified by:
        `isGL2ES3` in interface `GLBase`
      See Also:
        `GLContext.isGL2ES3()`

    - #### isGL2GL3

          public boolean isGL2GL3()

      Description copied from interface: `GLBase`
      Indicates whether this GL object conforms to a GL2GL3 compatible profile.
      Specified by:
        `isGL2GL3` in interface `GLBase`
      See Also:
        `GLContext.isGL2GL3()`

    - #### isGL3

          public boolean isGL3()

      Description copied from interface: `GLBase`
      Indicates whether this GL object conforms to the OpenGL ≥ 3.1 core profile. The GL3 core profile includes the GL2ES2 profile.
      Specified by:
        `isGL3` in interface `GLBase`
      See Also:
        `GLContext.isGL3()`

    - #### isGL3ES3

          public boolean isGL3ES3()

      Description copied from interface: `GLBase`
      Indicates whether this GL object conforms to a GL3ES3 compatible profile.
      Specified by:
        `isGL3ES3` in interface `GLBase`
      See Also:
        `GLContext.isGL3ES3()`

    - #### isGL3bc

          public boolean isGL3bc()

      Description copied from interface: `GLBase`
      Indicates whether this GL object conforms to the OpenGL ≥ 3.1 compatibility profile. The GL3 compatibility profile includes the GL2, GL2ES1, GL2ES2 and GL3 profile.
      Specified by:
        `isGL3bc` in interface `GLBase`
      See Also:
        `GLContext.isGL3bc()`

    - #### isGL3core

          public boolean isGL3core()

      Description copied from interface: `GLBase`
      Indicates whether this GL object uses a GL3 core profile.

      Includes [ GL4, GL3 ].

      Specified by:
        `isGL3core` in interface `GLBase`
      See Also:
        `GLContext.isGL3core()`

    - #### isGL4

          public boolean isGL4()

      Description copied from interface: `GLBase`
      Indicates whether this GL object conforms to the OpenGL ≥ 4.0 core profile. The GL4 core profile includes the GL2ES2, and GL3 profile.
      Specified by:
        `isGL4` in interface `GLBase`
      See Also:
        `GLContext.isGL4()`

    - #### isGL4ES3

          public boolean isGL4ES3()

      Description copied from interface: `GLBase`
      Returns true if this GL object conforms to a GL4ES3 compatible profile, i.e. if `GLBase.isGLES3Compatible()` returns true.

      Includes [ GL ≥ 4.3, GL ≥ 3.1 w/ GL_ARB_ES3_compatibility and GLES3 ]

      Specified by:
        `isGL4ES3` in interface `GLBase`
      See Also:
        `GLContext.isGL4ES3()`

    - #### isGL4bc

          public boolean isGL4bc()

      Description copied from interface: `GLBase`
      Indicates whether this GL object conforms to the OpenGL ≥ 4.0 compatibility profile. The GL4 compatibility profile includes the GL2, GL2ES1, GL2ES2, GL3, GL3bc and GL4 profile.
      Specified by:
        `isGL4bc` in interface `GLBase`
      See Also:
        `GLContext.isGL4bc()`

    - #### isGL4core

          public boolean isGL4core()

      Description copied from interface: `GLBase`
      Indicates whether this GL object uses a GL4 core profile.

      Includes [ GL4 ].

      Specified by:
        `isGL4core` in interface `GLBase`
      See Also:
        `GLContext.isGL4core()`

    - #### isGLES

          public boolean isGLES()

      Description copied from interface: `GLBase`
      Indicates whether this GL object conforms to one of the OpenGL ES profiles, see `GLBase.isGLES1()`, `GLBase.isGLES2()` and `GLBase.isGLES3()`.
      Specified by:
        `isGLES` in interface `GLBase`
      See Also:
        `GLContext.isGLES()`

    - #### isGLES1

          public boolean isGLES1()

      Description copied from interface: `GLBase`
      Indicates whether this GL object conforms to the OpenGL ES ≥ 1.0 profile.
      Specified by:
        `isGLES1` in interface `GLBase`
      See Also:
        `GLContext.isGLES1()`

    - #### isGLES2

          public boolean isGLES2()

      Description copied from interface: `GLBase`
      Indicates whether this GL object conforms to the OpenGL ES ≥ 2.0 profile.

      Remark: ES2 compatible desktop profiles are not included. To query whether core ES2 functionality is provided, use `GLBase.isGLES2Compatible()`.

      Specified by:
        `isGLES2` in interface `GLBase`
      See Also:
        `GLBase.isGLES2Compatible()`, `GLContext.isGLES2()`

    - #### isGLES2Compatible

          public boolean isGLES2Compatible()

      Description copied from interface: `GLBase`
      Indicates whether this GL object is compatible with the core OpenGL ES2 functionality.
      Specified by:
        `isGLES2Compatible` in interface `GLBase`
      Returns:
        true if this context is an ES2 context or implements the extension `GL_ARB_ES2_compatibility`, otherwise false
      See Also:
        `GLContext.isGLES2Compatible()`

    - #### isGLES3

          public boolean isGLES3()

      Description copied from interface: `GLBase`
      Indicates whether this GL object conforms to the OpenGL ES ≥ 3.0 profile.

      Remark: ES3 compatible desktop profiles are not included. To query whether core ES3 functionality is provided, use `GLBase.isGLES3Compatible()`.

      Specified by:
        `isGLES3` in interface `GLBase`
      See Also:
        `GLBase.isGLES3Compatible()`, `GLContext.isGLES3()`

    - #### isGLES3Compatible

          public boolean isGLES3Compatible()

      Description copied from interface: `GLBase`
      Indicates whether this GL object is compatible with the core OpenGL ES3 functionality.

      Return true if the underlying context is an ES3 context or implements the extension `GL_ARB_ES3_compatibility`, otherwise false.

      Includes [ GL ≥ 4.3, GL ≥ 3.1 w/ GL_ARB_ES3_compatibility and GLES3 ]

      Specified by:
        `isGLES3Compatible` in interface `GLBase`
      See Also:
        `GLContext.isGLES3Compatible()`

    - #### isGLcore

          public boolean isGLcore()

      Description copied from interface: `GLBase`
      Indicates whether this GL object uses a GL core profile.

      Includes [ GL4, GL3, GLES3, GL2ES2 ].

      Specified by:
        `isGLcore` in interface `GLBase`
      See Also:
        `GLContext.isGLcore()`

    - #### isNPOTTextureAvailable

          public boolean isNPOTTextureAvailable()

      Description copied from interface: `GLBase`
      Returns true if the GL context supports non power of two (NPOT) textures, otherwise false.

      NPOT textures are supported in OpenGL >= 3, GLES2 or if the 'GL_ARB_texture_non_power_of_two' extension is available.

      Specified by:
        `isNPOTTextureAvailable` in interface `GLBase`

    - #### isTextureFormatBGRA8888Available

          public boolean isTextureFormatBGRA8888Available()

      Specified by:
        `isTextureFormatBGRA8888Available` in interface `GLBase`

    - #### isVBOArrayBound

          public boolean isVBOArrayBound()

      Specified by:
        `isVBOArrayBound` in interface `GLBase`
      Returns:
        true if a VBO is bound to `GL.GL_ARRAY_BUFFER` via `GL.glBindBuffer(int, int)`, otherwise false

    - #### isVBOElementArrayBound

          public boolean isVBOElementArrayBound()

      Specified by:
        `isVBOElementArrayBound` in interface `GLBase`
      Returns:
        true if a VBO is bound to `GL.GL_ELEMENT_ARRAY_BUFFER` via `GL.glBindBuffer(int, int)`, otherwise false

    - #### mapBuffer

          public GLBufferStorage mapBuffer(int arg0,
                                  int arg1)

      Description copied from interface: `GLBase`
      Returns the `GLBufferStorage` instance as mapped via OpenGL's native `glMapBuffer(..)` implementation.

      Throws a `GLException` if GL-function constraints are not met.

      `GL.glMapBuffer(int, int)` wrapper calls this method and returns `GLBufferStorage.getMappedBuffer()`.

      A zero `GLBufferStorage.getSize()` will avoid a native call and returns the unmapped `GLBufferStorage`.

      A null native mapping result indicating an error will not cause a GLException but returns the unmapped `GLBufferStorage`. This allows the user to handle this case.

      Specified by:
        `mapBuffer` in interface `GLBase`
      Parameters:
        `arg0` - denotes the buffer via it's bound target
        `arg1` - the mapping access mode

    - #### mapBufferRange

          public GLBufferStorage mapBufferRange(int arg0,
                                       long arg1,
                                       long arg2,
                                       int arg3)

      Description copied from interface: `GLBase`
      Returns the `GLBufferStorage` instance as mapped via OpenGL's native `glMapBufferRange(..)` implementation.

      Throws a `GLException` if GL-function constraints are not met.

      `GL.glMapBufferRange(int, long, long, int)` wrapper calls this method and returns `GLBufferStorage.getMappedBuffer()`.

      A zero `GLBufferStorage.getSize()` will avoid a native call and returns the unmapped `GLBufferStorage`.

      A null native mapping result indicating an error will not cause a GLException but returns the unmapped `GLBufferStorage`. This allows the user to handle this case.

      Specified by:
        `mapBufferRange` in interface `GLBase`
      Parameters:
        `arg0` - denotes the buffer via it's bound target
        `arg1` - offset of the mapped buffer's storage
        `arg2` - length of the mapped buffer's storage
        `arg3` - the mapping access mode

    - #### setSwapInterval

          public void setSwapInterval(int arg0)

      Description copied from interface: `GLBase`
      Provides a platform-independent way to specify the minimum swap interval for buffer swaps. An argument of 0 disables sync-to-vertical-refresh completely, while an argument of 1 causes the application to wait until the next vertical refresh until swapping buffers. The default, which is platform-specific, is usually either 0 or 1. This function is not guaranteed to have an effect, and in particular only affects heavyweight onscreen components.
      Specified by:
        `setSwapInterval` in interface `GLBase`
      See Also:
        `GLBase.getSwapInterval()`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright 2010 JogAmp Community.